/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic", [
  "angular-md5",
  "angular-toasty",
  "ncy-angular-breadcrumb",
  "ngResource",
  "ngSanitize",
  "ngTagsInput",
  "ui.bootstrap",
  "ui.router",
  "ui.sortable",
  "ui.tree",
  "ngStorage",
  "openattic.core",
  "openattic.extensions",
  "openattic.local",
  "openattic.ceph"
]);

var app = angular.module("openattic");
// Start configuration

// End configuration

app.config(function ($httpProvider) {
  $httpProvider.defaults.xsrfCookieName = "csrftoken";
  $httpProvider.defaults.xsrfHeaderName = "X-CSRFToken";
});

app.run(function ($rootScope, usersService, $state) {
  $rootScope.$on("$stateChangeSuccess", function (event, toState) {
    usersService.current().$promise.then(function () {
      $rootScope.loggedIn = true;
      if (toState.name === "login") {
        $state.go("dashboard");
      }
    }).catch(function (error) {
      error.ignoreStatusCode(401);
      $rootScope.loggedIn = false;
    });
  });
  $rootScope.loginActive = function () {
    return !$rootScope.loggedIn;
  };
  var hostname = window.location.host.split(".")[0];
  // check if the hostname looks like the first octet of an IP address
  // and only change pageTitle if it does not
  //if (parseInt(hostname, 10) !== hostname) {
  if (hostname.search(/^\d{1,3}$/) === -1) {
    $rootScope.pageTitle = hostname + " - openATTIC";
  } else {
    $rootScope.pageTitle = "openATTIC";
  }
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("CifsSharesService", function ($resource) {
  return $resource(globalConfig.API.URL + "sambashares/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "sambashares"
    },
    domainconfig: {
      method: "GET",
      url: globalConfig.API.URL + "sambashares/domainconfig"
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory('$exceptionHandler', function($log, $injector){
  return function exceptionHandler(exception, cause) {
    try {
      $log.error(exception, cause);
      $injector.get('Notification').error({
        title: "Unexpected error from client",
        msg: "An unexpected error occurred, see browser console for details."
      }, exception);
    } catch (err) {
      $log.error(err);
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("HttpSharesService", function ($resource) {
  return $resource(globalConfig.API.URL + "httpshares/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "httpshares"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("InitiatorService", function ($resource) {
  return $resource(globalConfig.API.URL + "initiators/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("LunService", function ($resource) {
  return $resource(globalConfig.API.URL + "luns/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "luns"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("NetdeviceService", function ($resource) {
  return $resource(globalConfig.API.URL + "netdevices/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET"
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("NfsSharesService", function ($resource) {
  return $resource(globalConfig.API.URL + "nfsshares/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "nfsshares"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.sizeparser", []);
app.factory("SizeParserService", function () {
  var mult = ["b", "k", "m", "g", "t", "p", "e"];

  var _parseInt = function (value, outputSize, inputSize) {
    if (outputSize === undefined) {
      outputSize = "m";
    }
    if (inputSize === undefined) {
      inputSize = "m";
    }
    mult = mult.slice(mult.indexOf(outputSize));
    // If it's a plain number, just parseInt() it
    if (!value) {
      return null;
    }

    if (/^[\d.]+$/.test(value)) {
      value += inputSize;
    }

    value = value.toLowerCase().replace(/\s/g, "");
    // If it's a valid size string, calc its int value
    var facs = mult.join("");
    var rgx = new RegExp("^([\\d.]+)([" + facs + "]?)(i?)(b?)$");

    if (rgx.test(value)) {
      var matched = rgx.exec(value);
      return parseInt(parseFloat(matched[1], 10) * Math.pow(1024, mult.indexOf(matched[2])), 10);
    }

    // It didn't parse...
    return null;
  };

  var _parseFloat = function (value) {
    // If it's a plain number, just parseInt() it
    if (!value) {
      return null;
    }

    if (/^[\d.]+$/.test(value)) {
      return parseFloat(value);
    }

    value = value.toLowerCase().replace(/\s/g, "");
    // If it's a valid size string, calc its int value
    var facs = mult.join("");
    var rgx = new RegExp("^([\\d.]+)([" + facs + "]?)(i?)(b?)$");

    if (rgx.test(value)) {
      var matched = rgx.exec(value);
      return parseFloat(matched[1], 10) * Math.pow(1024, mult.indexOf(matched[2]));
    }

    // It didn't parse...
    return null;
  };

  var _isValid = function (value) {
    return _parseInt(value) !== null;
  };

  return {
    parseInt: _parseInt,
    parseFloat: _parseFloat,
    isValid: _isValid
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("SnapshotService", function ($resource) {
  return $resource(globalConfig.API.URL + "snapshots/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "snapshots"
    },
    clone: {
      method: "POST",
      url: globalConfig.API.URL + "snapshots/:id/clone"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("VolumeService", function ($resource) {
  return $resource(globalConfig.API.URL + "volumes/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    storage: {
      method: "GET",
      url: globalConfig.API.URL + "volumes/:id/storage"
    },
    snapshots: {
      method: "GET",
      url: globalConfig.API.URL + "volumes/:id/snapshots"
    },
    createSnapshot: {
      method: "POST",
      url: globalConfig.API.URL + "volumes/:id/snapshots"
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "volumes"
    },
    clone: {
      method: "POST",
      url: globalConfig.API.URL + "volumes/:id/clone"
    }
  });
});
app.factory("VolumeSnapshotService", function ($resource) {
  return $resource(globalConfig.API.URL + "volumes/:volumeId/snapshots", {
    volumeId: "@volumeId"
  }, {
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.config(["$provide", function ($provide) {
  $provide.decorator("uibAccordionGroupDirective", function ($delegate) {
    var directive = $delegate[0];

    directive.templateUrl = "templates/accordion/accordion-group.view.html";

    return $delegate;
  });
}]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic").config(function ($stateProvider, $urlRouterProvider) {

  $urlRouterProvider.otherwise("/dashboard");

  $stateProvider
    .state("pools.detail.storage", {
      url: "/storage",
      views: {
        "tab-content": {
          templateUrl: "components/storage-tree/templates/tree.html",
          controller: "StorageTreeCtrl",
          resolve: {
            storageTree: function ($q, $stateParams, poolsService) {
              return poolsService.storage({id: $stateParams.pool}).$promise
                  .then(function (res) {
                    return res;
                  }).catch(function () {
                    return false;
                  });
            }
          }
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Storage"
      }
    })
    .state("pools.detail.cephpool", {
      url: "/cephpool",
      views: {
        "tab-content": {templateUrl: "templates/pools/cephpool.html"}
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Cephpool"
      }
    })
    .state("volumes", {
      url: "/volumes",
      views: {
        "main": {
          templateUrl: "templates/volumes.html",
          controller: "VolumeCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Volumes"
      }
    })
    .state("volumes-add", {
      url: "/volumes/add",
      views: {
        "main": {
          templateUrl: "templates/volumes/volume-form.html",
          controller: "VolumeFormCtrl"
        }
      },
      ncyBreadcrumb: {
        parent: "volumes",
        label: "Add"
      }
    })
    .state("volumes.detail", {
      url: "/:volume",
      views: {
        "tab": {templateUrl: "templates/volumes/tab.html"}
      },
      ncyBreadcrumb: {
        skip: true
      }
    })
    .state("volumes.detail.status", {
      url: "/status",
      views: {
        "tab-content": {templateUrl: "templates/volumes/status.html"}
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Status"
      }
    })
    .state("volumes.detail.statistics", {
      url: "/statistics",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/statistics.html",
          controller: "VolumeStatisticsCtrl"
        }
      },
      ncyBreadcrumb: {
        skip: true
      }
    })
    .state("volumes.detail.statistics.utilgraphs", {
      url: "/util",
      views: {
        "statistics-content": {templateUrl: "templates/volumes/statistics-utilgraphs.html"}
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Utilization"
      }
    })
    .state("volumes.detail.statistics.perfgraphs", {
      url: "/perf",
      views: {
        "statistics-content": {templateUrl: "templates/volumes/statistics-perfgraphs.html"}
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Performance"
      }
    })
    .state("volumes.detail.cifs", {
      url: "/cifs",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/cifs.html",
          controller: "VolumeCifsSharesCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} CIFS"
      }
    })
    .state("volumes.detail.cifs-add", {
      url: "/cifs/add",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/cifs-form.html",
          controller: "VolumeCifsSharesFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Add",
        parent: "volumes.detail.cifs"
      }
    })
    .state("volumes.detail.cifs-edit", {
      url: "/cifs/edit/:share",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/cifs-form.html",
          controller: "VolumeCifsSharesFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Edit",
        parent: "volumes.detail.cifs"
      }
    })
    .state("volumes.detail.nfs", {
      url: "/nfs",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/nfs.html",
          controller: "VolumeNfsSharesCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} NFS"
      }
    })
    .state("volumes.detail.nfs-add", {
      url: "/nfs/add",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/nfs-form.html",
          controller: "VolumeNfsSharesFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Add",
        parent: "volumes.detail.nfs"
      }
    })
    .state("volumes.detail.luns", {
      url: "/luns",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/luns.html",
          controller: "VolumeLunCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} LUNs"
      }
    })
    .state("volumes.detail.luns-add", {
      url: "/luns/add",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/lun-form.html",
          controller: "VolumeLunFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Add",
        parent: "volumes.detail.luns"
      }
    })
    .state("volumes.detail.http", {
      url: "/http",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/http.html",
          controller: "VolumeHttpSharesCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} HTTP"
      }
    })
    .state("volumes.detail.http-add", {
      url: "/http/add",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/http-form.html",
          controller: "VolumeHttpSharesFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Add",
        parent: "volumes.detail.http"
      }
    })
    .state("volumes.detail.storage", {
      url: "/storage",
      views: {
        "tab-content": {
          templateUrl: "components/storage-tree/templates/tree.html",
          controller: "StorageTreeCtrl",
          resolve: {
            storageTree: function ($q, $stateParams, VolumeService) {
              return VolumeService.storage({id: $stateParams.volume}).$promise
                  .then(function (res) {
                    return res;
                  }).catch(function () {
                    return false;
                  });
            }
          }
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Storage"
      }
    })
    .state("volumes.detail.snapshots", {
      url: "/snapshots",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/snapshots.html",
          controller: "VolumeSnapshotsCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "{{selection.item.name}} Snapshots"
      }
    })
    .state("volumes.detail.snapshots-add", {
      url: "/snapshots/add",
      views: {
        "tab-content": {
          templateUrl: "templates/volumes/snapshot-form.html",
          controller: "VolumeSnapshotFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Add",
        parent: "volumes.detail.snapshots"
      }
    })
    .state("apikeys", {
      url: "/apikeys",
      views: {
        "main": {
          templateUrl: "templates/apikeys.html"
        }
      },
      ncyBreadcrumb: {
        label: "Apikeys"
      }
    })
    .state("crushmap", {
      url: "/ceph/crushmap",
      views: {
        "main": {
          templateUrl: "templates/crushmap.html"
        }
      },
      ncyBreadcrumb: {
        label: "CRUSH Map Editor"
      }
    });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.config(["toastyConfigProvider", function (toastyConfigProvider) {
  toastyConfigProvider.setConfig({
    sound:        false,
    shake:        false,
    limit:        5,
    position:     "top-center",
    showClose:    true,
    clickToClose: true,
    timeout:      4000,
    html:         true,
    theme:        "bootstrap"
  });
}]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.config(["$uibTooltipProvider", function ($uibTooltipProvider) {
  $uibTooltipProvider.options({
    "placement": "right",
    "appendToBody": true
  });
}]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("CifsShareDeleteCtrl", function ($scope, CifsSharesService, $uibModalInstance, share, Notification) {
  $scope.share = share;

  $scope.delete = function () {
    CifsSharesService.delete({id: $scope.share.id})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete share",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("HttpShareDeleteCtrl", function ($scope, HttpSharesService, $uibModalInstance, share, Notification) {
  $scope.share = share;

  $scope.delete = function () {
    HttpSharesService.delete({id: $scope.share.id})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete share",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("LunDeleteCtrl", function ($scope, LunService, $uibModalInstance, lun, Notification) {
  $scope.lun = lun;

  $scope.delete = function () {
    LunService.delete({id: $scope.lun.id})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete LUN",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("NfsShareDeleteCtrl", function ($scope, NfsSharesService, $uibModalInstance, share, Notification) {
  $scope.share = share;

  $scope.delete = function () {
    NfsSharesService.delete({id: $scope.share.id})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete share",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("ToggleFullscreenCtrl", function ($scope, toggleFullscreenService) {
  $scope.toggleFullscreen = function () {
    toggleFullscreenService.toggle();
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeCifsSharesCtrl", function ($scope, $state, CifsSharesService, $uibModal) {
  $scope.cifsData = {};

  $scope.cifsFilter = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null,
    volume: null
  };

  $scope.cifsSelection = {};

  $scope.$watch("selection.item", function (selitem) {
    $scope.cifsFilter.volume = selitem;
  });

  $scope.$watch("cifsFilter", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    if (!$scope.cifsFilter.volume) {
      return;
    }
    CifsSharesService.filter({
      page: $scope.cifsFilter.page + 1,
      pageSize: $scope.cifsFilter.entries,
      search: $scope.cifsFilter.search,
      ordering: ($scope.cifsFilter.sortorder === "ASC" ? "" : "-") + $scope.cifsFilter.sortfield,
      volume: $scope.cifsFilter.volume.id
    })
        .$promise
        .then(function (res) {
          $scope.cifsData = res;
        });
  }, true);

  $scope.addCifsAction = function () {
    $state.go("volumes.detail.cifs-add", {
      "#":
      "more"
    });
  };

  $scope.editCifsAction = function () {
    $state.go("volumes.detail.cifs-edit", {
      share: $scope.cifsSelection.item.id,
      "#": "more"
    });
  };

  $scope.deleteCifsAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/delete-cifs-share.html",
      controller: "CifsShareDeleteCtrl",
      resolve: {
        share: function () {
          return $scope.cifsSelection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.cifsFilter.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeCifsSharesFormCtrl", function ($scope, $state, $stateParams, CifsSharesService) {
  var goToListView = function () {
    $state.go("volumes.detail.cifs", {"#": "more"});
  };
  $scope.domainconfig = {};

  CifsSharesService.domainconfig()
      .$promise
      .then(function (res) {
        $scope.domainconfig = res;
      });

  if (!$stateParams.share) {
    $scope.share = {
      "volume": {id: $scope.selection.item.id},
      "name": $scope.selection.item.name,
      "path": $scope.selection.item.path,
      "available": true,
      "browseable": true,
      "writeable": true,
      "guest_ok": false
    };

    $scope.editing = false;

    $scope.submitAction = function (shareForm) {
      $scope.submitted = true;
      if (shareForm.$valid === true) {
        CifsSharesService.save($scope.share)
          .$promise
          .then(function () {
            goToListView();
          });
      }
    };

    $scope.$watch("domainconfig", function (domcfg) {
      $scope.share.guest_ok = (domcfg.domain === "");
    });
  } else {
    $scope.editing = true;

    CifsSharesService.get({id: $stateParams.share})
        .$promise
        .then(function (res) {
          $scope.share = res;
        });

    $scope.submitAction = function (shareForm) {
      $scope.submitted = true;
      if (shareForm.$valid === true) {
        CifsSharesService.update({id: $scope.share.id}, $scope.share)
            .$promise
            .then(function () {
              goToListView();
            });
      }
    };
  }

  $scope.cancelAction = function () {
    goToListView();
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeCloneCtrl", function ($scope, VolumeService, SnapshotService, $uibModalInstance, volume,
    Notification) {
  $scope.volume = volume;
  $scope.clone_obj = {};

  if ("snapshot" in volume) {
    $scope.type = "snapshot";
  } else {
    $scope.type = "volume";
  }

  $scope.clone = function () {
    if ("snapshot" in volume) {
      SnapshotService.clone({
        "id": $scope.volume.id,
        "name": $scope.clone_obj.name
      })
          .$promise
          .then(function () {
            $uibModalInstance.close("cloned");
          });
    } else {
      VolumeService.clone({
        "id": $scope.volume.id,
        "name": $scope.clone_obj.name
      })
          .$promise
          .then(function () {
            $uibModalInstance.close("cloned");
          });
    }
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Clone " + $scope.type,
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeDeleteCtrl", function ($scope, VolumeService, $uibModalInstance, volumeSelection, $q,
    Notification) {
  if ($.isArray(volumeSelection)) {
    $scope.volumes = volumeSelection;
  } else {
    $scope.volume = volumeSelection;
  }

  $scope.input = {
    enteredName: "",
    pattern: "yes"
  };

  $scope.delete = function () {
    if ($scope.volume) {
      $scope.volumes = [ $scope.volume ];
    }
    if ($scope.volumes) {
      $scope.deleteVolumes();
    }
  };

  $scope.deleteVolumes = function () {
    var requests = [];
    $scope.volumes.forEach(function (volume) {
      var deferred = $q.defer();
      VolumeService.delete({id: volume.id}, deferred.resolve, deferred.reject);
      requests.push(deferred.promise);
    });
    $q.all(requests).then(function () {
      $uibModalInstance.close("deleted");
    });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete volume",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeFormCtrl", function ($scope, $state, VolumeService) {
  $scope.volume = {};

  $scope.data = {
    sourcePool: null,
    megs: "",
    filesystem: ""
  };

  $scope.supported_filesystems = {};

  $scope.state = {
    created: false,
    formatted: false
  };

  $scope.submitAction = function (volumeForm) {
    if (volumeForm.$valid) {
      if (!$scope.state.created) {
        VolumeService.save($scope.volume)
            .$promise
            .then(function (res) {
              $scope.volume = res;
              $scope.state.created = true;
              $scope.state.formatted = $scope.volume.is_filesystemvolume;
              goToListView();
            });
      } else if (!$scope.state.formatted) {
        new VolumeService({
          id: $scope.volume.id,
          filesystem: $scope.data.filesystem
        }).$update()
          .then(function (res) {
            $scope.volume = res;
            $scope.state.formatted = true;
            goToListView();
          });
      }
    }
  };

  $scope.cancelAction = function () {
    goToListView();
  };

  var goToListView = function () {
    $state.go("volumes");
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeHttpSharesCtrl", function ($scope, $state, HttpSharesService, $uibModal) {
  $scope.httpData = {};

  $scope.httpFilter = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null,
    volume: null
  };

  $scope.httpSelection = {};

  $scope.$watch("selection.item", function (selitem) {
    $scope.httpFilter.volume = selitem;
  });

  $scope.$watch("httpFilter", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    if (!$scope.httpFilter.volume) {
      return;
    }
    HttpSharesService.filter({
      page: $scope.httpFilter.page + 1,
      pageSize: $scope.httpFilter.entries,
      search: $scope.httpFilter.search,
      ordering: ($scope.httpFilter.sortorder === "ASC" ? "" : "-") + $scope.httpFilter.sortfield,
      volume: $scope.httpFilter.volume.id
    })
        .$promise
        .then(function (res) {
          $scope.httpData = res;
        });
  }, true);

  $scope.addHttpAction = function () {
    $state.go("volumes.detail.http-add", {"#": "more"});
  };

  $scope.deleteHttpAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/delete-http-share.html",
      controller: "HttpShareDeleteCtrl",
      resolve: {
        share: function () {
          return $scope.httpSelection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.httpFilter.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeHttpSharesFormCtrl", function ($scope, $state, $stateParams, HttpSharesService) {
  var goToListView = function () {
    $state.go("volumes.detail.http", {"#": "more"});
  };

  if (!$stateParams.share) {
    $scope.share = {
      "volume": {id: $scope.selection.item.id},
      "path": $scope.selection.item.path
    };
    $scope.editing = false;

    $scope.submitAction = function (httpForm) {
      $scope.submitted = true;
      if (httpForm.$valid === true) {
        HttpSharesService.save($scope.share)
            .$promise
            .then(function () {
              goToListView();
            });
      }
    };
  }

  $scope.cancelAction = function () {
    goToListView();
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeLunCtrl", function ($scope, $state, LunService, $uibModal) {
  $scope.lunData = {};

  $scope.lunFilter = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null,
    volume: null
  };

  $scope.lunSelection = {};

  $scope.$watch("selection.item", function (selitem) {
    $scope.lunFilter.volume = selitem;
  });

  $scope.$watch("lunFilter", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    if (!$scope.lunFilter.volume) {
      return;
    }
    LunService.filter({
      page: $scope.lunFilter.page + 1,
      pageSize: $scope.lunFilter.entries,
      search: $scope.lunFilter.search,
      ordering: ($scope.lunFilter.sortorder === "ASC" ? "" : "-") + $scope.lunFilter.sortfield,
      volume: $scope.lunFilter.volume.id
    })
        .$promise
        .then(function (res) {
          $scope.lunData = res;
        });
  }, true);
  $scope.addLunAction = function () {
    $state.go("volumes.detail.luns-add", {"#": "more"});
  };

  $scope.deleteLunAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/delete-lun.html",
      controller: "LunDeleteCtrl",
      resolve: {
        lun: function () {
          return $scope.lunSelection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.lunFilter.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeLunFormCtrl", function ($scope, $state, $stateParams, $filter, LunService, HostService,
    InitiatorService) {
  var goToListView = function () {
    $state.go("volumes.detail.luns", {"#": "more"});
  };

  $scope.share = {
    "volume": {id: $scope.selection.item.id},
    "host": null,
    "lun_id": "0"
  };

  HostService.query()
      .$promise
      .then(function (res) {
        $scope.hosts = $filter("initiatorsonly")(res);
      });

  $scope.$watch("share.host", function (host) {
    if (host) {
      InitiatorService.filter({
        host: host.id,
        type: "qla2xxx"
      })
          .$promise
          .then(function (res) {
            $scope.haz_initiator = (res.count > 0);
          });
    }
  });

  $scope.submitAction = function (shareForm) {
    $scope.submitted = true;
    if (shareForm.$valid === true) {
      LunService.save($scope.share)
          .$promise
          .then(function () {
            goToListView();
          });
    }
  };

  $scope.cancelAction = function () {
    goToListView();
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeNfsSharesCtrl", function ($scope, $state, NfsSharesService, $uibModal) {
  $scope.nfsData = {};

  $scope.nfsFilter = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null,
    volume: null
  };

  $scope.nfsSelection = {};

  $scope.$watch("selection.item", function (selitem) {
    $scope.nfsFilter.volume = selitem;
  });

  $scope.$watch("nfsFilter", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    if (!$scope.nfsFilter.volume) {
      return;
    }
    NfsSharesService.filter({
      page: $scope.nfsFilter.page + 1,
      pageSize: $scope.nfsFilter.entries,
      search: $scope.nfsFilter.search,
      ordering: ($scope.nfsFilter.sortorder === "ASC" ? "" : "-") + $scope.nfsFilter.sortfield,
      volume: $scope.nfsFilter.volume.id
    })
        .$promise
        .then(function (res) {
          $scope.nfsData = res;
        });
  }, true);

  $scope.addNfsAction = function () {
    $state.go("volumes.detail.nfs-add", {"#": "more"});
  };

  $scope.deleteNfsAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/delete-nfs-share.html",
      controller: "NfsShareDeleteCtrl",
      resolve: {
        share: function () {
          return $scope.nfsSelection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.nfsFilter.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeNfsSharesFormCtrl", function ($scope, $state, $stateParams, NfsSharesService) {
  if (!$stateParams.share) {
    $scope.share = {
      "volume": {id: $scope.selection.item.id},
      "path": $scope.selection.item.path,
      "address": "",
      "options": "rw,no_subtree_check,no_root_squash"
    };

    $scope.submitAction = function (shareForm) {
      $scope.submitted = true;
      if (shareForm.$valid === true) {
        NfsSharesService.save($scope.share)
            .$promise
            .then(function () {
              goToListView();
            });
      }
    };
  }

  $scope.cancelAction = function () {
    goToListView();
  };

  var goToListView = function () {
    $state.go("volumes.detail.nfs", {"#": "more"});
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeProtectionCtrl", function ($scope, VolumeService, $uibModalInstance, volume, Notification) {
  $scope.volume = volume;
  $scope.dialogSet = "Set";
  if (volume.is_protected) {
    $scope.dialogSet = "Unset";
  }

  $scope.setProtection = function () {
    new VolumeService({
      id: volume.id,
      is_protected: !volume.is_protected
    })
        .$update()
        .then(function () {
          $uibModalInstance.dismiss("protection set");
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Set volume protection",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeResizeCtrl", function ($scope, VolumeService, poolsService, SizeParserService, $uibModalInstance,
    volume, Notification) {
  $scope.volume = volume;
  $scope.input = {
    newsize: "",
    resizeForm: ""
  };

  poolsService.get(volume.source_pool)
      .$promise
      .then(function (res) {
        $scope.pool = res;
        $scope.pool.usage.max_new_fsv = $scope.pool.usage.max_new_fsv + $scope.volume.usage.size;
      });

  $scope.resize = function () {
    $scope.submitted = true;
    if ($scope.input.resizeForm.$valid) {
      new VolumeService({
        id: $scope.volume.id,
        megs: SizeParserService.parseInt($scope.input.newsize)
      })
          .$update()
          .then(function () {
            $uibModalInstance.close("resized");
          });
    }
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Resize volume",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeSnapshotDeleteCtrl", function ($scope, SnapshotService, $uibModalInstance, snap, Notification) {
  $scope.snap = snap;

  $scope.delete = function () {
    SnapshotService.delete({id: $scope.snap.id})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete snapshot",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeSnapshotFormCtrl", function ($scope, $state, $filter, $stateParams, VolumeService,
    VolumeSnapshotService, poolsService, SizeParserService, poolCheckingService) {
  var goToListView = function () {
    $state.go("volumes.detail.snapshots", {"#": "more"});
  };

  if (!$scope.selection) {
    goToListView();
    return;
  }
  var item = $scope.selection.item;

  $scope.source = poolCheckingService.get($scope.selection);

  $scope.snap = {
    "volumeId": item.id,
    "name": $filter("date")(new Date(), "yyyy-MM-dd-HH-mm-ss"),
    "megs": ""
  };

  $scope.megs = item.usage.size_text;

  $scope.pool = new poolsService.get($scope.selection.item.source_pool);

  $scope.$watchGroup(["source", "selection.item"], function (newVal) {
    var source = newVal[0];
    var volume = newVal[1];
    var type;
    if (source && source.pool) {
      type = source.pool.app_label;
      source = type === "zfs" || type === "btrfs";
    }
    if (volume) {
      type = volume.type.app_label;
      volume = type === "zfs" || type === "btrfs";
    }
    $scope.dynSnap = volume || source;
  });

  $scope.$watch("megs", function (megs) {
    $scope.snap.megs = SizeParserService.parseInt(megs);
  });

  $scope.submitAction = function (snapForm) {
    $scope.submitted = true;
    if (snapForm.$valid === true) {
      new VolumeSnapshotService($scope.snap)
          .$save()
          .then(function () {
            goToListView();
          });
    }
  };

  $scope.cancelAction = function () {
    goToListView();
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeSnapshotsCtrl", function ($scope, $state, SnapshotService, $uibModal, poolCheckingService) {
  $scope.snapshotsData = {};

  $scope.source = poolCheckingService.get($scope.selection);

  $scope.snapshotsFilter = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null,
    volume: null
  };

  $scope.snapshotsSelection = {};

  $scope.$watch("selection.item", function (selitem) {
    $scope.snapshotsFilter.volume = selitem;
  });

  $scope.$watchGroup(["source", "selection.item"], function (newVal) {
    var source = newVal[0];
    var volume = newVal[1];
    var type;
    if (source && source.pool) {
      type = source.pool.app_label;
      source = type === "zfs" || type === "btrfs";
    }
    if (volume) {
      type = volume.type.app_label;
      volume = type === "zfs" || type === "btrfs";
    }
    $scope.dynSnap = volume || source;
  });

  $scope.$watch("snapshotsFilter", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    if (!$scope.snapshotsFilter.volume) {
      return;
    }
    SnapshotService.filter({
      page: $scope.snapshotsFilter.page + 1,
      pageSize: $scope.snapshotsFilter.entries,
      search: $scope.snapshotsFilter.search,
      ordering: ($scope.snapshotsFilter.sortorder === "ASC" ? "" : "-") + $scope.snapshotsFilter.sortfield,
      snapshot: $scope.snapshotsFilter.volume.id
    })
        .$promise
        .then(function (res) {
          $scope.snapshotsData = res;
        });
  }, true);

  $scope.addAction = function () {
    $state.go("volumes.detail.snapshots-add", {"#": "more"});
  };

  $scope.deleteAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/snapshot-delete.html",
      controller: "VolumeSnapshotDeleteCtrl",
      resolve: {
        snap: function () {
          return $scope.snapshotsSelection.item;
        }
      }
    });
    modalInstance.result.then(function () {
      $scope.snapshotsFilter.refresh = new Date();
    });
  };

  $scope.cloneAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/clone.html",
      controller: "VolumeCloneCtrl",
      resolve: {
        volume: function () {
          return $scope.snapshotsSelection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.super.refreshList();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeStatisticsCtrl", function ($scope, $state) {
  $scope.$watch(function () {
    return $state.current;
  }, function (current) {
    $scope.state = current;
  });
  $scope.utilparams = {
    profile: null
  };
  $scope.perfparams = {
    profile: null
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("VolumeCtrl", function ($scope, $state, VolumeService, SizeParserService, $uibModal, Notification,
    tabViewService) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.tabData = {
    active: 0,
    tabs: {
      status: {
        show: "selection.item",
        state: "volumes.detail.status",
        class: "tc_statusTab",
        name: "Status"
      },
      statisticsFsVol: {
        show: "selection.item.is_filesystemvolume",
        state: "volumes.detail.statistics.utilgraphs",
        class:"tc_fsStatisticsTab",
        name: "Statistics"
      },
      statisticsBlockVol: {
        show: "selection.item.is_blockvolume && !selection.item.is_filesystemvolume",
        state: "volumes.detail.statistics.perfgraphs",
        class: "tc_blockStatisticsTab",
        name: "Statistics"
      },
      cifs: {
        show: "selection.item.is_filesystemvolume",
        state: "volumes.detail.cifs",
        class: "tc_cifsShareTab",
        name: "CIFS"
      },
      nfs: {
        show: "selection.item.is_filesystemvolume",
        state: "volumes.detail.nfs",
        class: "tc_nfsShareTab",
        name: "NFS"
      },
      http: {
        show: "selection.item.is_filesystemvolume",
        state: "volumes.detail.http",
        class: "tc_httpShareTab",
        name: "HTTP"
      },
      iscsi: {
        show: "selection.item.source_pool && selection.item.is_blockvolume && !selection.item.is_filesystemvolume",
        state: "volumes.detail.luns",
        class: "tc_iscsi_fcTab",
        name: "iSCSI/FC"
      },
      storage: {
        show: "selection.item.id",
        state: "volumes.detail.storage",
        class: "tc_storageTab",
        name: "Storage"
      },
      snapshots: {
        show: "selection.item.id",
        state: "volumes.detail.snapshots",
        class: "tc_snapshotTab",
        name: "Snapshots"
      }
    }
  };
  $scope.tabConfig = {
    type: "volume",
    linkedBy: "id",
    jumpTo: "more"
  };
  tabViewService.setScope($scope);
  $scope.changeTab = tabViewService.changeTab;

  $scope.selection = {};

  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    VolumeService
      .filter({
        page: $scope.filterConfig.page + 1,
        pageSize: $scope.filterConfig.entries,
        search: $scope.filterConfig.search,
        ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield,
        upper__isnull: "True"
      })
      .$promise
      .then(function (res) {
        $scope.data = res;
      });
  }, true);

  $scope.$watchCollection("selection", function (selection) {
    var item = selection.item;
    var items = selection.items;

    $scope.multiSelection = Boolean(items) && items.length > 1;

    $scope.hasSelection = Boolean(item);

    if (!item && !items) {
      $state.go("volumes");
      return;
    }

    // Ensure the selected object is a valid volume object.
    if (angular.isObject(item) && item.id) {
      $scope.resizeable = item.is_blockvolume === true || item.type.name !== "btrfs subvolume";
      $scope.cloneable = item.type.name !== "zfs";

      if ($state.current.name === "volumes" ||
          ($state.current.name === "volumes.detail.cifs" && !item.is_filesystemvolume) ||
          ($state.current.name === "volumes.detail.nfs"  && !item.is_filesystemvolume) ||
          ($state.current.name === "volumes.detail.http" && !item.is_filesystemvolume) ||
          ($state.current.name === "volumes.detail.tftp" && !item.is_filesystemvolume) ||
          ($state.current.name === "volumes.detail.luns" && (!item.is_blockvolume || item.is_filesystemvolume))) {
        $scope.changeTab("volumes.detail.status");
      } else if ($state.current.name === "volumes.detail.statistics.utilgraphs" && !item.is_filesystemvolume) {
        $scope.changeTab("volumes.detail.statistics.perfgraphs");
      } else if ($state.current.name === "volumes.detail.statistics.perfgraphs" && !item.is_blockvolume) {
        $scope.changeTab("volumes.detail.statistics.utilgraphs");
      } else {
        $scope.changeTab($state.current.name);
      }
    } else {
      // Display the 'Status' tab.
      $scope.changeTab("volumes.detail.status");
    }
  });

  $scope.addAction = function () {
    $state.go("volumes-add");
  };

  $scope.resizeAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/resize.html",
      controller: "VolumeResizeCtrl",
      resolve: {
        volume: function () {
          return $scope.selection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.refreshList();
    }, function () {});
  };

  $scope.protectionAction = function () {
    if (!$scope.selection.item) {
      return;
    }
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/protection.html",
      controller: "VolumeProtectionCtrl",
      resolve: {
        volume: function () {
          return $scope.selection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.refreshList();
    }, function () {
      $scope.refreshList();
    });
  };

  $scope.moreOptionsAction = function () {
    $("#more").effect("highlight", {}, 3000);
  };

  $scope.protectedMessage = function (item) {
    Notification.warning({
      title: item.name + " is not deletable",
      msg: "Release the deletion protection in order to be able to delete the volume."
    });
  };

  $scope.deletionDialog = function (selection) {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/delete.html",
      controller: "VolumeDeleteCtrl",
      resolve: {
        volumeSelection: function () {
          return selection;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.refreshList();
    });
  };

  $scope.deleteAction = function () {
    if (!$scope.hasSelection && !$scope.multiSelection) {
      return;
    }
    var item = $scope.selection.item;
    var items = $scope.selection.items;
    if (item && item.is_protected) {
      $scope.protectedMessage(item);
    } else if (item) {
      $scope.deletionDialog(item);
    } else if (items) {
      var protectedVolumes = items.filter(function (item) {
        return item.is_protected;
      });
      if (protectedVolumes.length) {
        protectedVolumes.forEach(function (volume) {
          $scope.protectedMessage(volume);
        });
      } else {
        $scope.deletionDialog(items);
      }
    }
  };

  $scope.refreshList = function () {
    $scope.filterConfig.refresh = new Date();
  };

  $scope.cloneAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "templates/volumes/clone.html",
      controller: "VolumeCloneCtrl",
      resolve: {
        volume: function () {
          return $scope.selection.item;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.refreshList();
    });
  };

  $scope.self = $scope;
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("focusMe", function ($timeout, $parse) {
  return {
    link: function (scope, element, attrs) {
      var model = $parse(attrs.focusMe);
      scope.$watch(model, function (value) {
        if (value === true) {
          $timeout(function () {
            element[0].focus();
            element[0].select();
          });
        }
      });
      element.bind("blur", function () {
        scope.$apply(model.assign(scope, false));
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("ngAltSrc", function () {
  return {
    link: function (scope, element, attrs) {
      element.bind("error", function () {
        // Display an alternative image if the original image failed to load.
        if (!angular.isString(attrs.ngAltSrc) || attrs.ngAltSrc.length === 0) {
          attrs.ngAltSrc = "fa fa-bug fa-4x";
        }
        element.hide().after('<i class="' + attrs.ngAltSrc + '"></i>');
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("ngEnter", function () {
  return function (scope, element, attrs) {
    element.bind("keydown keypress", function (event) {
      if (event.which === 13) {
        scope.$apply(function () {
          scope.$eval(attrs.ngEnter);
        });

        event.preventDefault();
      }
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
/**
 * @param {string} oaClipboardTarget The identifer of the DOM element whose
 *   text is copied into the clipboard.
 * @param {string} oaClipboardText An alternative text. Default is 'text'.
 */
app.directive("oaClipboard", function (Notification) {
  return {
    restrict: "A",
    scope: {
      oaClipboardTarget: "@",
      oaClipboardText: "@"
    },
    link: function (scope, element, attrs) {
      element.bind("click", function () {
        var toastyOptions = {};
        attrs.oaClipboardText = angular.isString(attrs.oaClipboardText) ?
          attrs.oaClipboardText : "text";
        try {
          // Get the DOM element by id.
          var node = $("#" + attrs.oaClipboardTarget);
          // Copy text to clipboard.
          var selection = document.getSelection();
          selection.removeAllRanges();
          node.select();
          document.execCommand("copy");
          selection.removeAllRanges();
          // Set success message.
          toastyOptions = {
            type: "success",
            msg: "Copied " + attrs.oaClipboardText +
              " to the clipboard successfully."
          };
        } catch (err) {
          // Set error message.
          toastyOptions = {
            type: "error",
            msg: "Failed to copy the " + attrs.oaClipboardText +
              " to the clipboard."
          };
        }
        // Display a toasty/message.
        // Note, the scope is not updated automatically because we are inside
        // a click event, so we need to do this ourself.
        scope.$apply(function () {
          Notification[toastyOptions.type](toastyOptions);
        });
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("poolSelection", function () {
  return {
    restrict: "E",
    scope: {
      pool: "=",
      validation: "=",
      megs: "=",
      submitted: "=",
      wizard: "="
    },
    templateUrl: "templates/poolSelection.html",
    controller: function ($scope, poolsService) {
      $scope.getPoolList = function (options) {
        poolsService.query(options)
          .$promise
          .then(function (res) {
            $scope.pools = res;
            $scope.waitingMsg = "-- Select a pool --";
          }, function () {
            $scope.waitingMsg = "Error: List couldn't be loaded!";
            $scope.validation.$setValidity("loading", false);
          });
      };

      $scope.waitingMsg = "Retrieving pool list...";
      $scope.getPoolList();
      $scope.selPoolUsedPercent = 0;

      $scope.$watch("pool", function (pool) {
        if (pool) {
          $scope.selPoolUsedPercent = parseFloat(pool.usage.used_pcnt).toFixed(2);
        }
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("poolFsSupport", function () {
  return {
    restrict: "E",
    scope: {
      filesystem: "=",
      pool: "=",
      wizard: "=",
      availTypes: "=",
      poolValidation: "="
    },
    templateUrl: "templates/poolTypes.html",
    controller: function ($scope, poolsService) {
      $scope.supported_filesystems = {};
      $scope.state = {formatted: false};

      $scope.filesystems = {
        lun: {
          btn: "LUN",
          desc: "iSCSI, Fibre Channel shares and volume mirroring",
          link: "https://en.wikipedia.org/wiki/Logical_unit_number"
        },
        xfs: {
          btn: "XFS",
          desc: "recommended for virtualization, optimized for parallel IO",
          link: "https://en.wikipedia.org/wiki/XFS"
        },
        zfs: {
          btn: "ZFS",
          desc: "supports snapshots, deduplication and compression",
          link: "https://en.wikipedia.org/wiki/ZFS"
        },
        btrfs: {
          btn: "Btrfs",
          desc: "supports snapshots, compression - Experimental",
          link: "https://en.wikipedia.org/wiki/Btrfs"
        },
        ext4: {
          btn: "ext4",
          desc: "max. 1 EiB - Linux default",
          link: "https://en.wikipedia.org/wiki/Ext4"
        },
        ext3: {
          btn: "ext3",
          desc: "max. 32TiB - old Linux default since 2010",
          link: "https://en.wikipedia.org/wiki/Ext3"
        },
        ext2: {
          btn: "ext2",
          desc: "deprecated",
          link: "https://en.wikipedia.org/wiki/Ext2"
        }
      };

      $scope.fsStatic = ["lun", "xfs", "zfs", "btrfs", "ext4", "ext3", "ext2"];

      if ($scope.availTypes) {
        for (var key in $scope.filesystems) {
          if ($scope.availTypes.indexOf(key) === -1) {
            delete $scope.filesystems[key];
            $scope.fsStatic.splice($scope.fsStatic.indexOf(key), 1);
          }
        }
      }

      $scope.$watch("pool", function (pool) {
        if (pool) {
          $scope.poolValidation.$setValidity("usablesize", pool.usage.free >= 100);
          $scope.fsArray = $scope.fsStatic.slice();

          poolsService.filesystems({
            id: pool.id
          })
              .$promise
              .then(function (res) {
                res.lun = "Sth";
                $scope.supported_filesystems = res;
                var supportedFs = Object.keys(res);
                for (var key in $scope.filesystems) {
                  if (supportedFs.indexOf(key) === -1) {
                    delete $scope.supported_filesystems[key];
                    var notAvail = $scope.fsArray.indexOf(key);
                    if (notAvail !== -1) {
                      $scope.fsArray.splice(notAvail, 1);
                    }
                  }
                }
                if ($scope.fsArray.length > 0) {
                  $scope.filesystem = $scope.fsArray[0];
                } else {
                  $scope.filesystem = "";
                }
              });
        } else {
          if ($scope.poolValidation) {
            $scope.poolValidation.$setValidity("usablesize", true);
          }
        }
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("ngRightClick", function ($parse) {
  return function (scope, element, attrs) {
    var fn = $parse(attrs.ngRightClick);
    element.bind("contextmenu", function (event) {
      scope.$apply(function () {
        event.preventDefault();
        fn(scope, {$event:event});
      });
    });
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("volumeAddForm", function () {
  return {
    restrict: "E",
    scope: {
      volumeForm: "=",
      result: "=",
      availTypes: "=",
      wizard: "="
    },
    templateUrl: "templates/volumeAddForm.html",
    controller: function ($scope, SizeParserService) {
      $scope.data = {};
      $scope.validation = $scope.volumeForm;
      /* The result has to look like the following:
      $scope.result = {
        filesystem: "ext3",
        is_protected: false,
        megs: 100,
        name: "xxx",
        source_pool: {
          id: 2,
          name: "xxx", // Not needed in backend, but in frontend.
          host: 3 // Not needed in backend, but in frontend.
        }
      };
      */
      $scope.$watch("data.pool", function () {
        if ($scope.data.pool) {
          $scope.result.source_pool = {
            id: $scope.data.pool.id,
            name: $scope.data.pool.name,
            host: $scope.data.pool.host.id
          };
        } else {
          delete $scope.result.source_pool;
        }
      });
      $scope.$watch("data.megs", function (megs) {
        if ($scope.data.megs) {
          $scope.result.megs = SizeParserService.parseInt(megs);
        }
      });
      $scope.$watch("data.filesystem", function (fs) {
        if ($scope.data.filesystem) {
          $scope.result.filesystem = fs === "lun" ? "" : fs;
        }
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("volumestatwidget", function () {
  return {
    restrict: "A",
    scope: true,
    replace: true,
    templateUrl: "templates/volumes/statwidget.html",
    controller: function ($scope, VolumeService) {
      $scope.volumes = [];
      $scope.volumesLoaded = false;
      $scope.selectedVolume = null;

      $scope.dashboardparams = {
        profile: null
      };

      VolumeService.query()
      .$promise
      .then(function (res) {
        $scope.volumesLoaded = true;
        for (var i = 0; i < res.length; i++) {
          if (res[i].status.status !== "good" && res[i].status.status !== "locked") {
            $scope.volumes.push(res[i]);
          }
        }
      });

      $scope.volumeStatusMsg = function (volume) {
        var msgs = [];
        if (volume.status.flags.nearfull) {
          msgs.push(volume.status.flags.nearfull);
        }
        if (volume.status.flags.highload) {
          msgs.push(volume.status.flags.highload);
        }
        if (volume.status.flags.highlatency) {
          msgs.push(volume.status.flags.highlatency);
        }
        if (volume.status.flags.randomio) {
          msgs.push(volume.status.flags.randomio);
        }
        return msgs.join(" ");
      };

      $scope.select = function (volume) {
        $scope.selectedVolume = volume;
        if (volume.status.flags.nearfull) {
          $scope.graphTitle = "Volume Space";
        } else if (volume.status.flags.highload) {
          $scope.graphTitle = "Disk Load";
        } else if (volume.status.flags.highlatency) {
          $scope.graphTitle = "Average Latency (r/w)";
        } else if (volume.status.flags.randomio) {
          $scope.graphTitle = "Average Request Size (r/w)";
        }
      };
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");

app.filter("bytes", function () {
  /**
   * Display the given size in the best matching unit.
   * @param {number} value The value to be displayed.
   * @param {number|string} inUnit The input unit, e.g. 1 or 'KiB'.
   *   Default is 'B'.
   * @param {number} outPrecision The number of digits after the decimal point.
   *   Default is 2.
   * @param {number|string} outUnit The unit to output, e.g. 2 or 'MiB'.
   *   If not set, the best matching unit is calculated. Default is auto-calc.
   */
  return function (value, inUnit, outPrecision, outUnit) {
    var units = ["B", "KiB", "MiB", "GiB", "TiB", "PiB", "EiB", "ZiB"];
    // Validate the input value.
    if (isNaN(parseFloat(value)) || !isFinite(value)) {
      return "-";
    }
    if (value === 0) {
      return value + " " + units[0];
    }
    // Get the input unit.
    if (angular.isDefined(inUnit)) {
      if (angular.isString(inUnit)) {
        inUnit = units.indexOf(inUnit);
      }
      if (!inUnit || inUnit < 0 || inUnit > units.length) {
        inUnit = 0;
      }
    } else {
      inUnit = 0;
    }
    // Convert the value to bytes if necessary.
    if (0 < inUnit) {
      value = (value * Math.pow(1024, inUnit)).toFixed(0);
    }
    // Set the output precision and unit.
    outPrecision = outPrecision || 2;
    if (angular.isDefined(outUnit)) {
      if (angular.isString(outUnit)) {
        outUnit = units.indexOf(outUnit);
      }
      if (!outUnit || outUnit < 0 || outUnit > units.length) {
        outUnit = 0;
      }
    } else {
      // Calculate the best matching unit.
      outUnit = Math.floor(Math.log(value) / Math.log(1024));
    }
    return (value / Math.pow(1024, outUnit)).toFixed(outPrecision) +  " " + units[outUnit];
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.filter("humanizeInt", function () {
  return function (inp) {
    inp = parseInt(inp, 10);
    if (inp < 0 || inp > 12) {
      return inp;
    }
    return {
      0: "no",
      1: "one",
      2: "two",
      3: "three",
      4: "four",
      5: "five",
      6: "six",
      7: "seven",
      8: "eight",
      9: "nine",
      10: "ten",
      11: "eleven",
      12: "twelve"
    }[inp];
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.filter("initiatorsonly", function (InitiatorService) {
  return function (hosts) {
    var initiators = [];
    angular.forEach(hosts, function (host) {
      InitiatorService.filter({host: host.id})
        .$promise
        .then(function (res) {
          if (res.count > 0) {
            initiators.push(host);
          }
        });
    });
    return initiators;
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.filter("objLength", function () {
  return function (object) {
    var count = 0;

    for (var i in object) {
      if (!object.hasOwnProperty(i)) {
        continue;
      }
      count++;
    }
    return count;
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.filter("statusText", function () {
  /**
   * Translate the short/cryptic status code into a more readable text.
   */
  return function (value) {
    var status = {
      "": "Unknown",
      "good": "Good",
      "warn": "Warning",
      "crit": "Critical",
      "fail": "Failed",
      "locked": "Locked"
    };
    if (!(value in status)) {
      return value;
    }

    return status[value];
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.ceph", [
  "openattic.cephErasureCodeProfiles",
  "openattic.cephNodes",
  "openattic.cephOsd",
  "openattic.cephPools",
  "openattic.cephRbd"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.core", [
  "openattic.apidecorator",
  "openattic.apirecorder",
  "openattic.auth",
  "openattic.commandlog",
  "openattic.dashboard",
  "openattic.datatable",
  "openattic.graph",
  "openattic.navigation",
  "openattic.notification",
  "openattic.oadeleteconfirmationmodal",
  "openattic.required",
  "openattic.sizeparser",
  "openattic.tabView",
  "openattic.userinfo",
  "openattic.taskQueue",
  "openattic.users"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.local", [
  "openattic.clusterstatuswidget",
  "openattic.disks",
  "openattic.drbd",
  "openattic.pools",
  "openattic.hosts",
  "openattic.oaWizards",
  "openattic.storageTree",
  "openattic.todowidget"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("poolCheckingService", function (poolsService) {
  var saved = {
    source: "",
    pool: "",
    special: false
  };

  function get(selection) {
    if (!selection.item || !selection.item.source_pool) {
      return;
    }
    var source = selection.item.source_pool;
    if (angular.equals(saved.source, source)) {
      return saved;
    }

    poolsService.get(source)
        .$promise
        .then(function (res) {
          saved.source = source;
          saved.pool = res.type;
        });

    return saved;
  }

  return {get: get};
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("uniquename", function ($timeout, cephErasureCodeProfilesService, cephPoolsService, cephRbdService,
    HostService, usersService, VolumeService) {
  return {
    restrict: "A",
    require: "ngModel",
    link: function (scope, elem, attrs, ctrl) {
      var stopTimeout;
      ctrl.model = attrs.uniquename;
      ctrl.field = attrs.name;

      return scope.$watch(function () {
        return ctrl.$modelValue;
      }, function (modelValue) {
        ctrl.$setValidity("uniquename", true);
        $timeout.cancel(stopTimeout);

        if (modelValue === "" || angular.isUndefined(modelValue)) {
          return;
        }
        stopTimeout = $timeout(function () {
          var obj;
          var query = {};
          switch (ctrl.model) {
            case "host":
              obj = {
                model: HostService,
                current: scope.host.id,
                attribute: "id"
              };
              break;
            case "volume":
              obj = {
                model: VolumeService,
                current: null, // Has no renaming feature.
                attribute: "id"
              };
              break;
            case "user":
              obj = {
                model: usersService,
                current: scope.user.id,
                attribute: "id"
              };
              break;
            case "rbd":
              query.clusterId = scope.data.cluster.fsid;
              obj = {
                model: cephRbdService,
                current: null, // Has no renaming feature.
                attribute: "name"
              };
              break;
            case "ceph-pool":
              query.id = scope.data.cluster.fsid;
              obj = {
                model: cephPoolsService,
                current: null, // Has no renaming feature.
                attribute: "name"
              };
              break;
            case "erasure-code-profiles":
              query.fsid = scope.cluster.fsid;
              obj = {
                model: cephErasureCodeProfilesService,
                current: null, // Has no renaming feature.
                attribute: "name"
              };
              break;

            default:
              Notification.warning({
                title: "Service not implemened",
                msg: "Please add the Service to 'UniqueName.js'."
              });
              return;
          }
          var resCheck = function (res) {
            if (res.length !== 0 && obj.current) {
              ctrl.$setValidity("uniquename", res[0][obj.attribute] === obj.current);
            } else {
              ctrl.$setValidity("uniquename", res.length === 0);
            }
          };
          query[ctrl.field] = modelValue;
          obj.model.query(query)
              .$promise
              .then(resCheck);
        }, 300);
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("validname", function () {
  return {
    require: "ngModel",
    link: function (scope, elem, attrs, ctrl) {
      ctrl.$parsers.unshift(function (viewValue) {
        ctrl.$setValidity("validname", true);

        if (typeof viewValue !== "undefined" && viewValue.length > 0) {
          var match = viewValue.match("[^a-zA-Z0-9+_.-]") || [];

          if (viewValue === "." || viewValue === "..") {
            ctrl.$setValidity("validname", false);
            scope.errortext = "LV names may not be \".\" or \"..\"!";
          } else if (viewValue[0] === "-") {
            ctrl.$setValidity("validname", false);
            scope.errortext = "LV names must not begin with a hyphen.";
          } else if (match.length > 0) {
            ctrl.$setValidity("validname", false);
            scope.errortext = "The following characters are valid: " +
            "a-z A-Z 0-9 + _ . -";
          }  else if (viewValue.indexOf("snapshot") === 0 || viewValue.indexOf("pvmove") === 0) {
            ctrl.$setValidity("validname", false);
            scope.errortext = "The volume name must not begin with \"snapshot\" or \"pvmove\".";
          } else if (viewValue.indexOf("_mlog") !== -1 || viewValue.indexOf("_mimage") !== -1) {
            ctrl.$setValidity("validname", false);
            scope.errortext = "The volume name must not contain \"_mlog\" or \"_mimage\".";
          }
        }

        return viewValue;
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("volumeSizeFormat", function (SizeParserService) {
  return {
    require: "ngModel",
    link: function (scope, elm, attrs, ctrl) {
      ctrl.$validators.volumeSizeFormat = function (modelValue) {
        return ctrl.$isEmpty(modelValue) || SizeParserService.isValid(modelValue);
      };
    }
  };
})
.directive("volumeSizeValue", function (SizeParserService) {
  return {
    require: "ngModel",
    scope: {
      maxValue: "@",
      minValue: "@"
    },
    link: function (scope, elm, attrs, ctrl) {
      ctrl.$validators.volumeSizeValue = function (modelValue) {
        if (!modelValue || !SizeParserService.isValid(modelValue)) {
          return true;
        }

        var megs = SizeParserService.parseFloat(modelValue);
        var maxv = parseFloat(scope.maxValue);
        var minv = parseFloat(scope.minValue) || 100;

        return !maxv || megs >= minv && megs <= maxv;
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.directive("currentTagWwnValidation", function () {
  return {
    restrict: "A",
    require: "ngModel",
    link: function (scope, elem, attrs, ctrl) {
      return scope.$watch(function () {
        return scope.wwn[attrs.name].valid;
      }, function (valid) {
        ctrl.$setValidity("validTag", valid);
      });
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.apidecorator", [
    "openattic.notification"
  ])
  .config(function ($httpProvider) {
    $httpProvider.interceptors.push("ApiHttpErrorInterceptor");
  });

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.apirecorder", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.auth", []);

var app = angular.module("openattic.auth");
app.config(function ($httpProvider) {
  $httpProvider.defaults.xsrfCookieName = "csrftoken";
  $httpProvider.defaults.xsrfHeaderName = "X-CSRFToken";
});

app.factory("AuthHttpInterceptor", function ($q, $injector, $rootScope) {
  return {
    request: function (config) {
      // Give the backend a clue that we're using AJAX here...
      config.headers["X-Requested-With"] = "XMLHttpRequest";
      return config;
    },
    responseError: function (rejection) {
      // Just depending on $state would create a circular dependency,
      // so we need to get $state via the $injector.
      var $state = $injector.get("$state");
      if (rejection.status === 401) {
        $rootScope.user = null;
        $state.go("login");
      }
      return $q.reject(rejection);
    }
  };
});

app.config(function ($httpProvider) {
  $httpProvider.interceptors.push("AuthHttpInterceptor");
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.cephCluster", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.cephErasureCodeProfiles", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.cephNodes", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.cephOsd", [
  "openattic.cephCluster",
  "openattic.registry"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.cephPools", [
  "openattic.cephCluster",
  "openattic.cephErasureCodeProfiles",
  "openattic.cephOsd",
  "openattic.graph",
  "openattic.registry",
  "openattic.tabView"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.cephRbd", [
  "openattic.cephCluster",
  "openattic.graph",
  "openattic.registry",
  "openattic.tabView"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.clusterstatuswidget", [
  "angular-flot",
  "easypiechart"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.commandlog", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.dashboardWidgets", [
  "nvd3",
  "openattic.cephCluster"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.dashboard", [
  "gridster",
  "openattic.dashboardWidgets"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.datatable", []);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.disks", [
    "openattic.tabView"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.drbd", [
	"openattic.hosts",
	"openattic.pools"
]);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.graph", [
  "nvd3"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.hosts", [
  "openattic.tabView"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.navigation", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.notification", [
  "angular-toasty"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.oadeleteconfirmationmodal", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.oaWizards", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.pools", [
    "openattic.disks"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.registry", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.required", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.storageTree", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.tabView", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.taskQueue", []);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.todowidget", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.userinfo", [
    "openattic.users"
]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.users", []);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.apidecorator");

app.factory("ApiErrorDecoratorService", function ($q, $log, Notification) {
  return {
    decorate: function (error) {
      var simpleMsg;
      var notification;
      var detalMsg = "";

      if (error) {
        $log.error(error);
        simpleMsg = error && error.config && error.config.method && error.config.url &&
          "[" + error.config.method + ": " + error.config.url + "] => " + error.status;
        angular.forEach(error.data, function (val, key) {
          if (key === "detail") {
            detalMsg = val + detalMsg;
          } else {
            detalMsg += "<br>" + key + ": " + val;
          }
        });
        notification = new Notification({
            title: error.status + " - " + error.statusText,
            msg: detalMsg || simpleMsg
          }, error)
          .show();

        /**
         * Decorated preventDefault method (in case error previously had preventDefault method defined).
         * If called, it will prevent a toasty to pop up.
         */
        error.preventDefault = function () {
          notification.cancel();
        };

        /**
         * If called, it will prevent a toasty to pop up on a specific status code.
         * @param {int} statusCode
         */
        error.ignoreStatusCode = function (statusCode) {
          if (this.status === statusCode) {
            this.preventDefault();
          }
        };
      }

      return error;
    }
  };
});

app.factory("ApiHttpErrorInterceptor", function ($q, ApiErrorDecoratorService) {
  return {
    responseError: function (rejection) {
      return $q.reject(ApiErrorDecoratorService.decorate(rejection));
    }
  };
});

/**
*
* @source: http://bitbucket.org/openattic/openattic
*
* @licstart  The following is the entire license notice for the
*  JavaScript code in this page.
*
* Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
*
*
* The JavaScript code in this page is free software: you can
* redistribute it and/or modify it under the terms of the GNU
* General Public License as published by the Free Software
* Foundation; version 2.
*
* This package is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* As additional permission under GNU GPL version 2 section 3, you
* may distribute non-source (e.g., minimized or compacted) forms of
* that code without the copy of the GNU GPL normally required by
* section 1, provided you include this license notice and a URL
* through which recipients can access the Corresponding Source.
*
* @licend  The above is the entire license notice
* for the JavaScript code in this page.
*
*/
"use strict";

var app = angular.module("openattic.apirecorder");
app.controller("ApiRecorderCtrl", function ($scope, $uibModalInstance) {
  $scope.close = function () {
    $uibModalInstance.dismiss("cancel");
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.apirecorder");
app.directive("apiRecorder", function () {
  return {
    template: [
      "<a title=\"API Recorder\" ng-click=\"handleClick()\" >",
        "<i class=\"fa\" ng-class=\"{'fa-play': !isRecording(), 'apirecorder-enabled fa-stop': isRecording() }\">",
        "</i> API-Recorder",
      "</a>"
    ].join(""),
    controller: function ($scope, ApiRecorderService, Notification, $uibModal) {
      $scope.isRecording = ApiRecorderService.isRecording;
      $scope.handleClick = function () {
        if (!ApiRecorderService.isRecording()) {
          ApiRecorderService.startRecording();
        } else {
          var script = [
            "#!/usr/bin/env python",
            "import requests",
            "import json",
            "auth = ('username', 'password') # edit username and password",
            "",
            "headers = {'content-type': 'application/json'}",
            ""
          ];
          var cmds = ApiRecorderService.stopRecording();
          if (cmds.length === 0) {
            Notification.warning({
              title: "API Recorder",
              msg: "Did not capture any API requests."
            });
            return;
          }
          var i;
          var url;
          var args;
          for (i = 0; i < cmds.length; i++) {
            script.push("### recorded command " + (i + 1));
            url = window.location.origin + cmds[i].url;
            args = ["'" + url + "'", "auth=auth"];
            if (cmds[i].data) {
              script.push("data=json.dumps(" + angular.toJson(cmds[i].data, 4) + ")");
              args.push("data=data");
              args.push("headers=headers");
            }
            script.push("requests." + cmds[i].method.toLowerCase() + "(" + args.join(", ") + ")\n");
          }

          $scope.script = script.join("\n");

          $uibModal.open({
            windowTemplateUrl: "templates/messagebox.html",
            templateUrl: "components/apirecorder/templates/snippet.html",
            controller: "ApiRecorderCtrl"
          });
        }
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.apirecorder");
app.service("ApiRecorderService", function () {
  var recording = false;
  var recordedCommands = [];
  return {
    startRecording: function () {
      recording = true;
      recordedCommands = [];
    },
    isRecording: function () {
      return recording;
    },
    stopRecording: function () {
      recording = false;
      return recordedCommands;
    },
    recordCommand: function (config) {
      if (recording) {
        recordedCommands.push(config);
      }
    }
  };
});

app.factory("ApiRecordHttpInterceptor", function (ApiRecorderService) {
  return {
    "request": function (config) {
      if (config.method !== "GET") {
        // Create Clone
        var configClone = angular.copy(config);
        ApiRecorderService.recordCommand(configClone);
      }
      return config;
    }
  };
});

app.config(function ($httpProvider) {
  $httpProvider.interceptors.push("ApiRecordHttpInterceptor");
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.auth");
app.config(function ($stateProvider) {
  $stateProvider
      .state("login", {
        url: "/login",
        views: {
          "main": {
            templateUrl: "components/auth/templates/login.html",
            controller : "AuthCtrl"
          }
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.auth");
app.controller("AuthCtrl", function ($scope, $rootScope, $state, authService) {
  $scope.fieldRequired = "This field is required.";
  $scope.correctInput = "The given credentials are not correct.";

  if (angular.isDefined(globalConfig.GUI.quickLogin.username) && globalConfig.GUI.quickLogin.username !== "" &&
      angular.isDefined(globalConfig.GUI.quickLogin.password) && globalConfig.GUI.quickLogin.password !== "") {
    $scope.username = globalConfig.GUI.quickLogin.username;
    $scope.password = globalConfig.GUI.quickLogin.password;
  }

  $scope.$watchGroup(["username", "password"], function () {
    $scope.submitted = false;
  });

  if ($scope.user) {
    $state.go("dashboard");
  }

  $scope.login = function () {
    $scope.submitted = true;
    $scope.loginFailed = false;
    var loginData = {
      "username": $scope.username,
      "password": $scope.password
    };
    authService.login(loginData, function (res) {
      $rootScope.user = res;
      $state.go("dashboard");
    }, function (error) {
      error.ignoreStatusCode(401);
      $scope.loginFailed = true;
    });
  };
});

app.directive("autoFocus", function ($timeout) {
  return {
    restrict: "A",
    link: function ($scope, $element) {
      $timeout(function () {
        $element.focus();
      }, 0);
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.auth");
app.directive("logout", function () {
  return {
    template: [
      "<a title=\"Sign Out\" ng-click=\"handleLogout()\">",
      "<i class=\"fa fa-sign-out\"></i> Logout",
      "</a>"
    ].join(""),
    controller: function ($scope, $rootScope, $state, authService) {
      $scope.handleLogout = function () {
        authService.logout()
        .$promise
        .then(function () {
          $rootScope.user = null;
          $state.go("login");
        });
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.auth");
app.factory("authService", function ($resource) {
  return $resource(globalConfig.API.URL + "auth", {}, {
    login: {method: "POST"},
    logout: {method: "DELETE"},
    kerberos: {
      method: "GET",
      url: "/openattic/accounts/kerblogin.js"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephCluster");
app.directive("cephClusterDropdown", function (cephClusterService) {
  function link(scope) {
    scope.$watch("registry.selectedCluster", function () {
      scope.error = false;

      cephClusterService.get()
          .$promise
          .then(function (res) {
            scope.cluster = res;
            scope.getData();
          })
          .catch(function (error) {
            scope.error = error;
          });
    });
  }
  return {
    link: link,
    scope: {
      registry: "=",
      cluster: "=",
      getData: "&"
    },
    restrict: "E",
    templateUrl: "components/ceph-cluster/templates/cephClusterDropdown.html"
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephCluster");
app.factory("cephClusterService", function ($resource) {
  return $resource(globalConfig.API.URL + "ceph/:fsid", {
    fsid: "@fsid"
  }, {
    performancedata: {
      url    : globalConfig.API.URL + "ceph/:fsid/performancedata",
      method : "GET",
      isArray: true
    },
    status         : {
      url   : globalConfig.API.URL + "ceph/:fsid/status",
      method: "GET"
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephErasureCodeProfiles");
app.controller("CephErasureCodeProfilesAddCtrl", function ($scope, $uibModalInstance, cephErasureCodeProfilesService,
    cluster, osd, Notification) {
  $scope.cluster = cluster;
  $scope.osdCount = osd;
  $scope.erasureCodeProfile = {
    k                     : "", // data-chunks
    m                     : "", // coding-chunks
    name                  : "",
    ruleset_failure_domain: ""
  };
  $scope.rulesetFailureDomains = [];

  $scope.addErasureCodeProfile = function () {
    cephErasureCodeProfilesService
        .save({
          fsid                  : $scope.cluster.fsid,
          k                     : $scope.erasureCodeProfile.k,
          m                     : $scope.erasureCodeProfile.m,
          name                  : $scope.erasureCodeProfile.name,
          ruleset_failure_domain: $scope.erasureCodeProfile.ruleset_failure_domain
        })
        .$promise
        .then(function (res) {
          Notification.success({
            title: "Erasure code profile created",
            msg  : "Erasure code profile '" + $scope.erasureCodeProfile.name + "' successfully created."
          });

          $uibModalInstance.close(res);
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };

  // Todo: This needs to be overhauled when the crushmap is integrated in the nodb models
  function init() {
    cephErasureCodeProfilesService
        .getfailureDomains({
          ordering: "-id",
          pageSize: 1
        })
        .$promise
        .then(function (res) {
          $scope.rulesetFailureDomains = res.results[0].crushmap.crushmap.types;

          angular.forEach($scope.rulesetFailureDomains, function (e) {
            if (e.name === "host") {
              $scope.erasureCodeProfile.ruleset_failure_domain = e.name;
            }
          });
        })
        .catch(function () {
          $scope.addForm.$submitted = false;
        });
  }

  init();
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephErasureCodeProfiles");
app.controller("CephErasureCodeProfilesDeleteCtrl", function ($scope, $uibModalInstance, cephErasureCodeProfilesService,
    cluster, profile, Notification) {
  $scope.cluster = cluster;
  $scope.profile = profile;

  $scope.deleteErasureCodeProfile = function () {
    cephErasureCodeProfilesService
        .delete({
          fsid: $scope.cluster.fsid,
          id  : $scope.profile.name
        })
        .$promise
        .then(function () {
          // Trigger notification message on success
          Notification.success({
            title: "Erasure code profile deleted",
            msg  : "Erasure code profile '" + $scope.profile.name + "' successfully deleted."
          });

          // Close dialog
          $uibModalInstance.close("deleted");
        })
        .catch(function () {
          $scope.deleteForm.$submitted = false;
          $scope.cancel();
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephErasureCodeProfiles");
app.factory("cephErasureCodeProfilesService", function ($resource) {
  return $resource(globalConfig.API.URL + "ceph/:fsid/erasure-code-profiles/:id", {
    fsid: "@fsid",
    id: "@id"
  }, {
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    getfailureDomains: {
      url: globalConfig.API.URL + "cephclusters",
      method: "GET"
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephNodes");
app.config(function ($stateProvider) {
  $stateProvider
      .state("cephNodes", {
        url: "/ceph/nodes",
        views: {
          "main": {
            templateUrl: "components/ceph-nodes/templates/nodes.html",
            controller: "CephNodesCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Ceph Nodes"
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephNodes");
app.controller("CephNodesCtrl", function ($scope, cephNodesService) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  $scope.error = false;

  $scope.getNodes = function () {
    $scope.error = false;

    cephNodesService.filter({
          page: $scope.filterConfig.page + 1,
          pageSize: $scope.filterConfig.entries,
          search: $scope.filterConfig.search,
          ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
        })
        .$promise
        .then(function (res) {
          $scope.data = res;
        })
        .catch(function (error) {
          $scope.error = error;
        });
  };

  // Watcher
  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    $scope.getNodes();
  }, true);
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephNodes");
app.factory("cephNodesService", function ($resource) {
  return $resource(globalConfig.API.URL + "cephminions/:id", {
    id: "@id"
  }, {
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephOsd");
app.config(function ($stateProvider) {
  $stateProvider
      .state("cephOsds", {
        url: "/ceph/osds",
        views: {
          "main": {
            templateUrl: "components/ceph-osd/templates/listing.html",
            controller: "CephOsdCtrl",
            resolve: {
              clusterData: function ($q, cephClusterService) {
                return cephClusterService.get().$promise
                    .then(function (res) {
                      return res;
                    });
              }
            }
          }
        },
        ncyBreadcrumb: {
          label: "Ceph OSDs"
        }
      })
      .state("cephOsds.detail", {
        views: {
          "tab": {templateUrl: "components/ceph-osd/templates/tab.html"}
        },
        ncyBreadcrumb: {
          skip: true
        }
      })
      .state("cephOsds.detail.status", {
        url: "/status",
        views: {
          "tab-content": {templateUrl: "components/ceph-osd/templates/status.html"}
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} status"
        }
      });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephOsd");
app.controller("CephOsdCtrl", function ($scope, $state, $filter, cephOsdService, clusterData, registryService) {
  $scope.registry = registryService;
  $scope.cluster = clusterData;
  $scope.osd = {};
  $scope.error = false;

  $scope.filterConfig = {
    page     : 0,
    entries  : 10,
    search   : "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  if ($scope.cluster.results.length > 0 && angular.isUndefined($scope.registry.selectedCluster)) {
    $scope.registry.selectedCluster = $scope.cluster.results[0];
  }

  $scope.getOsdList = function () {
    if ($scope.cluster.results.length > 0 && $scope.registry.selectedCluster) {
      var obj = $filter("filter")($scope.cluster.results, {fsid: $scope.registry.selectedCluster.fsid}, true);
      if (obj.length === 0) {
        $scope.registry.selectedCluster = $scope.cluster.results[0];
      }

      $scope.osd = {};
      $scope.error = false;

      cephOsdService
          .get({
            id      : $scope.registry.selectedCluster.fsid,
            page    : $scope.filterConfig.page + 1,
            pageSize: $scope.filterConfig.entries,
            search  : $scope.filterConfig.search,
            ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
          })
          .$promise
          .then(function (res) {
            $scope.osd = res;
          })
          .catch(function (error) {
            $scope.error = error;
          });
    }
  };

  $scope.$watch("filterConfig", function (newValue, oldValue) {
    if (angular.equals(newValue, oldValue)) {
      return;
    }

    $scope.getOsdList();
  }, true);

  $scope.$watchCollection("selection", function (selection) {
    var item = selection.item;
    var items = selection.items;

    $scope.multiSelection = Boolean(items);
    $scope.hasSelection = Boolean(item);

    if (!item && !items) {
      $state.go("cephOsds");
      return;
    }

    if (item) {
      $state.go("cephOsds.detail.status", {
        cephOsd: item.id,
        "#"    : "more"
      });
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephOsd");
app.factory("cephOsdService", function ($resource) {
  return $resource(globalConfig.API.URL + "ceph/:id/osds", {
    id: "@id"
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephPools");
app.config(function ($stateProvider) {
  $stateProvider
      .state("cephPools", {
        url          : "/ceph/pools",
        views        : {
          "main": {
            templateUrl: "components/ceph-pools/templates/listing.html",
            controller : "CephPoolsCtrl",
            resolve    : {
              clusterData: function ($q, cephClusterService) {
                return cephClusterService.get().$promise
                    .then(function (res) {
                      return res;
                    }).catch(function () {
                      return false;
                    });
              }
            }
          }
        },
        ncyBreadcrumb: {
          label: "Ceph Pools"
        }
      })
      .state("cephPools.detail", {
        views        : {
          "tab": {templateUrl: "components/ceph-pools/templates/tab.html"}
        },
        ncyBreadcrumb: {
          skip: true
        }
      })
      .state("ceph-pools-add", {
        url: "/ceph/pools/add",
        views: {
          "main": {
            templateUrl: "components/ceph-pools/templates/add-pool.html",
            controller : "CephPoolsAddCtrl"
          }
        },
        params: {
          clusterId: null
        },
        ncyBreadcrumb: {
          parent: "cephPools",
          label: "Add"
        }
      })
      .state("cephPools.detail.cacheTier", {
        url          : "/cachetier",
        views        : {
          "tab-content": {templateUrl: "components/ceph-pools/templates/cacheTier.html"}
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} cache tier"
        }
      })
      .state("cephPools.detail.statistics", {
        url          : "/statistics",
        views        : {
          "tab-content": {
            controller : "CephPoolsStatisticsCtrl",
            templateUrl: "components/ceph-pools/templates/statistics.html"
          }
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} statistics"
        }
      })
      .state("cephPools.detail.status", {
        url          : "/status",
        views        : {
          "tab-content": {templateUrl: "components/ceph-pools/templates/status.html"}
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} status"
        }
      });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephPools");
app.controller("CephPoolsAddCtrl", function ($scope, $state, $stateParams, $uibModal, Notification,
    ClusterResource, cephClusterService, cephErasureCodeProfilesService, cephOsdService, cephPoolsService) {
  $scope.pool = {
    name: "",
    pg_num: 1,
    type: "",
    replicated: {
      size: 1, // Replica size
      expert: {
        crush_ruleset: 0
      }
    },
    erasure: {
      profile: null
    }
  };

  $scope.data = {
    cluster: null,
    poolTypes: [
      {
        name: "replicated",
        description: "Replicated pool"
      },
      {
        name: "erasure",
        description: "Erasure code pool"
      }
    ],
    profiles: [],
    expert: false,
    ruleset: null,
    osdCount: 1
  };

  $scope.clusters = {};

  var goToListView = function () {
    $state.go("cephPools");
  };

  $scope.clusterId = $stateParams.clusterId;

  $scope.waitingClusterMsg = "Retrieving cluster list...";
  cephClusterService.get()
    .$promise
    .then(function (clusters) {
      ClusterResource.get()
        .$promise
        .then(function (crushmaps) {
          $scope.clusters = clusters.results;
          $scope.clusters.forEach(function (cluster) {
            var crushmap = crushmaps.results.filter(function (crush) {
              return crush.name === cluster.name;
            });
            if (crushmap.length > 0) {
              cluster.rules = crushmap[0].crushmap.crushmap.rules;
            }
          });
          $scope.waitingClusterMsg = "-- Select a cluster --";
          $scope.clusters.forEach(function (cluster) {
            if (cluster.fsid === $scope.clusterId) {
              $scope.data.cluster = cluster;
            }
          });
          if (!$scope.data.cluster) {
            if (clusters.count > 0) {
              $scope.data.cluster = $scope.clusters[0];
            } else {
              $scope.waitingClusterMsg = "No cluster avialable.";
              Notification.warning({
                title: $scope.waitingClusterMsg,
                msg: "You can't create any RBDs with your configuration."
              });
            }
          }
        }).catch(function () {
          $scope.waitingClusterMsg = "Error: Crushmap couldn't be loaded!";
        });
    }).catch(function () {
      $scope.waitingClusterMsg = "Error: Cluster couldn't be loaded!";
    });

  $scope.$watch("data.cluster", function (cluster) {
    if (cluster) {
      $scope.clusterId = cluster.fsid;
      cephOsdService.get({id: cluster.fsid})
        .$promise
        .then(function (res) {
          $scope.data.osdCount = res.count;
        });
      cephErasureCodeProfilesService.get({fsid: cluster.fsid})
        .$promise
        .then(function (res) {
          $scope.data.profiles = res.results;

          if ($scope.data.profiles.length === 1) {
            $scope.pool.erasure.profile = $scope.data.profiles[0];
          }
        });
      $scope.data.ruleset = $scope.data.cluster.rules[0];
    }
  });

  $scope.setReplicaSizeError = function (min, max, isValid) {
    isValid = Boolean(isValid);
    $scope.poolForm.crushSet.$setValidity("sizeError", isValid);
    if (!isValid) {
      $scope.poolForm.crushSet.$setDirty();
      $scope.data.expert = true;
    }
    if (min) {
      $scope.replicaSizeError = "Your replica size is to small. To use this rule a replica size of at least " + min +
        " is needed.";
    } else if (max) {
      $scope.replicaSizeError = "Your replica size is to big. To use this rule a replica size of at most " + max +
        " is needed.";
    }
  };

  $scope.rulesetValidation = function () {
    var ruleset = $scope.data.ruleset;
    var size = $scope.pool.replicated.size;
    if (size < ruleset.min_size) {
      $scope.setReplicaSizeError(ruleset.min_size);
    } else if (size > ruleset.max_size) {
      $scope.setReplicaSizeError(null, ruleset.max_size);
    } else {
      $scope.setReplicaSizeError(null, null, true);
    }
  };

  $scope.$watch("data.ruleset", function (ruleset) {
    if (ruleset && $scope.data.cluster) {
      $scope.pool.replicated.expert.crush_ruleset = ruleset.rule_id;
      $scope.rulesetValidation();
    }
  });

  $scope.$watch("pool.replicated.size", function () {
    if ($scope.data.cluster) {
      $scope.rulesetValidation();
    }
  });

  $scope.submitAction = function (poolForm) {
    if (poolForm.$valid) {
      var pool = {
        name: $scope.pool.name,
        pg_num: $scope.pool.pg_num,
        type: $scope.pool.type,
        id: $scope.clusterId
      };
      if (pool.type === "replicated") {
        pool.min_size = 1; // No need for this here - API update needed.
        pool.size = $scope.pool[pool.type].size;
        pool.crush_ruleset = $scope.pool[pool.type].expert.crush_ruleset;
      } else if (pool.type === "erasure") {
        pool.min_size = 2; // No need for this here - API update needed.
        pool.erasure_code_profile = $scope.pool[pool.type].profile.name;
      }
      cephPoolsService.save(pool)
        .$promise
        .then(function () {
          goToListView();
        }, function () {
          $scope.poolForm.$submitted = false;
        });
    }
  };

  $scope.cancelAction = function () {
    goToListView();
  };

  // Erasure Code Profile
  $scope.addErasureCodeProfile = function () {
    var modalInstance = $uibModal.open({
      controller       : "CephErasureCodeProfilesAddCtrl",
      templateUrl      : "components/ceph-erasure-code-profiles/templates/add-erasure-code-profile.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        cluster: function () {
          return $scope.data.cluster;
        },
        osd: function () {
          return $scope.data.osdCount;
        }
      }
    });

    modalInstance.result.then(function (profile) {
      // Add and select created profile
      var len = $scope.data.profiles.push(profile);
      $scope.pool.erasure.profile = $scope.data.profiles[len - 1];
    });
  };

  $scope.deleteErasureCodeProfile = function () {
    var modalInstance = $uibModal.open({
      controller       : "CephErasureCodeProfilesDeleteCtrl",
      templateUrl      : "components/ceph-erasure-code-profiles/templates/delete-erasure-code-profile.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        cluster: function () {
          return $scope.data.cluster;
        },
        profile: function () {
          return $scope.pool.erasure.profile;
        }
      }
    });

    modalInstance.result.then(function () {
      // Remove item from select box
      var idx = $scope.data.profiles.indexOf($scope.pool.erasure.profile);
      $scope.data.profiles.splice(idx, 1);
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephPools");
app.controller("CephPoolsCtrl", function ($scope, $state, $filter, cephPoolsService, clusterData, registryService,
    $uibModal, tabViewService) {
  $scope.registry = registryService;
  $scope.cluster = clusterData;
  $scope.pools = {};
  $scope.error = false;

  $scope.filterConfig = {
    page     : 0,
    entries  : 10,
    search   : "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  if ($scope.cluster.results.length > 0 && angular.isUndefined($scope.registry.selectedCluster)) {
    $scope.registry.selectedCluster = $scope.cluster.results[0];
  }

  var modifyResult = function (res) {
    res.results.forEach(function (pool) {
      pool.oaUsed = pool.percent_used;
      pool.oaUnused = 100 - pool.oaUsed;
      pool.oaFree = pool.max_avail - pool.num_bytes;
    });

    return res;
  };

  $scope.getPoolList = function () {
    if ($scope.cluster.results.length > 0 && $scope.registry.selectedCluster) {
      var obj = $filter("filter")($scope.cluster.results, {fsid: $scope.registry.selectedCluster.fsid}, true);
      if (obj.length === 0) {
        $scope.registry.selectedCluster = $scope.cluster.results[0];
      }

      $scope.pools = {};
      $scope.error = false;

      cephPoolsService
          .get({
            id      : $scope.registry.selectedCluster.fsid,
            page    : $scope.filterConfig.page + 1,
            pageSize: $scope.filterConfig.entries,
            search  : $scope.filterConfig.search,
            ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
          })
          .$promise
          .then(function (res) {
            $scope.pools = modifyResult(res);
          })
          .catch(function (error) {
            $scope.error = error;
          });
    }
  };

  $scope.tabData = {
    active: 0,
    tabs: {
      status: {
        show: "selection.item",
        state: "cephPools.detail.status",
        class: "tc_statusTab",
        name: "Status"
      },
      cacheTier: {
        show: "selection.item.tiers.length > 0",
        state: "cephPools.detail.cacheTier",
        class: "tc_cacheTieringTab",
        name: "Cache Tier"
      },
      statistics: {
        show: "selection.item",
        state: "cephPools.detail.statistics",
        class: "tc_statisticsTab",
        name: "Statistics"
      }
    }
  };
  $scope.tabConfig = {
    type: "cephPool",
    linkedBy: "id",
    jumpTo: "more"
  };
  tabViewService.setScope($scope);
  $scope.changeTab = tabViewService.changeTab;

  $scope.$watch("filterConfig", function (newValue, oldValue) {
    if (angular.equals(newValue, oldValue)) {
      return;
    }

    $scope.getPoolList();
  }, true);

  $scope.$watchCollection("selection", function (selection) {
    var item = selection.item;
    var items = selection.items;

    $scope.multiSelection = Boolean(items) && items.length > 1;
    $scope.hasSelection = Boolean(item);

    if (!item && !items) {
      $state.go("cephPools");
      return;
    }

    if (item) {
      if ($state.current.name === "cephPools") {
        $scope.changeTab("cephPools.detail.status");
      } else {
        $scope.changeTab($state.current.name);
      }
    }
  });

  $scope.addAction = function () {
    $state.go("ceph-pools-add", {
      clusterId: $scope.registry.selectedCluster.fsid
    });
  };

  $scope.deleteAction = function () {
    if (!$scope.hasSelection && !$scope.multiSelection) {
      return;
    }
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/ceph-pools/templates/delete-pool.html",
      controller: "CephPoolsDeleteCtrl",
      resolve: {
        cephPoolSelection: function () {
          return $scope.selection.items;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.filterConfig.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephPools");
app.controller("CephPoolsDeleteCtrl", function ($scope, cephPoolsService, $uibModalInstance, cephPoolSelection,
    $q, Notification) {
  $scope.cephPools = cephPoolSelection;

  $scope.delete = function () {
    var requests = [];
    $scope.cephPools.forEach(function (cephPool) {
      var deferred = $q.defer();
      cephPoolsService.delete({
        id: cephPool.cluster,
        poolId: cephPool.id
      }, deferred.resolve, deferred.reject);
      requests.push(deferred.promise);
    });
    $q.all(requests).then(function () {
      $uibModalInstance.close("deleted");
    }, function () {
      $scope.deleteForm.$submitted = false;
      $uibModalInstance.close("deleted");
    });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Cancelled deletion",
      msg: "Cancelled Ceph pool deletion"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephPools");
app.controller("CephPoolsStatisticsCtrl", function ($scope, cephPoolsService) {
  /*
   * Configuration for the graph creation component.
   */
  $scope.config = {
    graphs: {
        utilization: {
          name: "Utilization",
          bindings: ["max_avail", "num_bytes"],
          yLabel: "Bytes per sec"
        },
        noo: {
          name: "Number of Objects",
          bindings: ["num_objects"],
          tickFormat: function (d) {
            return d;
          }
        }
      },
    api: {
      call: cephPoolsService.performancedata,
      filterApi: function (pool) {
        return {
          fsid: pool.cluster,
          filter_pools: pool.name
        };
      },
      extractValues: function (result, pool) {
        return result[pool.name];
      }
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephPools");
app.factory("cephPoolsService", function ($resource) {
  return $resource(globalConfig.API.URL + "ceph/:id/pools", {
    id: "@id",
    poolId: "@poolId"
  }, {
    delete: {
      method: "DELETE",
      url: globalConfig.API.URL + "ceph/:id/pools/:poolId"
    },
    performancedata: {
      method: "GET",
      url: globalConfig.API.URL + "ceph/:fsid/performancedata_pools"
    },
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephRbd");
app.config(function ($stateProvider) {
  $stateProvider
      .state("cephRbds", {
        url          : "/ceph/rbds",
        views        : {
          "main": {
            templateUrl: "components/ceph-rbd/templates/listing.html",
            controller : "CephRbdCtrl",
            resolve    : {
              clusterData: function ($q, cephClusterService) {
                return cephClusterService.get().$promise
                    .then(function (res) {
                      return res;
                    });
              }
            }
          }
        },
        ncyBreadcrumb: {
          label: "Ceph RBDs"
        }
      })
      .state("cephRbds.detail", {
        views        : {
          "tab": {templateUrl: "components/ceph-rbd/templates/tab.html"}
        },
        ncyBreadcrumb: {
          skip: true
        }
      })
      .state("rbds-add", {
        url: "/rbds/add",
        views: {
          "main": {
            templateUrl: "components/ceph-rbd/templates/add-form.html",
            controller : "RbdFormCtrl"
          }
        },
        params: {
          clusterId: null
        },
        ncyBreadcrumb: {
          parent: "cephRbds",
          label: "Add"
        }
      })
      .state("cephRbds.detail.statistics", {
        url          : "/statistics",
        views        : {
          "tab-content": {
            controller : "CephRbdStatisticsCtrl",
            templateUrl: "components/ceph-rbd/templates/statistics.html"
          }
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} statistics"
        }
      })
      .state("cephRbds.detail.details", {
        url          : "/details",
        views        : {
          "tab-content": {templateUrl: "components/ceph-rbd/templates/details.html"} },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} details"
        }
      });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephRbd");
app.controller("CephRbdCtrl", function ($scope, $state, $filter, $uibModal, cephRbdService, clusterData,
    registryService, cephPoolsService, Notification, tabViewService) {
  $scope.registry = registryService;
  $scope.cluster = clusterData;
  $scope.rbd = {};
  $scope.error = false;

  $scope.filterConfig = {
    page     : 0,
    entries  : 10,
    search   : "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  if ($scope.cluster.results.length > 0 && angular.isUndefined($scope.registry.selectedCluster)) {
    $scope.registry.selectedCluster = $scope.cluster.results[0];
  }

  $scope.getRbdList = function () {
    if ($scope.cluster.results.length > 0 && $scope.registry.selectedCluster) {
      var obj = $filter("filter")($scope.cluster.results, {fsid: $scope.registry.selectedCluster.fsid}, true);
      if (obj.length === 0) {
        $scope.registry.selectedCluster = $scope.cluster.results[0];
      }

      $scope.rbd = {};
      $scope.error = false;

      cephRbdService
          .get({
            clusterId: $scope.registry.selectedCluster.fsid,
            page: $scope.filterConfig.page + 1,
            pageSize: $scope.filterConfig.entries,
            search: $scope.filterConfig.search,
            ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
          })
          .$promise
          .then(function (res) {
            $scope.rbdFailure = false;
            cephPoolsService.get({
              id: $scope.registry.selectedCluster.fsid
            }).$promise.then(function (pools) {
              $scope.poolFailure = false;
              res.results.forEach(function (rbd) {
                pools.results.some(function (pool) {
                  if (pool.id === rbd.pool) {
                    rbd.pool = pool;
                    return true;
                  }
                });
                rbd.free = rbd.size - rbd.used_size;
                rbd.usedPercent = rbd.used_size / rbd.size * 100;
                rbd.freePercent = rbd.free / rbd.size * 100;
              });
              $scope.rbd = res;
            }).catch(function (poolError) {
              if (!$scope.poolFailure) {
                $scope.poolFailure = true;
                $scope.poolFailureTitle = poolError.status + ": " + poolError.statusText.toLowerCase();
                $scope.poolFailureError = poolError;
              }
            });
          })
          .catch(function (rbdError) {
            if (!$scope.rbdFailure) {
              $scope.rbdFailure = true;
              $scope.rbdFailureTitle = rbdError.status + ": " + rbdError.statusText.toLowerCase();
              $scope.rbdFailureError = rbdError;
            }
          });
    }
  };

  $scope.tabData = {
    active: 0,
    tabs: {
      status: {
        show: "selection.item",
        state: "cephRbds.detail.details",
        class: "tc_statusTab",
        name: "Status"
      },
      statistics: {
        show: "selection.item",
        state: "cephRbds.detail.statistics",
        class: "tc_statisticsTab",
        name: "Statistics"
      }
    }
  };
  $scope.tabConfig = {
    type: "cephRbds",
    linkedBy: "id",
    jumpTo: "more"
  };
  tabViewService.setScope($scope);
  $scope.changeTab = tabViewService.changeTab;

  $scope.$watch("filterConfig", function (newValue, oldValue) {
    if (angular.equals(newValue, oldValue)) {
      return;
    }

    $scope.getRbdList();
  }, true);

  $scope.$watchCollection("selection.items", function (items) {
    $scope.multiSelection = items && items.length > 1;
    $scope.hasSelection = items && items.length === 1;

    if (!items || items.length !== 1) {
      $state.go("cephRbds");
      return;
    }

    if ($state.current.name === "cephRbds") {
      $scope.changeTab("cephRbds.detail.details");
    } else {
      $scope.changeTab($state.current.name);
    }
  });

  $scope.addAction = function () {
    $state.go("rbds-add", {
      clusterId: $scope.registry.selectedCluster.fsid
    });
  };

  $scope.deleteAction = function () {
    if (!$scope.hasSelection && !$scope.multiSelection) {
      return;
    }
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/ceph-rbd/templates/delete.html",
      controller: "RbdDelete",
      resolve: {
        rbdSelection: function () {
          return $scope.selection.items;
        },
        clusterId: function () {
          return $scope.registry.selectedCluster.fsid;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.filterConfig.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephRbd");
app.controller("CephRbdStatisticsCtrl", function ($scope, cephRbdService) {
  /*
   * If the user selects another item, check if fast-diff is activated
   */
  $scope.$watch("selection.item", function () {
    $scope.fastDiff = $scope.selection.item.features.indexOf("fast-diff") > 0;
  });

  /*
   * Outlines the graphs that will be shown
   */
  $scope.config = {
    graphs: {
        used: {
          name: "Used",
          bindings: ["used_size"]
        },
        provisionedSize: {
          name: "Provisioned size",
          bindings: ["provisioned_size"]
        }
      },
    api: {
      call: cephRbdService.performancedata,
      filterApi: function (rbd) {
        return {
          clusterId: rbd.pool.cluster,
          pool: rbd.pool.name,
          name: rbd.name
        };
      }
    }
  };

});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.controller("RbdDelete", function ($scope, cephRbdService, $uibModalInstance, rbdSelection, clusterId, $q,
    Notification) {
  $scope.rbds = rbdSelection;

  $scope.delete = function () {
    var requests = [];
    $scope.rbds.forEach(function (rbd) {
      var deferred = $q.defer();
      cephRbdService.delete({
        clusterId: clusterId,
        pool: rbd.pool.name,
        name: rbd.name
      }, deferred.resolve, deferred.reject);
      requests.push(deferred.promise);
    });
    $q.all(requests).then(function () {
      $uibModalInstance.close("deleted");
    }, function () {
      $scope.deleteForm.$submitted = false;
    });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete RBD",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephRbd");
app.controller("RbdFormCtrl", function ($scope, $state, $stateParams, cephRbdService, cephPoolsService,
    SizeParserService, $filter, Notification, cephClusterService) {
  $scope.submitted = false;
  $scope.rbd = {
    name: "",
    size: 0,
    pool: -1,
    old_format: true,
    obj_size: 4194304
  };

  $scope.data = {
    cluster: null,
    pool: null,
    features: {
      "deep-flatten": {
        checked: true,
        disabled: false
      },
      "layering": {
        checked: true,
        disabled: false
      },
      "stripingv2": {
        checked: false,
        disabled: true
      },
      "exclusive-lock": {
        checked: true,
        disabled: false
      },
      "object-map": {
        checked: true,
        disabled: false
      },
      "journaling": {
        checked: false,
        disabled: false
      },
      "fast-diff": {
        checked: true,
        disabled: false
      }
    },
    obj_num: 1,
    obj_size: "4 MiB",
    size: "",
    expert: false
  };

  $scope.pools = {};
  $scope.clusters = {};

  $scope.features = {
    "deep-flatten": {
      desc: "Deep flatten",
      helpText: "",
      requires: null,
      excludes: null
    },
    "layering": {
      desc: "Layering",
      helpText: "",
      requires: null,
      excludes: "stripingv2"
    },
    "stripingv2": {
      desc: "Striping",
      helpText: "",
      requires: null,
      excludes: "layering"
    },
    "exclusive-lock": {
      desc: "Exclusive lock",
      helpText: "",
      requires: null,
      excludes: null
    },
    "object-map": {
      desc: "Object map",
      helpText: "",
      requires: "exclusive-lock",
      excludes: null
    },
    "journaling": {
      desc: "Journaling",
      helpText: "",
      requires: "exclusive-lock",
      excludes: null
    },
    "fast-diff": {
      desc: "Fast diff",
      helpText: "",
      requires: "object-map",
      excludes: null
    }
  };

  $scope.defaultFeatureValues = {};
  angular.copy($scope.data.features, $scope.defaultFeatureValues);

  var deepBoxCheck = function (key, checked) {
    angular.forEach($scope.features, function (details, feature) {
      if (details.requires === key) {
        $scope.data.features[feature].disabled = !checked;
        if (!checked) {
          $scope.data.features[feature].checked = checked; // Always.
          deepBoxCheck(feature, checked);
        }
      }
      if (details.excludes === key) {
        $scope.data.features[feature].disabled = checked;
      }
    });
  };

  $scope.$watch("data.features", function (newSet, oldSet) {
    var key = false;
    var hits = 0;
    for (var feature in newSet) {
      if (newSet[feature].checked !== oldSet[feature].checked) {
        hits++;
        if (!key) {
          key = feature;
        }
      }
    }
    if (!key || hits !== 1) {
      return;
    }
    var checked = newSet[key].checked;
    if (checked) {
      var required = $scope.features[key].requires;
      var excluded = $scope.features[key].excludes;
      if (excluded && newSet[excluded].checked || required && !newSet[required].checked) {
        $scope.data.features[key].checked = false;
        return;
      }
    }

    deepBoxCheck(key, checked);
  }, true);

  $scope.defaultFeatures = function () {
    angular.copy($scope.defaultFeatureValues, $scope.data.features);
  };

  $scope.updateObjSize = function (size, old, jump) {
    if (size.match(/[+-]+/)) {
      size = size.replace(/[+-]+/, "");
    }
    if (size === old) {
      $scope.data.obj_size = size;
      return;
    }
    size = SizeParserService.parseInt(size, "b", "k"); //default input size is KB
    var power = 0;
    if (size !== null && size !== 0) {
      power =  Math.round(Math.log(size) / Math.log(2));
      if (angular.isNumber(jump)) {
        power += jump;
      }
    }
    if (power < 12) {
      size = Math.pow(2, 12); // 1 << 12; Set size to minimum of 4 KB.
    } else if (power > 25) {
      size = Math.pow(2, 25); // 1 << 25; Set size to maximum of 32 MB.
    } else {
      size = Math.pow(2, power); // 1 << power; Set size the nearest accurate size.
    }
    if ($scope.rbd.obj_size !== size) {
      $scope.rbd.obj_size = size;
    }
    $scope.data.obj_size = $filter("bytes")(size);
  };

  $scope.objSizeChange = function (event) {
    if (event.keyCode === 38 || event.keyCode === 40) { // 38 == up arrow && 40 == down arrow
      $scope.updateObjSize($scope.data.obj_size, null, 39 - event.keyCode);
    } else if (event.keyCode === 187 || event.keyCode === 189) {
      $scope.updateObjSize($scope.data.obj_size, null, 188 - event.keyCode);
    }
  };

  $scope.$watch("data.obj_size", $scope.updateObjSize);

  $scope.$watch("data.size", function (size) {
    if (size === "") {
      return;
    }
    size = SizeParserService.parseInt(size, "b");
    var objNum = parseInt(size / $scope.data.obj_size, 10);
    if (objNum < 1) {
      $scope.data.size = $filter("bytes")($scope.data.obj_size);
    } else {
      $scope.data.size = $filter("bytes")(size);
    }
  });

  $scope.$watch("data.pool", function (pool) {
    if (!pool) {
      $scope.data.expert = false;
    }
  });

  var goToListView = function () {
    $state.go("cephRbds");
  };

  $scope.clusterId = $stateParams.clusterId;

  $scope.waitingClusterMsg = "Retrieving cluster list...";
  cephClusterService.get()
    .$promise
    .then(function (res) {
      $scope.clusters = res.results;
      $scope.waitingClusterMsg = "-- Select a cluster --";
      $scope.clusters.forEach(function (cluster) {
        if (cluster.fsid === $scope.clusterId) {
          $scope.data.cluster = cluster;
        }
      });
      if (!$scope.data.cluster) {
        if (res.count > 0) {
          $scope.data.cluster = res.results[0];
        } else {
          $scope.waitingClusterMsg = "No cluster avialable.";
          Notification.warning({
            title: $scope.waitingClusterMsg,
            msg: "You can't create any RBDs with your configuration."
          });
        }
      }
      $scope.data.pools = null;
    })
    .catch(function (clusterError) {
      if (!$scope.clusterFailure) {
        $scope.clusterFailure = true;
        $scope.clusterFailureTitle = clusterError.status + ": " + clusterError.statusText.toLowerCase();
        $scope.clusterFailureError = clusterError;
        $scope.waitingClusterMsg = "Error: Cluster couldn't be loaded!";
        $scope.rbdForm.$setValidity("clusterLoading", false);
      }
    });

  $scope.waitingPoolMsg = "Select a cluster first";
  $scope.getCephPools = function () {
    $scope.waitingPoolMsg = "Retrieving pool list...";
    cephPoolsService.get({
        id: $scope.clusterId
      })
      .$promise
      .then(function (res) {
        $scope.poolFailure = false;
        $scope.rbdForm.$setValidity("poolLoading", true);
        res.results.forEach(function (pool) {
          $scope.poolFailure = false;
          pool.oaUsed = $filter("number")(pool.num_bytes / pool.max_avail * 100, 2);
          pool.oaUnused = 100 - pool.oaUsed;
          pool.oaFree = pool.max_avail - pool.num_bytes;
          //pool.oaMaxFree = (pool.max_avail - pool.num_bytes) >> 20; // Did not work, don't know why.
          pool.oaMaxFree = parseInt((pool.max_avail - pool.num_bytes) / Math.pow(2, 20), 10);
          pool.oaFreeText = $filter("bytes")(pool.oaFree);
          if (pool.name === "rbd") {
            $scope.data.pool = pool;
          }
        });
        $scope.pools = res.results;
        $scope.waitingPoolMsg = "-- Select a pool --";
        if (!$scope.data.pool) {
          if (res.count > 0 && !$scope.data.pool) {
            $scope.data.pool = res.results[0];
          } else {
            $scope.waitingPoolMsg = "No pool aviable.";
            Notification.warning({
              title: $scope.waitingPoolMsg,
              msg: "You can't create any RBDs in the selected cluster."
            });
          }
        }
      })
      .catch(function (poolError) {
        if (!$scope.poolFailure) {
          $scope.poolFailure = true;
          $scope.poolFailureTitle = poolError.status + ": " + poolError.statusText.toLowerCase();
          $scope.poolFailureError = poolError;
          $scope.rbdForm.$setValidity("poolLoading", false);
          $scope.waitingPoolMsg = "Error: List couldn't be loaded!";
        }
      });
  };

  $scope.$watch("data.cluster", function (cluster) {
    if (cluster) {
      $scope.clusterId = cluster.fsid;
      $scope.getCephPools();
    }
  });

  $scope.submitAction = function (rbdForm) {
    if (rbdForm.$valid) {
      if ($scope.data.expert) {
        $scope.rbd.old_format = false;
        var features = [];
        for (var feature in $scope.data.features) {
          if ($scope.data.features[feature].checked) {
            features.push(feature);
          }
        }
        $scope.rbd.features = features;
      }
      $scope.rbd.pool = $scope.data.pool.id;
      $scope.rbd.clusterId = $scope.clusterId;
      $scope.rbd.size = SizeParserService.parseInt($scope.data.size, "b");
      $scope.submitted = true;
      cephRbdService.save($scope.rbd)
        .$promise
        .then(function (res) {
          $scope.rbd = res;
          goToListView();
        }, function (error) {
          $scope.rbdForm.$submitted = false;
          if (error.status === 400 && error.data.size) {
            var size = error.data.size[0].match(/[0-9]+/)[0];
            Notification.error({
              title: "RBD creation error " + error.status,
              msg: "Chosen RBD size is too big. Choose a size lower than " + $filter("bytes")(size) + "."
            }, error);
          }
        });
    }
  };

  $scope.cancelAction = function () {
    goToListView();
  };

});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.cephRbd");
app.factory("cephRbdService", function ($resource) {
  return $resource(globalConfig.API.URL + "ceph/:clusterId/rbds", {
    clusterId: "@clusterId",
    pool: "@pool",
    name: "@name"
  }, {
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    delete: {
      method: "DELETE",
      url: globalConfig.API.URL + "ceph/:clusterId/rbds/:pool/:name"
    },
    performancedata: {
      method: "GET",
      isArray: true,
      url: globalConfig.API.URL + "ceph/:clusterId/rbds/:pool/:name/performancedata_rbd"
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.clusterstatuswidget");

app.controller("ChartCtrl", function ($scope, lineChartService) {
  /* Variables  ----------------------------------------------------------------------------------------------- */
  var colorSet = {
    white:  "#ffffff",  // white
    red:    "#f7464a",  // red
    orange: "#b67f2C",  // orange
    yellow: "#fdb45c",  // yellow
    green:  "#5cb85c",  // green
    blue:   "#0091d9",  // blue
    dblue:  "#57889c",  // dark blue
    bgrey:  "#ebebeb",  // bright grey
    grey:   "#dcdcdc"   // grey
  };
  var avgValues;
  var countMessages;
  var data;
  var date;
  var graphData;
  var graphDate;
  var graphInterval;
  var graphMaxValues;
  var interval;
  var temp;

  /* EventSource ---------------------------------------------------------------------------------------------------- */
  avgValues = {};
  countMessages = 0;
  interval = 10;

  // init
  avgValues.cpuLoad = 0;
  avgValues.diskLoad = 0;

  var evtSource = new EventSource("/openattic/serverstats/stream");
  evtSource.addEventListener("serverstats", function (e) {
    $scope.$apply(function () {
      countMessages++;
      if (countMessages === interval) {
        countMessages = 0;
      }

      date = new Date().getTime();
      data = JSON.parse(e.data);

      // Progress Bar
      $scope.hosts = 1 + " / " + 1;
      $scope.hostsPercent = 1 / 1 * 100;
      $scope.hostsType = "info";

      $scope.disksOnline = data.disks.countOnline + " / " + data.disks.count;
      $scope.disksOnlinePercent = data.disks.countOnline / data.disks.count * 100;
      if ($scope.disksOnlinePercent < 80) {
        $scope.disksOnlineType = "danger";
      } else if ($scope.disksOnlinePercent < 100) {
        $scope.disksOnlineType = "warning";
      } else {
        $scope.disksOnlineType = "success";
      }

      $scope.disksUsage = 90 + "TB / " + 100 + "TB";
      $scope.disksUsagePercent = 90 / 100 * 100;
      if ($scope.disksUsagePercent > 80) {
        $scope.disksUsageType = "danger";
      } else if ($scope.disksUsagePercent > 50) {
        $scope.disksUsageType = "warning";
      } else {
        $scope.disksUsageType = "success";
      }

      // Info Box
      //$scope.sysUptime = data.sys.uptime;

      // Easy Pie
      avgValues.cpuLoad += data.cpu.loadPercent;
      avgValues.diskLoad += data.disks.loadPercent;
      if (countMessages === 0) {
        // CPU load in Percent
        temp = $scope.percentCpuLoad;
        $scope.percentCpuLoad = Math.round(avgValues.cpuLoad / interval);
        $scope.percentCpuLoadDiff = ($scope.percentCpuLoad - temp);
        if ($scope.percentCpuLoadDiff < 0) {
          $scope.percentCpuLoadTrend = "down";
        } else if ($scope.percentCpuLoadDiff > 0) {
          $scope.percentCpuLoadTrend = "up";
        } else {
          $scope.percentCpuLoadTrend = "stable";
        }

        // Disk load in Percent
        temp = $scope.percentDiscUsage;
        $scope.percentDiscUsage = Math.round(avgValues.diskLoad / interval);
        $scope.percentDiscUsageDiff = ($scope.percentDiscUsage - temp);
        if ($scope.percentDiscUsageDiff < 0) {
          $scope.percentDiscUsageTrend = "down";
        } else if ($scope.percentDiscUsageDiff > 0) {
          $scope.percentDiscUsageTrend = "up";
        } else {
          $scope.percentDiscUsageTrend = "stable";
        }

        // Reset values
        avgValues.cpuLoad = 0;
        avgValues.diskLoad = 0;
      }

      $scope.lineChartDataset = lineChartService.getDataset([{
        id: 0,
        label: "written data",
        data: [[date, data.disks.wrMb]]
      }, {
        id: 1,
        label: "network traffic",
        data: [[date, data.network.totInMb]]
      }]);
    });
  }, false);

  /** Easy Pie Chart ------------------------------------------------------------------------------------------------ */
  $scope.defaultOptions = {
    barColor: function (percent) {
      return (percent < 50 ? colorSet.green : percent < 75 ? colorSet.yellow : colorSet.red);
    },
    trackColor: colorSet.bgrey,
    scaleColor: false,
    size: 50,
    lineWidth: 5,
    lineCap: "butt",
    rotate: -90,
    onStep: function (from, to, percent) {
      $(this.el).find(".percent").text(Math.round(percent));
    }
  };

  $scope.percentCpuUsage = 0;
  $scope.percentCpuLoadDiff = 0;
  $scope.percentCpuLoadTrend = "stable";

  $scope.percentDiscUsage = 0;
  $scope.percentDiscUsageDiff = 0;
  $scope.percentDiscUsageTrend = "stable";

  /** Live Chart ---------------------------------------------------------------------------------------------------- */
  lineChartService.graphOptions.colors = [colorSet.dblue, colorSet.red, colorSet.yellow];
  lineChartService.graphOptions.series.lines.fill = true;
  lineChartService.graphOptions.series.lines.fillColor = "rgba(255, 255, 255, 0)";
  lineChartService.graphOptions.series.lines.lineWidth = 1.5;
  lineChartService.graphOptions.xaxis.mode = "time";
  lineChartService.graphOptions.xaxis.timezone = "browser";
  lineChartService.graphOptions.yaxis.tickFormatter = function euroFormatter(v, axis) {
    return v.toFixed(axis.tickDecimals) + " MB";
  };
  lineChartService.setMaxGraphValues(121);

  $scope.lineChartOptions = lineChartService.graphOptions;

  graphData = [];
  graphDate = new Date().getTime();
  graphMaxValues = lineChartService.getMaxGraphValues();
  graphInterval = 1000; // time in ms -> 1000ms equals 1s

  // Init empty graph
  for (var i = 0; i < graphMaxValues; i++) {
    graphData.push([graphDate - (((graphMaxValues - i) - 1) * graphInterval),
        lineChartService.graphOptions.yaxis.min - 1]);
  }
  $scope.lineChartDataset = lineChartService.getDataset([
    {
      id: 0,
      data: graphData
    }, {
      id: 1,
      data: graphData
    }
  ]); // Init empty Graph

  /** bind functions on flot-element -------------------------------------------------------------------------------- */
  $("body").mouseup(function () {
    lineChartService.enableDrawing();
  });
  $scope.mouseDown = function () {
    lineChartService.disableDrawing();
  };
  $scope.dblClick = function () {
    lineChartService.unlockX(true);
    lineChartService.unlockY(true);
  };
  $scope.rightClick = function () {
    lineChartService.unlockX();
    lineChartService.unlockY();
  };
  $scope.selected = function (event, ranges) {
    lineChartService.lockX(ranges.xaxis.from, ranges.xaxis.to);
    lineChartService.lockY(ranges.yaxis.from, ranges.yaxis.to);
  };

  /** en-/disable graph --------------------------------------------------------------------------------------------- */
  $scope.checkBoxes = [{
    label: "Written data",
    id: 0,
    isChecked: true
  }, {
    label: "Network traffic",
    id: 1,
    isChecked: true
  }];

  $scope.$watch("checkBoxes", function (newVal, oldVal) {
    if (_.isEqual(newVal, oldVal)) { // first call
      lineChartService.buildCache();

      $scope.checkBoxes.forEach(function (element) {
        if (element.isChecked) {
          lineChartService.setActive(element.id);
        } else {
          lineChartService.setInactive(element.id);
        }
      });
    }

    $scope.checkBoxes.forEach(function (element) {
      if (newVal[element.id].isChecked === oldVal[element.id].isChecked) {
        return;
      }

      if (newVal[element.id].isChecked) {
        lineChartService.setActive(element.id);
      } else {
        lineChartService.setInactive(element.id);
      }
    });
  }, true);

  /** stop server-sent-events --------------------------------------------------------------------------------------- */
  $scope.$on("$destroy", function () {
    evtSource.close();
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.clusterstatuswidget");
app.directive("clusterstatuswidget", function () {
  return {
    restrict: "E",
    scope: true,
    replace: true,
    templateUrl: "components/cluster-status-widget/templates/clusterstatus.html",
    controller: "ChartCtrl"
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.clusterstatuswidget");
app.directive("ngPlotselected", function ($parse) {
  return function (scope, element, attrs) {
    var fn = $parse(attrs.ngPlotselected);
    element.bind("plotselected", function (event, ranges) {
      scope.$apply(function () {
        event.preventDefault();
        fn(scope, {
          $event:event,
          $ranges: ranges
        });
      });
    });
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

/**
 * lineChartService.js
 *
 * @author  Sebastian Krah
 * @version 1.0
 *
 * How to use:
 * - First make sure to set all options you need
 *       ("lineChartService.setMaxGraphValues();" needs to be graphData.length on first insert)
 * - Assign your options to your scope
 * - Prepare your Chartdata (timestamp needs to be in ms)
 *      - Width "xaxis.mode = "time";" you will need an array with the following structure:
 *        [[timestamp, value], [timestamp, value], [timestamp, value], ...]
 *      - otherwise you will need an normal array filled with your values:
 *        [value, value, value, ...]
 * - Finally you need to assign the created dataset to your scope
 * - Optional you can update your chart in certain time intervals by using $timestamp
 *
 * Here is an inline example:
 * <code>
 *   lineChartService.graphOptions.colors = ["#ff0000", "#00ff00", "#0000ff"];
 *   lineChartService.graphOptions.xaxis.mode = "time";
 *   lineChartService.graphOptions.xaxis.timezone = "browser";
 *   lineChartService.graphOptions.yaxis.max = 10;
 *   lineChartService.setMaxGraphValues(5);
 *
 *   $scope.lineChartOptions = lineChartService.graphOptions;
 *
 *   var now = new Date().getTime();
 *   var graphData = [[now-25000, 1], [now-20000, 7], [now-15000, 5], [now-10000, 9], [now-5000, 2]];
 *
 *   $scope.lineChartDataset = lineChartService.getDataset([{
 *     id: 0,
 *     label: "DiscLoad",
 *     data: graphData
 *   }]);
 *
 *   //optional
 *   var updateChart = function () {
 *     graphData = [[new Date().getTime(), Math.round(Math.random() * 10)]];
 *     $scope.lineChartDataset = lineChartService.getDataset([{
 *       id: 0,
 *       label: "DiscLoad",
 *       data: graphData
 *     }]);
 *     // If you use mode = "time" make sure that you use an interval matching your timestamps
 *     $timeout(updateChart, 5000);
 *   }
 *   updateChart();
 *
 *   // activeState
 *   $scope.checkBoxes = [{
 *     label: "DiscLoad",
 *     id: 0,
 *     isChecked: true
 *   }];
 *
 *   $scope.$watch("checkBoxes", function (newVal, oldVal) {
 *     if (_.isEqual(newVal, oldVal)) { // first call
 *       lineChartService.buildCache();
 *
 *       $scope.checkBoxes.forEach (function (element) {
 *         element.isChecked ? lineChartService.setActive(element.id) : lineChartService.setInactive(element.id);
 *       });
 *     }
 *
 *     $scope.checkBoxes.forEach (function (element) {
 *       if (newVal[element.id].isChecked == oldVal[element.id].isChecked) {
 *         return;
 *       }
 *       newVal[element.id].isChecked ? lineChartService.setActive(element.id) :
 *           lineChartService.setInactive(element.id);
 *     });
 *   }, true);
 * </code>
 */

var app = angular.module("openattic.clusterstatuswidget");
app.service("lineChartService", function () {
  // private attributes
  var graphDataset = [];
  var activeState = [];
  var cache = [];
  var maxGraphValues = 200;
  var disableDrawing = false;

  // public attributes
  var graphOptions = this.graphOptions = {
    colors: ["#ff0000", "#00ff00", "#0000ff", "#000000", "#00ffff", "#ff00ff", "#ffff00"],
    grid: {
      show: true,
      borderWidth: 1,
      borderColor: {
        top: "#000",
        right: "#000",
        bottom: "#000",
        left: "#000"
      },
      color: "rgba(0, 0, 0, 0.5)",
      hoverable: false,
      clickable: false
    },
    legend: {
      show: true,
      position: "nw",
      margin: [10, 10],
      backgroundOpacity: 0
    },
    series: {
      shadowSize: 0,
      lines: {
        lineWidth: 1,
        fill: true,
        fillColor: {
          colors: [{
            opacity: 0.4
          }, {
            opacity: 0.1
          }]
        },
        steps: false
      }
    },
    xaxis: {
      min: 0,
      max: 100,
      timeformat: "%H:%M:%S"
    },
    yaxis: {
      min: 0
    },
    selection: {
      mode: "xy"
    }
  };
  var selectOptions = this.selectOptions = {
    xaxis: {
      locked: false,
      min: [],
      max: []
    },
    yaxis: {
      locked: false,
      min: [],
      max: []
    }
  };

  // private methods
  function buildGraph(graphNumber, graphData) {
    var data;
    var i;

    // On first call
    if (typeof graphDataset[graphNumber] === "undefined") {
      graphDataset[graphNumber] = {data: []};

      for (i = 0; i < maxGraphValues; i++) {
        // fill empty data with 0
        if (graphOptions.xaxis.mode === "time") {
          graphDataset[graphNumber].data.push([graphData[0][0], 0]); // TODO solve it in a better way
        } else {
          graphDataset[graphNumber].data.push([i * (graphOptions.xaxis.max / (maxGraphValues - 1)), 0]);
        }
      }
    }

    if (graphOptions.xaxis.mode === "time") {
      var sliceSize;
      data = [];

      if (graphData.length >= maxGraphValues) {
        sliceSize = graphData.length - maxGraphValues;
        data = graphData.slice(sliceSize);
      } else {
        if (!disableDrawing) {
          sliceSize = graphDataset[graphNumber].data.length - (maxGraphValues - graphData.length);
          data = graphDataset[graphNumber].data.slice(sliceSize);
        } else {
          data = graphDataset[graphNumber].data.slice(0);
        }

        for (i in graphData) {
          if (activeState[graphNumber] || typeof activeState[graphNumber] === "undefined") {
            data.push([graphData[i][0], graphData[i][1]]);
          } else {
            data.push([graphData[i][0], -1]); // TODO put in something useful instead of -1

            // Cache
            cache[graphNumber].data.push([graphData[i][0], graphData[i][1]]);
            if (cache[graphNumber].data.length > maxGraphValues) {
              cache[graphNumber].data = cache[graphNumber].data.slice(cache[graphNumber].data.length - maxGraphValues);
            }
          }
        }
      }

      if (!selectOptions.xaxis.locked) {
        // if area unselected
        if (!disableDrawing) {
          graphOptions.xaxis.min = data[0][0];
          graphOptions.xaxis.max = data[data.length - 1][0];
        }
      } else {
        // if area selected
        var diff = data[1][0] - data[0][0];

        if (data.length >= 1 && graphNumber === 0) {
          // Move all values in stacks
          for (i in selectOptions.xaxis.min) {
            if (selectOptions.xaxis.min.length === selectOptions.xaxis.max.length) {
              selectOptions.xaxis.min[i] = selectOptions.xaxis.min[i] + diff;
              selectOptions.xaxis.max[i] = selectOptions.xaxis.max[i] + diff;
            } else {
              throw "min/max array not at the same length";
            }
          }

          // Make selected area moveable
          if (!disableDrawing) {
            graphOptions.xaxis.min = graphOptions.xaxis.min + diff;
            graphOptions.xaxis.max = graphOptions.xaxis.max + diff;
          }
        }
      }
    } else {
      var maxX;

      if (selectOptions.xaxis.locked) {
        maxX = selectOptions.xaxis.max[0];
      } else {
        maxX = graphOptions.xaxis.max;
      }

      if (graphData.length >= maxGraphValues) {
        // graphdata >= n (n = maximal values in chart)
        data = [];
        for (i = 0; i < graphData.length; i++) {
          data.push([i * (maxX / (maxGraphValues - 1)), graphData[i]]);
        }
      } else {
        // 0 < graphdata < n (n = maximal values in chart)
        data = graphDataset[graphNumber].data.slice(graphData.length);
        for (i = 0; i < data.length; i++) {
          data[i][0] = i * (maxX / (maxGraphValues - 1));
        }

        var size = data.length;
        for (i = data.length; i < maxGraphValues; i++) {
          data.push([i * (maxX / (maxGraphValues - 1)), graphData[i - size]]);
        }
      }
    }
    return data;
  }

  // public methods
  this.getDataset = function (graphSets) {
    graphSets.forEach(function (element) {
      if (typeof activeState[element.id] !== "undefined" && !activeState[element.id]) {
        cache[element.id].label = element.label;
        graphDataset[element.id] = {
          label: "",
          data: buildGraph(element.id, element.data)
        };
        return;
      }

      graphDataset[element.id] = {
        label: element.label,
        data: buildGraph(element.id, element.data)
      };
    });

    return graphDataset;
  };

  this.setMaxGraphValues = function (values) {
    maxGraphValues = values;
  };

  this.getMaxGraphValues = function () {
    return maxGraphValues;
  };

  this.lockX = function (min, max) {
    selectOptions.xaxis.min.push(graphOptions.xaxis.min);
    selectOptions.xaxis.max.push(graphOptions.xaxis.max);
    selectOptions.xaxis.locked = true;

    // If mode time is active
    if (graphOptions.xaxis.mode === "time") {
      var pos = graphDataset[0].data.length - maxGraphValues;
      var diff = graphDataset[0].data[pos][0] - graphDataset[0].data[0][0];

      selectOptions.xaxis.min.push(selectOptions.xaxis.min.pop() + diff);
      selectOptions.xaxis.max.push(selectOptions.xaxis.max.pop() + diff);

      if (min < graphDataset[0].data[pos][0]) {
        min = min + diff;
      }
    }

    graphOptions.xaxis.min = min;
    graphOptions.xaxis.max = max;
  };

  this.unlockX = function  (reset) {
    if (selectOptions.xaxis.min.length > 0 && selectOptions.xaxis.max.length > 0) {
      if (typeof reset !== "undefined" && reset === true) {
        graphOptions.xaxis.min = selectOptions.xaxis.min[0];
        graphOptions.xaxis.max = selectOptions.xaxis.max[0];
        selectOptions.xaxis.min = [];
        selectOptions.xaxis.max = [];
      } else {
        graphOptions.xaxis.min = selectOptions.xaxis.min.pop();
        graphOptions.xaxis.max = selectOptions.xaxis.max.pop();
      }
    }

    if (selectOptions.xaxis.min.length === 0 && selectOptions.xaxis.max.length === 0) {
      selectOptions.xaxis.locked = false;
    }
  };

  this.lockY = function (min, max) {
    selectOptions.yaxis.min.push(graphOptions.yaxis.min);
    selectOptions.yaxis.max.push(graphOptions.yaxis.max);
    selectOptions.yaxis.locked = true;

    graphOptions.yaxis.min = min;
    graphOptions.yaxis.max = max;
  };

  this.unlockY = function (reset) {
    if (selectOptions.yaxis.min.length > 0 && selectOptions.yaxis.max.length > 0) {
      if (typeof reset !== "undefined" && reset === true) {
        graphOptions.yaxis.min = selectOptions.yaxis.min[0];
        graphOptions.yaxis.max = selectOptions.yaxis.max[0];
        selectOptions.yaxis.min = [];
        selectOptions.yaxis.max = [];
      } else {
        graphOptions.yaxis.min = selectOptions.yaxis.min.pop();
        graphOptions.yaxis.max = selectOptions.yaxis.max.pop();
      }
    }

    if (selectOptions.yaxis.min.length === 0 && selectOptions.yaxis.max.length === 0) {
      selectOptions.yaxis.locked = false;
    }
  };

  this.disableDrawing = function () {
    disableDrawing = true;
  };

  this.enableDrawing = function () {
    disableDrawing = false;
  };

  this.setActive = function (id) {
    activeState[id] = true;

    if (typeof cache[id] !== "undefined") {
      graphDataset[id].label = cache[id].label;
      graphDataset[id].data = cache[id].data.slice(0);
    }

    cache[id] = {}; // reset cache
  };

  this.setInactive = function (id) {
    activeState[id] = false;
    cache[id] = {
      label: graphDataset[id].label,
      data: []
    };

    graphDataset[id].label = "";
    graphDataset[id].data.forEach(function (element) {
      cache[id].data.push([element[0], element[1]]); // Copy current graph values
      element[1] = -1; // TODO put in something useful instead of -1
    });
  };

  this.buildCache = function () {
    cache = []; // clear cache, cause service is singleton
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.commandlog");
app.config(function ($stateProvider) {
  $stateProvider
      .state("commandlog", {
        url: "/commandlog",
        views: {
          "main": {
            templateUrl: "components/commandlog/templates/commandlog.html",
            controller : "CommandlogCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Command log"
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.commandlog");
app.controller("CommandlogCtrl", function ($scope, $state, commandlogService, $uibModal) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    commandlogService.filter({
      page: $scope.filterConfig.page + 1,
      pageSize: $scope.filterConfig.entries,
      search: $scope.filterConfig.search,
      ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
    })
        .$promise
        .then(function (res) {
          $scope.data = res;
        });
  }, true);

  $scope.$watchCollection("selection.items", function (items) {
    if (items) {
      $scope.hasSelection = items.length > 0;
    }
  });

  $scope.deleteAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/commandlog/templates/delete-by-selection.html",
      controller: "CommandlogDeleteBySelectionCtrl",
      resolve: {
        selection: function () {
          return $scope.selection.items;
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.filterConfig.refresh = new Date();
    });
  };

  $scope.deleteByDateAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/commandlog/templates/delete-by-date.html",
      controller: "CommandlogDeleteByDateCtrl"
    });

    modalInstance.result.then(function () {
      $scope.filterConfig.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.commandlog");
app.controller("CommandlogDeleteByDateCtrl", function ($scope, commandlogService, $uibModalInstance, Notification) {
  $scope.datePicker = {
    opened: false,
    maxDate: null,
    dateTime: null,
    format: "dd/MM/yyyy",
    showBtnBar: false
  };

  $scope.options = {
    startingDay: 1
  };

  $scope.open = function ($event) {
    $event.preventDefault();
    $event.stopPropagation();
    $scope.datePicker.maxDate = new Date();
    $scope.datePicker.opened = true;
  };

  $scope.delete = function () {
    commandlogService.delete({"datetime": $scope.datePicker.dateTime})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        }, function () {
          $scope.pickDateForm.$submitted = false;
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete log entry",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.commandlog");
app.controller("CommandlogDeleteBySelectionCtrl", function ($scope, commandlogService, $uibModalInstance, $filter,
    selection, Notification) {
  $scope.selectionLength = selection.length;
  $scope.itemText = false;
  if (selection.length === 1) {
    $scope.itemText = $filter("shortcommandlog")(selection[0].text);
    $scope.command = selection[0].command;
  }

  var ids = [];
  for (var i = 0; i < selection.length; i++) {
    ids.push(selection[i].id);
  }

  $scope.delete = function () {
    commandlogService.delete({"ids": ids})
        .$promise
        .then(function () {
          $uibModalInstance.close("cloned");
        }, function () {
          $scope.deleteForm.$submitted = false;
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete log entry",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.commandlog");
app.filter("shortcommandlog", function () {
  return function (inp) {
    var lines = inp.split("\n");
    if (lines.length <= 5) {
      return lines.join("<br>");
    }

    return [lines[0], lines[1], "...", lines[lines.length - 2], lines[lines.length - 1]].join("<br>");
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.commandlog");
app.factory("commandlogService", function ($resource) {
  return $resource(globalConfig.API.URL + "cmdlogs/:id", {
    id: "@id"
  }, {
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET",
      url: globalConfig.API.URL + "cmdlogs"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboardWidgets");
app.directive("cephClusterPerformance", function () {
  return {
    restrict   : "E",
    scope      : true,
    controller : function ($scope, $interval, cephClusterService, cephPerfDataOpt) {
      var promise;
      $scope.isLoading = false;
      $scope.perfData = cephPerfDataOpt;
      $scope.graph = {
        config: {
          deepWatchDataDepth: 0
        },
        data: [],
        options: {
          chart: {
            color: ["#288cea", "#6430ec", "#ffdb1b", "#ffa21b", "#19f13f", "#ff2b1b"],
            forceY: [0],
            interpolate: "linear",
            legend: {
              vers: "furious",
              margin: {
                top: 3,
                right: 0,
                bottom: 10,
                left: -64
              },
              rightAlign: false
            },
            legendPosition: "top",
            margin: {
              top: 0,
              right: 0,
              bottom: 40,
              left: 80
            },
            type: "lineChart",
            useInteractiveGuideline: true,
            x: function (d) {
              return d[0];
            },
            xAxis: {
              axisLabel: "Time",
              fontSize: 11,
              showMaxMin: false,
              tickFormat: function (d) {
                return d3.time.format("%d.%m %H:%M")(new Date(d * 1000));
              }
            },
            y: function (d) {
              if (d[1] === null) {
                d[1] = 0;
              }
              return d[1];
            },
            yAxis: {
              axisLabel: $scope.widget.settings.perfdata,
              axisLabelDistance: 20,
              fontSize: 11,
              tickFormat: function (d) {
                var v = formatBytes(d, 2);
                return v[0] + v[1];
              }
            }
          }
        }
      };

      // Functions
      var init = function () {
        $scope.startInterval();
      };

      var formatBytes = function (bytes, decimals) {
        if (bytes === null || bytes === 0) {
          return [0, "B", 1, "B", 0];
        }

        var units = ["B", "KiB", "MiB", "GiB", "TiB", "PiB", "EiB", "ZiB", "YiB"];
        var factor = 1024;
        var dm = decimals || 2;

        var i = Math.floor(Math.log(bytes) / Math.log(factor));
        var k = i;
        var value = parseFloat((bytes / Math.pow(factor, i)).toFixed(dm));
        var rounded = 0;

        if (value < 100) {
          rounded = Math.ceil(value / 10) * 10;
        } else if (value < 1000) {
          rounded = Math.ceil(value / 100) * 100;
        } else {
          k++;
          rounded = 2;
        }

        return [value, units[i], i, rounded, units[k], k, factor];
      };

      $scope.getData = function () {
        var filter = null;
        $scope.isLoading = true;

        switch ($scope.widget.settings.perfdata) {
          case $scope.perfData[0]:
            filter = "read_bytes_sec,write_bytes_sec";
            break;
          case $scope.perfData[1]:
            $scope.graph.options.chart.margin.left = 50;
            $scope.graph.options.chart.legend.margin.left = -34;
            $scope.graph.options.chart.yAxis.axisLabelDistance = -10;
            $scope.graph.options.chart.yAxis.tickFormat = function (d) {
              return d;
            };
            filter = "num_osds,num_up_osds";
            break;
          case $scope.perfData[2]:
            filter = "bytes_total,bytes_avail,bytes_used";
            break;

          default:
            filter = "read_bytes_sec,write_bytes_sec";
            break;
        }

        cephClusterService
            .performancedata({
              fsid  : $scope.widget.settings.cluster.fsid,
              filter: filter
            })
            .$promise
            .then(function (res) {
              // Clear old data
              $scope.graph.data = [];

              angular.forEach(res, function (e) {
                // Filter null TODO remove if fixed in BE
                var len = e.values.length;
                if (e.values[len - 2][1] === null) {
                  e.values.splice(len - 2, 2);
                } else {
                  e.values.splice(len - 1, 1);
                }

                // Customize graphs
                switch (e.key) {
                  case "read_bytes_sec":
                    e.key = "Read";
                    break;
                  case "write_bytes_sec":
                    e.key = "Write";
                    break;
                  case "num_osds":
                    e.key = "OSDs";
                    e.area = true;
                    break;
                  case "num_up_osds":
                    e.key = "Online OSDs";
                    break;
                  case "bytes_total":
                    e.key = "Bytes total";
                    e.area = true;
                    break;
                  case "bytes_avail":
                    e.key = "Bytes available";
                    break;
                  case "bytes_used":
                    e.key = "Bytes used";
                    break;

                  default:
                    e.key = "undefined key";
                    break;
                }

                // Save new data
                $scope.graph.data.push(e);
              });
            })
            .finally(function () {
              $interval(function () {
                $scope.isLoading = false;
              }, 1000, 1);
            });
      };

      $scope.startInterval = function () {
        // stops any running interval to avoid two intervals running at the same time
        $scope.stopInterval();

        // Get data before the first interval is executed
        $scope.getData();

        // store the interval promise
        promise = $interval(function () {
          $scope.getData();
        }, 60000, false);
      };

      $scope.stopInterval = function () {
        $interval.cancel(promise);
      };

      // Watcher
      $scope.$watch("widget.settings", function (newValue, oldValue) {
        if (angular.equals(newValue, oldValue)) {
          return;
        }

        $scope.getData();
      });

      // Event-Handler
      $scope.$on("$destroy", function () {
        $scope.stopInterval();
      });

      $scope.$on("gridster-resized", function () {
        $scope.graph.api.update();
      });

      $scope.$on("gridster-item-transition-end", function () {
        $scope.graph.api.update();
      });

      // init
      init();
    },
    templateUrl: "components/dashboard-widgets/templates/ceph-cluster-performance.html"
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboardWidgets");
app.directive("cephClusterPerformanceSettings", function () {
  return {
    restrict   : "E",
    scope      : false,
    controller : function ($scope, cephClusterService, cephPerfDataOpt) {
      $scope.perfData = cephPerfDataOpt;

      var init = function () {
        cephClusterService
            .get()
            .$promise
            .then(function (res) {
              $scope.cluster = res.results;
            });
      };

      // init
      init();
    },
    templateUrl: "components/dashboard-widgets/templates/ceph-cluster-performance-settings.html"
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboardWidgets");
app.directive("cephClusterStatus", function () {
  return {
    restrict   : "E",
    scope      : true,
    controller : function ($scope, $interval, cephClusterService) {
      var promise;
      $scope.data = {};
      $scope.isLoading = false;
      $scope.warnCollapsed = true;
      $scope.errCollapsed = true;

      // Functions
      var init = function () {
        $scope.getData();
        $scope.startInterval();
      };

      $scope.getData = function () {
        $scope.isLoading = true;
        cephClusterService
            .get()
            .$promise
            .then(function (res) {
              $scope.processData(res);
            })
            .finally(function () {
              $interval(function () {
                $scope.isLoading = false;
              }, 1000, 1);
            });
      };

      $scope.processData = function (data) {
        $scope.data = {
          "count"  : 0,
          "ok"     : [],
          "warn"   : [],
          "err"    : [],
          "unknown": []
        };
        $scope.data.count = data.count;
        angular.forEach(data.results, function (element) {
          switch (element.health) {
            case "HEALTH_OK":
              $scope.data.ok.push(element);
              break;
            case "HEALTH_WARN":
              $scope.data.warn.push(element);
              break;
            case "HEALTH_ERR":
              $scope.data.err.push(element);
              break;

            default:
              $scope.data.unknown.push(element);
              break;
          }
        });

        if ($scope.data.warn.length > 0 || $scope.data.err.length > 0) {
          angular.forEach($scope.data.warn.concat($scope.data.err), function (cluster) {
            cephClusterService
                .status({fsid: cluster.fsid})
                .$promise
                .then(function (res) {
                  cluster.summary = res.health.summary;
                });
          });
        }
      };

      $scope.startInterval = function () {
        // stops any running interval to avoid two intervals running at the same time
        $scope.stopInterval();

        // store the interval promise
        promise = $interval(function () {
          $scope.getData();
        }, 5000, false);
      };

      $scope.stopInterval = function () {
        $interval.cancel(promise);
      };

      // Event-Handler
      $scope.$on("$destroy", function () {
        $scope.stopInterval();
      });

      // init
      init();
    },
    templateUrl: "components/dashboard-widgets/templates/ceph-cluster-status.html"
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboardWidgets");
app.directive("openatticClusterStatus", function () {
  return {
    restrict   : "E",
    scope      : true,
    controller : function () {
    },
    templateUrl: "components/dashboard-widgets/templates/openattic-cluster-status.html"
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboardWidgets");
app.directive("openatticWizards", function () {
  return {
    restrict   : "E",
    scope      : true,
    controller : function () {
    },
    templateUrl: "components/dashboard-widgets/templates/openattic-wizards.html"
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboardWidgets");
app.value("cephPerfDataOpt", ["Read / Write per sec", "OSDs", "Utilization"]);
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboard");
app.config(function ($stateProvider) {
  $stateProvider
      .state("dashboard", {
        url          : "/dashboard",
        views        : {
          "main": {
            templateUrl: "components/dashboard/templates/dashboard.html",
            controller : "DashboardCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Dashboard"
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboard");
app.controller("DashboardAddCtrl", function ($scope, $uibModalInstance, data) {
  $scope.data = angular.copy(data);
  $scope.input = {
    settings: $scope.data.settings
  };

  $scope.addDashboard = function () {
    $uibModalInstance.close($scope.input);
  };

  $scope.addWidget = function () {
    $uibModalInstance.close($scope.input);
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboard");
app.controller("DashboardCtrl", function ($scope, $uibModal, Notification, dashboardService) {
  // Basic configuration
  var dashboardKey = "oa_dashboard";

  $scope.gridsterOptions = {
    columns         : 6,
    swapping        : true,
    margins         : [15, 15],
    mobileBreakPoint: 1200,
    minRows         : 1,
    defaultSizeX    : 1,
    defaultSizeY    : 1,
    draggable       : {
      enabled: true,
      handle : ".panel-heading",
      stop   : function () {
        $scope.saveDashboard();
      }
    },
    resizable       : {
      enabled: true,
      stop   : function () {
        $scope.saveDashboard();
      }
    }
  };

  $scope.manager = [{
    "name"   : "openATTIC cluster status",
    "manager": "openattic-cluster-status",
    "group"  : "Local storage"
  }, {
    "name"   : "openATTIC wizards",
    "manager": "openattic-wizards",
    "group"  : "Local storage"
  }, {
    "name"   : "Ceph cluster status",
    "manager": "ceph-cluster-status",
    "group"  : "Ceph"
  }, {
    "name"   : "Ceph cluster performance",
    "manager": "ceph-cluster-performance",
    "group"  : "Ceph"
  }];

  // functions
  $scope.addDashboard = function () {
    var modalInstance = $uibModal.open({
      controller       : "DashboardAddCtrl",
      templateUrl      : "components/dashboard/templates/add-dashboard.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {}
      }
    });

    modalInstance.result.then(function (data) {
      var idx = $scope.data.boards.length;

      $scope.data.boards.push({
        "id"     : idx,
        "name"   : data.name,
        "widgets": []
      });

      // Select and save new dashboard
      $scope.dashboard = $scope.data.boards[idx];
      $scope.data.settings.activeBoard = idx;

      // Will be saved automatically by watcher
      Notification.success({
        title: "Dashboard added",
        msg  : "Dashboard '" + data.name + "' successfully created."
      });
    });
  };

  $scope.editDashboard = function () {
    var modalInstance = $uibModal.open({
      controller       : "DashboardEditCtrl",
      templateUrl      : "components/dashboard/templates/edit-dashboard.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {
          "type": "dashboard",
          "name": $scope.dashboard.name
        }
      }
    });

    modalInstance.result.then(function (data) {
      $scope.dashboard.name = data.name;

      $scope.saveDashboard();
      Notification.success({
        title: "Dashboard edited",
        msg  : "Dashboard '" + $scope.dashboard.name + "' successfully edited."
      });
    });
  };

  $scope.clearDashboard = function () {
    var modalInstance = $uibModal.open({
      controller       : "DashboardDeleteCtrl",
      templateUrl      : "components/dashboard/templates/delete-widgets.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {
          "name": $scope.dashboard.name
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.dashboard.widgets = [];

      $scope.saveDashboard();
      Notification.success({
        title: "Dashboard cleared",
        msg  : "Dashboard '" + $scope.dashboard.name + "' successfully cleared."
      });
    });
  };

  $scope.deleteDashboard = function () {
    var modalInstance = $uibModal.open({
      controller       : "DashboardDeleteCtrl",
      templateUrl      : "components/dashboard/templates/delete-dashboard.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {
          "name": $scope.dashboard.name
        }
      }
    });

    modalInstance.result.then(function () {
      var idx = $scope.dashboard.id;

      // Delete board and update IDs
      $scope.data.boards.splice(idx, 1);
      updateIds($scope.data.boards, idx);

      // Select other board
      $scope.data.settings.activeBoard = 0;

      // Will be saved automatically by watcher only when idx != 0
      if (idx === 0) {
        $scope.saveDashboard();
      }
      Notification.success({
        title: "Dashboard deleted",
        msg  : "Dashboard '" + $scope.dashboard.name + "' successfully deleted."
      });
    });
  };

  $scope.addWidget = function () {
    var modalInstance = $uibModal.open({
      controller       : "DashboardAddCtrl",
      templateUrl      : "components/dashboard/templates/add-widget.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {
          "manager" : $scope.manager,
          "settings": {}
        }
      }
    });

    modalInstance.result.then(function (data) {
      var idx = $scope.dashboard.widgets.length;

      $scope.dashboard.widgets.push({
        "id"      : idx,
        "name"    : data.name,
        "manager" : data.manager,
        "settings": data.settings
      });

      $scope.saveDashboard();
      Notification.success({
        title: "Widget added",
        msg  : "Widget '" + data.name + "' successfully created."
      });
    });
  };

  $scope.editWidget = function (idx, name) {
    var modalInstance = $uibModal.open({
      controller       : "DashboardEditCtrl",
      templateUrl      : "components/dashboard/templates/edit-widget.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {
          "type"           : "widget",
          "name"           : name,
          "manager"        : $scope.manager,
          "selectedManager": $scope.dashboard.widgets[idx].manager,
          "settings"       : $scope.dashboard.widgets[idx].settings
        }
      }
    });

    modalInstance.result.then(function (data) {
      $scope.dashboard.widgets[idx].name = data.name;
      $scope.dashboard.widgets[idx].manager = data.manager;
      $scope.dashboard.widgets[idx].settings = data.settings;

      $scope.saveDashboard();
      Notification.success({
        title: "Widget edited",
        msg  : "Widget '" + name + "' successfully edited."
      });
    });
  };

  $scope.deleteWidget = function (idx, name) {
    var modalInstance = $uibModal.open({
      controller       : "DashboardDeleteCtrl",
      templateUrl      : "components/dashboard/templates/delete-widget.html",
      windowTemplateUrl: "templates/messagebox.html",
      resolve          : {
        data: {
          "name": name
        }
      }
    });

    modalInstance.result.then(function () {
      $scope.dashboard.widgets.splice(idx, 1);
      updateIds($scope.dashboard.widgets, idx);

      $scope.saveDashboard();
      Notification.success({
        title: "Widget deleted",
        msg  : "Widget '" + name + "' successfully deleted."
      });
    });
  };

  $scope.lockDashboard = function () {
    $scope.data.settings.locked = !$scope.data.settings.locked;
    $scope.saveDashboard();
  };

  $scope.saveDashboard = function () {
    var obj = {};
    obj[dashboardKey] = $scope.data;

    dashboardService.save(obj);
  };

  var setIds = function () {
    var boardId = 0;
    angular.forEach($scope.data.boards, function (board) {
      var widgetId = 0;
      board.id = boardId++;

      angular.forEach(board.widgets, function (widget) {
        widget.id = widgetId++;
      });
    });
  };

  var updateIds = function (container, idx) {
    for (var i = idx; i < container.length; i++) {
      container[i].id--;
    }
  };

  var verifyDashboardConfig = function () {
    if (!angular.isDefined(globalConfig.GUI.defaultDashboard)) {
      throw "NoDashboardConfiguration";
    }

    // verify board and widget objects
    if (!angular.isDefined(globalConfig.GUI.defaultDashboard.boards) ||
        !angular.isArray(globalConfig.GUI.defaultDashboard.boards) ||
        globalConfig.GUI.defaultDashboard.boards.length <
        1) {
      throw "InvalidDashboardConfiguration";
    }

    angular.forEach(globalConfig.GUI.defaultDashboard.boards, function (board) {
      if (!angular.isDefined(board.widgets) || !angular.isArray(board.widgets)) {
        throw "InvalidWidgetConfiguration";
      }

      if (!angular.isDefined(board.name)) {
        throw "MissingNameAttribute";
      }

      angular.forEach(board.widgets, function (widget) {
        if (!angular.isDefined(widget.name)) {
          throw "MissingNameAttribute";
        }
      });
    });

    // verify settings object
    if (!angular.isDefined(globalConfig.GUI.defaultDashboard.settings)) {
      throw "InvalidDashboardConfiguration";
    }

    if (!angular.isDefined(globalConfig.GUI.defaultDashboard.settings.activeBoard)) {
      throw "MissingActiveBoardAttribute";
    }

    if (!angular.isDefined(globalConfig.GUI.defaultDashboard.settings.locked)) {
      throw "MissingLockedAttribute";
    }
  };

  var init = function () {
    dashboardService
        .get({"search": dashboardKey})
        .$promise
        .then(function (res) {
          // load dashboard
          if (res.results[0].preferences.hasOwnProperty(dashboardKey)) {
            $scope.data = res.results[0].preferences[dashboardKey];
            $scope.dashboard = $scope.data.boards[$scope.data.settings.activeBoard];
            return;
          }

          // if no dashboard is saved, create default
          try {
            verifyDashboardConfig();
            $scope.data = globalConfig.GUI.defaultDashboard;

            setIds();
            var obj = {};
            obj[dashboardKey] = $scope.data;
            if ($scope.data.settings.activeBoard > ($scope.data.boards.length - 1) ||
                $scope.data.settings.activeBoard < 0) {
              $scope.data.settings.activeBoard = 0;
            }
            $scope.dashboard = $scope.data.boards[$scope.data.settings.activeBoard];
          } catch (error) {
            $scope.data = {
              "boards"  : [{
                "id"     : 0,
                "name"   : "Default",
                "widgets": []
              }],
              "settings": {
                "activeBoard": 0,
                "locked"     : false
              }
            };
          } finally {
            $scope.saveDashboard();
          }
        }).catch(function (error) {
          error.ignoreStatusCode(401);
        });
  };

  // watcher
  $scope.$watch("data.settings.activeBoard", function (newValue, oldValue) {
    if (angular.equals(newValue, oldValue) || typeof oldValue === "undefined") {
      return;
    }

    $scope.saveDashboard();
    $scope.dashboard = $scope.data.boards[newValue];
  });

  $scope.$watch("data.settings.locked", function (newValue) {
    $scope.gridsterOptions.draggable.enabled = !newValue;
    $scope.gridsterOptions.resizable.enabled = !newValue;
  });

  // init dashboard
  init();
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboard");
app.controller("DashboardDeleteCtrl", function ($scope, $uibModalInstance, data) {
  $scope.data = data;

  $scope.clearDashboard = function () {
    $uibModalInstance.close("cleared");
  };

  $scope.deleteDashboard = function () {
    $uibModalInstance.close("deleted");
  };

  $scope.deleteWidget = function () {
    $uibModalInstance.close("deleted");
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboard");
app.controller("DashboardEditCtrl", function ($scope, $uibModalInstance, data) {
  $scope.data = angular.copy(data);

  $scope.editDashboard = function () {
    $uibModalInstance.close($scope.input);
  };

  $scope.editWidget = function () {
    $uibModalInstance.close($scope.input);
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };

  $scope.$watch("input.manager", function (newValue, oldValue) {
    if (angular.equals(newValue, oldValue)) {
      return;
    }

    $scope.input.settings = {};
  });

  var init = function () {
    if (data.type === "dashboard") {
      $scope.input = {
        "name": $scope.data.name
      };
    }

    if (data.type === "widget") {
      $scope.input = {
        "name"    : $scope.data.name,
        "manager" : $scope.data.selectedManager,
        "settings": $scope.data.settings
      };
    }
  };

  init();
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.dashboard");
app.factory("dashboardService", function ($resource) {
  return $resource(globalConfig.API.URL + "userprofiles");
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.datatable");
app.directive("actions", function () {
  return {
    restrict: "E",
    templateUrl: "components/datatable/templates/actionmenu.html",
    transclude: true,
    link: function (scope, element, attr, controller, transclude) {
      var dropdown = element.find(".oa-dropdown-actions");
      var btnGroup = element.find(".btn-group");
      var actionsScope = scope.$parent.$new();

      dropdown.parent().on({
        "click": function (e) {
          if ($(e.target).is(".dropdown-menu,li.divider,li.disabled")) {
            e.stopPropagation();
          }
        }
      });

      transclude(actionsScope, function (clone) {
        dropdown.append(clone.filter("li"));
        btnGroup.prepend(clone.filter(".btn-primary"));
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";
/**
 * Checklist-model
 * AngularJS directive for list of checkboxes
 * Downloaded from https://github.com/vitalets/checklist-model
 */

var app = angular.module("openattic.datatable");
app.directive("checklistModel", function ($parse, $compile) {
  // contains
  var contains = function (arr, item) {
    if (angular.isArray(arr)) {
      for (var i = 0; i < arr.length; i++) {
        if (angular.equals(arr[i], item)) {
          return true;
        }
      }
    }
    return false;
  };

  // add
  var add = function (arr, item) {
    arr = angular.isArray(arr) ? arr : [];
    for (var i = 0; i < arr.length; i++) {
      if (angular.equals(arr[i], item)) {
        return arr;
      }
    }
    arr.push(item);
    return arr;
  };

  // remove
  var remove = function (arr, item) {
    if (angular.isArray(arr)) {
      for (var i = 0; i < arr.length; i++) {
        if (angular.equals(arr[i], item)) {
          arr.splice(i, 1);
          break;
        }
      }
    }
    return arr;
  };

  // http://stackoverflow.com/a/19228302/1458162
  var postLinkFn = function (scope, elem, attrs) {
    // compile with `ng-model` pointing to `checked`
    $compile(elem)(scope);

    // getter / setter for original model
    var getter = $parse(attrs.checklistModel);
    var setter = getter.assign;

    // value added to list
    var value = $parse(attrs.checklistValue)(scope.$parent);

    // watch UI checked change
    scope.$watch("checked", function (newValue, oldValue) {
      if (newValue === oldValue) {
        return;
      }
      var current = getter(scope.$parent);
      if (newValue === true) {
        setter(scope.$parent, add(current, value));
      } else {
        setter(scope.$parent, remove(current, value));
      }
    });

    // watch original model change
    scope.$parent.$watch(attrs.checklistModel, function (newArr) {
      scope.checked = contains(newArr, value);
    }, true);
  };

  return {
    priority: 1000,
    terminal: true,
    scope: true,
    compile: function (tElement, tAttrs) {
      if (tElement[0].tagName !== "INPUT" || !tElement.attr("type", "checkbox")) {
        throw "checklist-model should be applied to `input[type=\"checkbox\"]`.";
      }

      if (!tAttrs.checklistValue) {
        throw "You should provide `checklist-value`.";
      }

      // exclude recursion
      tElement.removeAttr("checklist-model");

      // local scope var storing individual checkbox model
      tElement.attr("ng-model", "checked");

      return postLinkFn;
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.datatable");
app.directive("oadatatable", function () {
  return {
    restrict: "E",
    transclude: true,
    templateUrl: "components/datatable/templates/datatable.html",
    scope: {
      selection: "=",
      data: "=",
      filterConfig: "=",
      special: "="
    },
    link: function (scope, element, attr, controller, transclude) {
      transclude(scope, function (clone, scope) {
        element.find(".oadatatableactions").append(clone.filter("actions"));
        element.find(".dataTables_wrapper .dataTables_content").append(clone.filter("table"));
        element.find("th").each(function (index, item) {
          scope.columns[$(item).text()] = angular.isUndefined($(item).attr("disabled"));
          if (item.attributes.sortfield) {
            scope.sortfields[$(item).text()] = item.attributes.sortfield.value;
          }
        });
      });
    },
    controller: function ($scope, $localStorage, $http, $state) {
      var tableName = $state.current.name;
      var firstColCall = true;
      var firstFilterCall = true;
      if (!$localStorage.datatables) {
        $localStorage.datatables = {};
      }
      if (!$localStorage.datatables[tableName]) {
        $localStorage.datatables[tableName] = {};
      }
      $scope.store = $localStorage.datatables[tableName];

      /**
       * Evaluates on any digest!
       * It will be true if the API-call will match the last word of any active table.
       * If true a loading sign will appear.
       */
      $scope.$watch(function () {
        if (!$state.includes(tableName)) {
          return false;
        }
        return $http.pendingRequests.some(function (req) {
          return Boolean(req.url.match(tableName.match(/[^.]+$/)));
        });
      }, function (value) {
        $scope.waiting = value;
      });

      $scope.columns = {};

      $scope.sortfields = {};

      $scope.selection = {
        item: null,
        items: [],
        checkAll: false,
        available: true
      };

      $scope.filterConfig.entries = $scope.store.entries || 10;

      /**
       * Watches for enabled or disabled columns.
       *
       * The first call will be handled differently than the rest, because the old column set will be loaded if
       * available or the column set will be saved to the local storage.
       *
       * The next calls will enable or disable columns and make sure that at least one column is checked.
       * The column change will be saved to the local storage object.
       */
      $scope.$watchCollection("columns", function (cols, oldCols) {
        if (firstColCall) {
          firstColCall = false;
          if (!$scope.store.columns) {
            $scope.store.columns = cols;
          }
          $scope.columns = $scope.store.columns;
        } else {
          var allowed = Object.keys(cols).some(function (colName) {
            return cols[colName];
          });
          if (allowed) {
            $scope.store.columns = cols;
          } else {
            $scope.columns = oldCols;
          }
        }
      });

      $scope.$watch("selection.checkAll", function (newVal) {
        if (!$scope.data.results) {
          return;
        }
        if (newVal) {
          $scope.selection.items = $scope.data.results.slice();
        } else {
          $scope.selection.items = [];
        }
      });

      $scope.toggleSelection = function (row, $event) {
        var idx;
        var add;
        if ($event.target.tagName === "INPUT" || $event.target.tagName === "A") {
          return;
        }

        $event.preventDefault();
        $event.stopPropagation();
        if ($event.ctrlKey) {
          idx = $scope.selection.items.indexOf(row);
          if (idx === -1) {
            $scope.selection.items.push(row);
          } else {
            $scope.selection.items.splice(idx, 1);
          }
        } else if ($event.shiftKey) {
          for (add = false, idx = 0; idx < $scope.data.results.length; idx++) {
            if (add) {
              $scope.selection.items.push($scope.data.results[idx]);
            } else if ($scope.selection.items.indexOf($scope.data.results[idx]) !== -1) {
              add = true;
            }

            if ($scope.data.results[idx] === row) {
              break;
            }
          }
        } else {
          $scope.selection.items = [row];
        }
      };

      $scope.isRowSelected = function (row) {
        return $scope.selection.items.indexOf(row) !== -1;
      };

      $scope.getSelection = function () {
        return $scope.selection.items.slice();
      };

      $scope.$watchCollection("selection.items", function () {
        if ($scope.selection.items.length === 1) {
          $scope.selection.item = $scope.selection.items[0];
        } else {
          $scope.selection.item = null;
        }
      });

      $scope.$watch("data", function () {
        if (angular.isUndefined($scope.data.count)) {
          return;
        }
        $scope.selection.items = [];
        $scope.firstEntry = ($scope.filterConfig.page * $scope.filterConfig.entries) + 1;
        $scope.lastEntry = ($scope.filterConfig.page + 1) * $scope.filterConfig.entries;
        $scope.totalEntries = $scope.data.count;
        $scope.pages = Math.ceil($scope.totalEntries / $scope.filterConfig.entries);
        if ($scope.totalEntries <= $scope.lastEntry) {
          $scope.lastEntry = $scope.totalEntries;
          if ($scope.lastEntry === 0) {
            $scope.firstEntry = 0;
          }
        }
      });

      $scope.sortByField = function (field, direction) {
        if (firstFilterCall) {
          firstFilterCall = false;
          if ($scope.store.sortfield && $scope.store.sortorder) {
            field = $scope.store.sortfield;
            direction = $scope.store.sortorder;
          }
        }
        if ($scope.filterConfig.sortfield !== field) {
          $scope.filterConfig.sortfield = field;
          $scope.filterConfig.sortorder = direction || "ASC";
        } else {
          $scope.filterConfig.sortorder = {
            "ASC": "DESC",
            "DESC": "ASC"
          }[$scope.filterConfig.sortorder];
        }
        $scope.store.sortfield = $scope.filterConfig.sortfield;
        $scope.store.sortorder = $scope.filterConfig.sortorder;
      };

      $scope.$watch("filterConfig.entries", function (newVal, oldVal) {
        $scope.filterConfig.page = Math.floor($scope.filterConfig.page * oldVal / newVal);
        $scope.store.entries = newVal;
      });

      $scope.searchModelOptions = {
        updateOn: "default blur",
        debounce: {
          "default": 500,
          "blur": 0
        }
      };

      $scope.reloadTable = function () {
        $scope.filterConfig.reload = new Date();
      };
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.datatable");
app.directive("paginator", function () {
  return {
    restrict: "E",
    templateUrl: "components/datatable/templates/pagination.html",
    scope: {
      page: "=",
      pages: "="
    },
    link: function (scope) {
      scope.displayNumber = scope.page + 1;

      scope.instantChange = function (event) {
        if (event.keyCode === 38) { //up arrow key
          scope.switchPage(scope.displayNumber + 1);
        } else if (event.keyCode === 40) { //down arrow key
          scope.switchPage(scope.displayNumber - 1);
        }
      };

      scope.switchPage = function (page) {
        page = parseInt(page, 10);
        if (!page || page < 1) {
          page = 1;
        } else if (page > scope.pages) {
          page = scope.pages;
        }
        scope.page = page - 1;
        scope.displayNumber = page;
        // TODO: Should be done automatically, we should take a look at it
      };

      /**
       * This will watch the count of all pages.
       * The pages count will change if you search for something or
       * if you change the entries size.
       * The watch prevents having a wrong page size.
       */
      scope.$watch("pages", function () {
        scope.switchPage(scope.page);
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.datatable");
app.directive("showhidecolumns", function () {
  return {
    restrict: "E",
    templateUrl: "components/datatable/templates/showhidecolumnsmenu.html"
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.datatable");
app.directive("sortfield", function () {
  return {
    link: function (scope, element, attr) {
      if (typeof attr.sortdefault !== "undefined") {
        scope.sortByField(attr.sortfield || element.text().toLowerCase(), (attr.sortorder || "ASC").toUpperCase());
      }
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.datatable");
app.directive("sortheaderclass", function ($compile) {
  return {
    terminal: true,
    priority: 1000,
    link: function link(scope, element) {
      var fieldName = scope.sortfields[$(element).text()];
      element.attr("ng-click", "sortByField('" + fieldName + "')");
      element.attr("ng-class",
        "{ sorting_asc: filterConfig.sortfield == '" + fieldName + "' && filterConfig.sortorder == 'ASC'," +
          "sorting: filterConfig.sortfield != '" + fieldName + "'," +
          "sorting_desc: filterConfig.sortfield == '" + fieldName + "' && filterConfig.sortorder == 'DESC'" +
        "}");
      element.removeAttr("sortheaderclass");
      $compile(element)(scope);
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.disks");
app.config(function ($stateProvider) {
  $stateProvider
      .state("disks", {
        url: "/disks",
        views: {
          "main": {
            templateUrl: "components/disks/templates/disks.html",
            controller : "DisksCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Disks"
        }
      })
      .state("disks.detail", {
        url: "/:disk",
        views: {
          "tab": {templateUrl: "components/disks/templates/tab.html"}
        },
        ncyBreadcrumb: {
          skip: true
        }
      })
      .state("disks.detail.status", {
        url: "/status",
        views: {
          "tab-content": {templateUrl: "components/disks/templates/status.html"}
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} Status"
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.disks");
app.controller("DisksCtrl", function ($scope, $state, disksService, tabViewService) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  $scope.tabData = {
    active: 0,
    tabs: {
      status: {
        show: "selection.item",
        state: "disks.detail.status",
        class: "tc_statusTab",
        name: "Status"
      }
    }
  };
  $scope.tabConfig = {
    type: "disk",
    linkedBy: "id",
    jumpTo: "more"
  };
  tabViewService.setScope($scope);
  $scope.changeTab = tabViewService.changeTab;

  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    disksService.filter({
      page: $scope.filterConfig.page + 1,
      pageSize: $scope.filterConfig.entries,
      search: $scope.filterConfig.search,
      ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
    })
    .$promise
    .then(function (res) {
      $scope.data = res;
    });
  }, true);

  $scope.$watch("selection.item", function (selitem) {
    if (selitem) {
      $scope.changeTab("disks.detail.status");
    } else {
      $state.go("disks");
    }
  });

  $scope.$watchCollection("selection.item", function (item) {
    $scope.hasSelection = Boolean(item);
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.disks");
app.factory("disksService", function ($resource) {
  return $resource(globalConfig.API.URL + "disks/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.drbd");
app.directive("drbdAdd", function () {
  return {
    restrict: "E",
    scope: {
      validation: "=",
      result: "=",
      wizard: "="
    },
    templateUrl: "components/drbd/templates/add-drbd.html",
    controller: function ($scope, poolsService, HostService) {
      // Default values.
      $scope.data = {
        mirroring_enabled: false,
        remote_pool: null,
        remote_pool_waiting_msg: "-- Select a pool --",
        remote_pools: []
      };
      $scope.result.protocol = "C";
      $scope.result.syncer_rate = "30M";

      // Check if we are running a multinode setup. If this is the case, then show
      // the 'Volume Mirroring' checkbox.
      HostService.query({ is_oa_host: "True" })
        .$promise
        .then(function (res) {
          $scope.data.mirroring_enabled = res.length >= 2;
        });

      // Listen to Pool selections. Reload and filter the remote pool list
      // if a pool has been selected.
      $scope.$watch("result.source_pool", function (pool) {
        if (!pool) {
          // Reset list of available remote pools.
          $scope.data.remote_pools = [];
          return;
        }
        $scope.data.remote_pool_waiting_msg = "Retrieving pool list...";
        poolsService.query({ excl_host: pool.host })
          .$promise
          .then(function (res) {
            $scope.data.remote_pools = res;
            $scope.data.remote_pool_waiting_msg = "-- Select a pool --";
          }, function () {
            $scope.data.remote_pool_waiting_msg = "Error: List couldn't be loaded!";
            $scope.validation.remote_pool.$setValidity("loading", false);
          });
      });

      /**
       * Ensure that the remote pool is large enough to hold the
       * requested volume.
       */
      $scope.validatePoolSize = function () {
        var valid = true;
        if ($scope.data.remote_pool && $scope.result.megs) {
          valid = $scope.data.remote_pool.usage.free > $scope.result.megs;
        }
        $scope.validation.remote_pool.$setValidity("poolSize", valid);
        return valid;
      };
      $scope.$watch("result.megs", function () {
        $scope.validatePoolSize();
      });
      $scope.$watch("data.remote_pool", function () {
        // Validate the pool size.
        var valid = $scope.validatePoolSize();
        // If it is valid, then store the remote pool in the formular
        // submit values.
        if (valid && $scope.data.remote_pool) {
          $scope.result.remote_pool = {
            id: $scope.data.remote_pool.id,
            name: $scope.data.remote_pool.name,
            host: $scope.data.remote_pool.host.id // Not needed in backend.
          };
        } else {
          delete $scope.result.remote_pool;
        }
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.drbd");
/**
 * Validate the DRBD synchronization rate value, e.g. 30M.
 */
app.directive("drbdSyncRateValidate", function () {
  return {
    // Restrict to an attribute type.
    restrict: "A",
    // Element must have ng-model attribute.
    require: "ngModel",
    // scope = The parent scope
    // elem  = The element the directive is on
    // attrs = A dictionary of attributes on the element
    // ctrl  = The controller for ngModel
    link: function (scope, elem, attrs, ctrl) {
      ctrl.$validators.drbdSyncRateValidate = function (value) {
        if (ctrl.$isEmpty(value)) {
          return true;
        }
        // Syncer rate must be in <number>[K|M|G] format.
        var m = RegExp("^(\\d+)([KMG]?)$").exec(value);
        if (m === null) {
          return false;
        }
        // Syncer rate must be between 500K and 100M.
        var exp = {
          "": 0,
          "K": 1,
          "M": 2,
          "G": 3
        };
        var rate = m[1] * Math.pow(1024, exp[m[2]]);
        if (500 * 1024 > rate) {
          return false;
        }
        if (100 * 1024 * 1024 < rate) {
          return false;
        }
        return true;
      };
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.drbd");
app.factory("drbdService", function ($resource) {
  return $resource(globalConfig.API.URL + "mirrors/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return angular.fromJson(data).results;
      }
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.component("graphCreationComponent", {
  templateUrl: "components/graph/templates/graph-creation.html",
  bindings: {
    /*
     *  config = {
     *    graphs: {...}, // Described in graphFactory.js. (required)
     *    api: {
     *      call: function () {}, // Function to call the api from the service object. (required)
     *      filterApi: function (selectedItem) { // Return object that the service function will filter.
     *        return {};
     *      },
     *      extractValues: function (apiResult, item) { // Return the array with the graph data.
     *        return [{"values":[], "key": "api_name"}];
     *      }
     *    }
     *  }
     */
    config: "<",
    selection: "="
  },
  controller: function ($scope, $interval, graphFactory) {
    var interval;
    var refreshInterval = 60000; // 1min
    var self = this;
    this.isLoading = false;

    this.$onInit = function () {
      graphFactory.initializeGraphConfig(self.config.graphs);
    };

    /*
     * Triggers the API with the filterApi and extractValues function if any.
     */
    this.getData = function () {
      var item = self.selection.items[0];
      var api = self.config.api;
      if (angular.isUndefined(item)) {
        return;
      }
      self.isLoading = true;
      api.call(angular.isFunction(api.filterApi) ? api.filterApi(item) : undefined)
        .$promise
        .then(function (res) {
          var values = angular.isFunction(api.extractValues) ? api.extractValues(res, item) : res;
          graphFactory.setUpGraphs(values);
        })
        .finally(function () {
          $interval(function () {
            self.isLoading = false;
          }, 1000, 1);
        });
    };

    /*
     * Starts or restarts the interval that refreshes the graphs.
     */
    this.startInterval = function () {
      self.stopInterval();
      interval = $interval(function () {
        self.getData();
      }, refreshInterval, false);
    };

    /*
     * Stops the interval.
     */
    this.stopInterval = function () {
      $interval.cancel(interval);
    };

    /*
     * Watches the selection for changes.
     * It will stop the interval if there is no selection and triggers the initialization if there is a selection.
     */
    $scope.$watch("$ctrl.selection.item", function (newValue) {
      if (newValue !== null) {
        self.getData();
        self.startInterval();
      } else {
        self.stopInterval();
      }
    });

    /*
     * Stops the interval if the scope is destroyed.
     * This happens if you click on another tab, list item or menu item,
     * but not if you deselect your selection.
     */
    this.$onDestroy = function () {
      self.stopInterval();
    };
  }
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.directive("graph", function () {
  return {
    restrict: "E",
    scope: {
      volume: "=",
      width: "@",
      profile: "@",
      title: "@",
      globalParams: "="
    },
    template: [
      "<div class=\"graphcontainer\" style=\"position: relative; display: inline-block\">",
        "<div class=\"graphselector\" ",
          "style=\"background-color: rgba(30, 30, 220, 0.4); ",
            "position: absolute; height: 153px; width: 1px; ",
            "z-index: 100; visibility: hidden;\">&nbsp;</div>",
        "<img ng-src=\"/openattic/nagios/v/{{ volume.id }}/{{ encodedTitle }}.png?{{ urlparams }}\" ",
          "ng-alt-src=\"fa fa-bug fa-4x\" />",
      "</div>"
    ].join(""),
    controller: function ($scope, GraphProfileService) {
      $scope.params = {
        width: $scope.width
      };

      $scope.$watch("title", function (title) {
        // Replace spaces with %20 while leaving all other characters intact.
        // Normally, you'd want to use encodeURIComponent here, but that would
        // also encode / as %2F, which is acceptable neither for apache, nor
        // WSGI, nor Django itself, so we'd better not do that, I guess.
        $scope.encodedTitle = title.replace(" ", "%20");
      });

      $scope.$watch("params", function (params) {
        if (params) {
          $scope.urlparams = $.param(angular.extend({
            ts: new Date().getTime()
          }, params));
        }
      }, true);

      $scope.$watch("globalParams", function (globalParams) {
        var activeProfile;
        if (!globalParams) {
          return;
        }
        if (angular.isNumber(globalParams.start) && angular.isNumber(globalParams.end)) {
          $scope.params.start = globalParams.start;
          $scope.params.end = globalParams.end;
        } else {
          activeProfile = globalParams.profile || GraphProfileService.getProfile($scope.profile);
          delete $scope.params.end;
          $scope.params.start = -activeProfile.duration;
        }
      }, true);

      $scope.zoomTo = function (start, end) {
        $scope.globalParams.start = start;
        $scope.globalParams.end = end;
        $scope.globalParams.profile = null;
      };
    },
    link: function (scope, element) {
      var imgel = element.find("img");
      var selector = element.find(".graphselector");
      var inDrag = false;
      var minX = 0; // How far to the left we may go
      var maxX = 0; // How far to the right we may go
      var startX = 0; // Where the user actually started dragging
      var endX = 0; // Where the user actually stopped dragging

      imgel.load(function () {
        maxX = imgel.width() - 30;
        minX = maxX - parseInt(scope.width);
      });

      // Drag start
      imgel.mousedown(function (ev) {
        if (ev.button !== 0) {
          return;
        }
        ev.preventDefault();

        var ctpos = imgel.offset();
        // If the user clicked farther to the right than our
        // graph is wide, cancel
        if (ev.pageX >= ctpos.left + maxX) {
          return true;
        }

        inDrag = true;
        // If the user clicked farther to the left than our
        // graph is wide, clamp
        if (ev.pageX < ctpos.left + minX) {
          startX = minX;
        } else {
          startX = ev.pageX - ctpos.left;
        }

        selector.css({
          top: 31,
          left: startX,
          width: 1,
          height: 153,
          visibility: "visible"
        });
      });

      // Dragging
      var mousemove = function (ev) {
        if (!inDrag) {
          return true;
        }
        var ctpos = imgel.offset();
        // If the user clicked farther to the right than our
        // graph is wide, clamp
        if (ev.pageX >= ctpos.left + maxX) {
          endX = maxX;
        } else {
          endX = ev.pageX - ctpos.left;
        }

        selector.css({
          width: endX - startX
        });
      };
      imgel.mousemove(mousemove);
      selector.mousemove(mousemove);

      // Drag end
      var mouseup = function (ev) {
        if (!inDrag ||
              // If we move to the left, FireFox fires mouseout on the img element. We
              // generally do want to react on the img's mouseout in general, just not
              // in this particular case which is handled by mousemove.
              (ev.type === "mouseout" && ev.relatedTarget.classList.contains("graphselector"))
          ) {
          return true;
        }
        selector.css({
          visibility: "hidden",
          left: startX - 2,
          width: 1
        });
        inDrag = false;
        var start = parseInt(scope.params.start);
        var end = parseInt(scope.params.end) || 0;
        // Calc new start/end and call our callback
        scope.zoomTo(
          parseInt(start + (end - start) * (startX - minX) / (maxX - minX)),
          parseInt(start + (end - start) * (endX - minX) / (maxX - minX))
        );
        scope.$apply();
      };
      imgel.mouseup(mouseup);
      imgel.mouseout(mouseup);
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.directive("graphWidget", function () {
  return {
    restrict: "E",
    scope: {
      params: "="
    },
    templateUrl: "components/graph/templates/graphWidget.html",
    controller: function ($scope, GraphProfileService) {
      $scope.profiles = GraphProfileService.getProfiles();

      $scope.setActiveProfile = function (profile) {
        $scope.params.profile = profile;
        delete $scope.params.start;
        delete $scope.params.end;
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.factory("GraphProfileService", function () {
  var profiles = [{
    title: "4h",
    duration: 6 * 60 * 60,
    tiny: true
  }, {
    title: "24h",
    duration: 24 * 60 * 60,
    tiny: true
  }, {
    title: "48h",
    duration: 48 * 60 * 60,
    tiny: true
  }, {
    title: "1w",
    duration: 7 * 24 * 60 * 60,
    tiny: true
  }, {
    title: "2w",
    duration: 14 * 24 * 60 * 60,
    tiny: false
  }, {
    title: "1m",
    duration: 30 * 24 * 60 * 60,
    tiny: true
  }, {
    title: "3m",
    duration: 90 * 24 * 60 * 60,
    tiny: false
  }, {
    title: "6m",
    duration: 180 * 24 * 60 * 60,
    tiny: false
  }, {
    title: "1y",
    duration: 365 * 24 * 60 * 60,
    tiny: true
  }];

  return {
    getProfiles: function () {
      return profiles;
    },
    getProfile: function (title) {
      for (var i = 0; i < profiles.length; i++) {
        if (profiles[i].title === title) {
          return profiles[i];
        }
      }
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.factory("graphConfigService", function () {
  return {
    deepWatchDataDepth: 0
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.service("graphFactory", function (graphConfigService, graphOptionsService) {
  var graphConfig = {};

  /**
   * Sets up the graph objects.
   * It extends each object with the default configuration, than it amends those the configured parts.
   *
   * @param {Object} graphs - looks like this:
   *    {
   *      graph1: {
   *        name: "name of the graph", // required
   *        bindings: ["array_of", "api_attribute_names"], // required
   *        yLabel: "y axis label name",
   *        xLabel: "x axis label name",
   *        tickFormat: function (value) {
   *          return value + " Byte";
   *        }
   *      },
   *      ...
   *    }
   */
  this.initializeGraphConfig = function (graphs) {
    graphConfig = angular.forEach(graphs, function (graph) {
      angular.extend(graph, {
        api: {},
        config: angular.copy(graphConfigService),
        data: [],
        options: angular.copy(graphOptionsService)
      });
      if (angular.isString(graph.yLabel)) {
        graph.options.chart.yAxis.axisLabel = graph.yLabel;
      } else {
        graph.options.chart.yAxis.axisLabel = graph.name;
      }
      if (angular.isString(graph.xLabel)) {
        graph.options.chart.xAxis.axisLabel = graph.xLabel;
      }
      if (angular.isFunction(graph.tickFormat)) {
        graph.options.chart.yAxis.tickFormat = graph.tickFormat;
      }
    });
  };

  /*
   * Generates graph out of the API response.
   *
   * graph.data has to be an Array with key-values objects to be rendered in nv3d.
   *
   * The default tickformat will convert the values to a human readable file size.
   *
   * @param {Object} item - API response consists of a key and values.
   * @param {string} item.key - Name of the graph.
   * @param {number[][]} item.values - Monitored values.
   */
  this.setUpGraphs = function (items) {
    angular.forEach(graphConfig, function (graph) {
      graph.data = items.filter(function (item) {
        return angular.isObject(item) && item.hasOwnProperty("key") && graph.bindings.indexOf(item.key) !== -1;
      });
      var chart = graph.options.chart;
      var item = graph.data[0];
      var domain = [
        d3.min(item.values)[0],
        d3.max(item.values)[0],
        0,
        d3.max(graph.data, function (item) {
          return d3.max(item.values.map(function (array) {
            return d3.max(array.slice(1));
          }));
        })
      ];
      chart.xDomain = [domain[0], domain[1]];
      chart.yDomain = [domain[2], Math.ceil((domain[3] + 2) * 1.1)];
    });
    angular.forEach(graphConfig, function (graph) {
      graph.api.update();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.graph");
app.factory("graphOptionsService", function () {
  return {
    chart: {
      color: ["#288cea", "#6430ec", "#ffdb1b", "#ffa21b", "#19f13f", "#ff2b1b"],
      type: "lineChart",
      useInteractiveGuideline: true,
      height: 250,
      duration: 350,
      legend: {
        vers: "furious",
        margin: {
          top: 3,
          right: 0,
          bottom: 10,
          left: -64
        },
        rightAlign: false
      },
      legendPosition: "top",
      margin: {
        top: 0,
        right: 0,
        bottom: 40,
        left: 80
      },
      x: function (d) {
        return d[0];
      },
      xAxis: {
        axisLabel: "Time",
        fontSize: 11,
        showMaxMin: false,
        tickFormat: function (d) {
          return d3.time.format("%d.%m %H:%M")(new Date(d * 1000));
        }
      },
      y: function (d) {
        if (d[1] === null) {
          d[1] = 0;
        }
        return d[1];
      },
      yAxis: {
        axisLabel: "",
        axisLabelDistance: 20,
        fontSize: 11,
        showMaxMin: false,
        tickFormat: function (d) {
          var value = 0;
          var unit = "B";
          if (d !== null && d !== 0) {
            var units = ["B", "KiB", "MiB", "GiB", "TiB", "PiB", "EiB", "ZiB", "YiB"];
            var i = Math.floor(Math.log(d) / Math.log(1024));
            value = parseFloat((d / Math.pow(1024, i)));
            unit = units[i];
          }

          return d3.format(".2f")(value) + unit;
        }
      },
      zoom: {
        //NOTE: All attributes below are optional
        enabled: true,
        scaleExtent: [1, 10],
        useFixedDomain: false,
        useNiceScale: false,
        horizontalOff: false,
        verticalOff: true,
        unzoomEventType: "dblclick.zoom"
      }
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.hosts");
app.config(function ($stateProvider) {
  $stateProvider
    .state("hosts", {
      url: "/hosts",
      views: {
        "main": {
          templateUrl: "components/hosts/templates/hosts.html",
          controller : "HostCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Hosts"
      }
    })
    .state("hosts-add", {
      url: "/hosts/add",
      views: {
        "main": {
          templateUrl: "components/hosts/templates/add-host.html",
          controller : "HostFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Add",
        parent: "hosts"
      }
    })
    .state("hosts-edit", {
      url: "/hosts/edit/:host",
      views: {
        "main": {
          templateUrl: "components/hosts/templates/add-host.html",
          controller : "HostFormCtrl"
        }
      },
      ncyBreadcrumb: {
        label: "Edit {{host.name}}",
        parent: "hosts"
      }
    })
    .state("hosts.detail", {
      url: "/:host",
      views: {
        "tab": {
          templateUrl: "components/hosts/templates/tab.html"
        }
      },
      ncyBreadcrumb: {
        skip: true
      }
    })
    .state("hosts.detail.status", {
      url: "/status",
      views: {
        "tab-content": {
          templateUrl: "components/hosts/templates/details.html"
        }
      }
    });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.hosts");
app.controller("HostCtrl", function ($scope, $state, HostService, $uibModal, InitiatorService, NetdeviceService,
    tabViewService) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  $scope.loadInitiators = function () {
    return InitiatorService.get()
      .$promise
      .then(function (res) {
        $scope.shares = res.results;
      });
  };

  $scope.loadNetdevices = function () {
    return NetdeviceService.get()
      .$promise
      .then(function (res) {
        $scope.devices = res.results;
      });
  };

  $scope.loadHosts = function () {
    return HostService.filter({
        page: $scope.filterConfig.page + 1,
        pageSize: $scope.filterConfig.entries,
        search: $scope.filterConfig.search,
        ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
      })
      .$promise
      .then(function (res) {
        res.results.forEach($scope.amendHosts);
        $scope.data = res;
      });
  };

  $scope.amendHosts = function (host) {
    // Ensure that the given variable is an object. In some cases it may
    // happen that the Rest-API does not return an object per host, e.g.
    // if the information can not be retrieved from a remote host.
    if (!angular.isObject(host) || !host.id) {
      return;
    }
    host.iscsiIqn = [];
    host.fcWwn = [];
    var shares = $scope.shares.filter(function (share) {
      return host.id === share.host.id;
    });
    shares.forEach(function (share) {
      if (share.type === "iscsi") {
        host.iscsiIqn.push({
          "text": share.wwn,
          "id": share.id
        });
      } else {
        host.fcWwn.push({
          "text": share.wwn,
          "id": share.id
        });
      }
    });
    host.netdevice_set.forEach(function (device, index) {
      host.netdevice_set[index] = $scope.devices.filter(function (netDev) {
        return netDev.url === device.url;
      })[0];
      if (host.primary_ip_address &&
        host.primary_ip_address.device.url === host.netdevice_set[index].url) {
        host.netdevice_set[index].primary = host.primary_ip_address;
      }
    });
  };

  $scope.updateData = function () {
    $scope.loadInitiators().then(function () {
      $scope.loadNetdevices().then(function () {
        $scope.loadHosts();
      });
    });
  };

  $scope.tabData = {
    active: 0,
    tabs: {
      status: {
        show: "selection.item",
        state: "hosts.detail.status",
        class: "tc_statusTab",
        name: "Status"
      }
    }
  };
  $scope.tabConfig = {
    type: "host",
    linkedBy: "id",
    jumpTo: "more"
  };
  tabViewService.setScope($scope);
  $scope.changeTab = tabViewService.changeTab;

  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    $scope.updateData();
  }, true);

  /**
   * Watches the selection to
   * - set multiSelection and singleSelection
   * - do a tab change or route back to the overview
   */
  $scope.$watchCollection("selection.items", function (items) {
    $scope.multiSelection = items && items.length > 1;
    $scope.singleSelection = items && items.length === 1;

    if ($scope.singleSelection) {
      $scope.changeTab("hosts.detail.status");
    } else {
      $state.go("hosts");
    }
  });

  $scope.addAction = function () {
    $state.go("hosts-add");
  };

  $scope.editAction = function () {
    $state.go("hosts-edit", {host: $scope.selection.items[0].id});
  };

  /**
   * Opens the deletion dialog with all selected items.
   * It will reload the table then the dialog is closed.
   */
  $scope.deleteAction = function () {
    if (!$scope.singleSelection && !$scope.multiSelection) {
      return;
    }
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/hosts/templates/delete-host.html",
      controller: "HostDeleteCtrl",
      resolve: {
        hosts: function () {
          return $scope.selection.items;
        }
      }
    });
    modalInstance.result.then(function () {
      $scope.filterConfig.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.hosts");
app.controller("HostDeleteCtrl", function ($scope, $filter, HostService, $uibModalInstance, hosts, Notification, $q) {
  $scope.hosts = hosts;

  /**
   * Deletes all hosts in the selection.
   */
  $scope.delete = function () {
    var hosts = $scope.hosts;
    var requests = [];
    hosts.forEach(function (host) {
      var deferred = $q.defer();
      HostService.delete({id: host.id}, deferred.resolve, deferred.reject);
      requests.push(deferred.promise);
    });
    $q.all(requests).then(function () {
      $uibModalInstance.close("deleted");
    }, function () {
      $scope.deleteForm.$submitted = false;
      $uibModalInstance.close("failed");
    });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
    Notification.warning({
      title: "Cancelled delete host",
      msg: "Cancelled host delete."
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.hosts");
app.controller("HostFormCtrl", function ($scope, $state, $stateParams) {
  $scope.hostState = $stateParams.host;
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.hosts");
app.directive("hostForm", function () {
  return {
    restrict: "E",
    scope: {
      hostId: "=?",
      stateGoTo: "@",
      config: "=?",
      submit: "=?"
    },
    templateUrl: "components/hosts/templates/add-host-directive.html",
    controller: function ($scope, $state, HostService, InitiatorService, $q) {
      if (!$scope.config) {
        $scope.config = {
          header: true,
          class: {
            label: "col-sm-3",
            labelOffset: "col-sm-offset-3",
            field: "col-sm-9"
          }
        };
      }
      $scope.changes = [];
      $scope.data = {};
      $scope.host = {};
      $scope.wwn = {
        iscsi: {
          current: {},
          usage: ["iqn", "eui", "naa"],
          valid: true,
          label: "iSCSI IQN",
          desc: "Use iSCSI for sharing",
          text: ""
        },
        qla2xxx: {
          current: {},
          usage: ["mac", "eui", "naa"],
          valid: true,
          label: "FC WWN",
          desc: "Use Fibre Channel for sharing",
          text: ""
        }
      };
      $scope.validationText = {
        format: {
          iqn: {
            desc: "An IQN has the following notation 'iqn.$year-$month.$reversedAddress:$definedName'",
            example: "iqn.2016-06.org.openattic:storage:disk.sn-a8675309",
            link: "https://en.wikipedia.org/wiki/ISCSI#Addressing",
            notation: "iqn.$year-$month.$reversedAddress:$definedName"
          },
          mac: {
            desc: "A MAC is a 64bit long hexadecimal number this means it is 16 characters long. " +
            "You can just type the number and it will be LIO formatted for you or you can type it LIO formatted.",
            example: "1234567890abcdef equal to 12:34:56:78:90:ab:cd:ef",
            link: "https://en.wikipedia.org/wiki/MAC_address#Notational_conventions",
            notation: "16 characters long hexadecimal number"
          },
          eui: {
            desc: "The Extended Unique Identifier (EUI) looks like this 'eui-${64bit hexadecimal number}'.",
            example: "eui.1234567890abcdef",
            link: "https://en.wikipedia.org/wiki/MAC_address#Notational_conventions",
            notation: "eui.${16 characters long hexadecimal number}"
          },
          naa: {
            desc: "The T11 Network Address Authority (NAA) looks like this 'eui-${64bit or 128bit hexadecimal number}'",
            example: "naa.1234567890abcdef or naa.1234567890abcdef1234567890abcdef",
            link: "https://en.wikipedia.org/wiki/ISCSI#Addressing",
            notation: "naa.${16 or 32 characters long hexadecimal number}"
          }
        },
        exists: function (share) {
          if (angular.isString(share)) {
            return "This WWN already exists, please choose another one.".replace("WWN", share.toUpperCase());
          }
        }
      };
      $scope.wwns = [];

      $scope.createNewHost = function (hostForm, host, changes, saveShares, goBack) {
        if (hostForm.$valid === true) {
          HostService.save(host)
            .$promise
            .then(function (res) {
              host = res;
              saveShares(changes, host, goBack);
            });
        }
      };

      $scope.submitNewHost = function (hostForm) {
        $scope.submitted = true;
        $scope.createNewHost(hostForm, $scope.host, $scope.changes, $scope.saveShares, $scope.goBack);
      };

      $scope.amendHost = function (hostForm) {
        $scope.submitted = true;
        if (hostForm.$valid === false) {
          return;
        }
        var requests = [];
        if ($scope.wwn.iscsi && $scope.wwn.iscsi.check === false) {
          $scope.data.iscsi.forEach(function (wwn) {
            $scope.rmIni(wwn);
          });
        }
        if ($scope.wwn.qla2xxx && $scope.wwn.qla2xxx.check === false) {
          $scope.data.qla2xxx.forEach(function (wwn) {
            $scope.rmIni(wwn);
          });
        }

        var deletes = $scope.changes.filter(function (change) {
          return change.type === "delete";
        });
        deletes.forEach(function (change) {
          var deferred = $q.defer();
          InitiatorService.delete({"id": change.tag.id}, deferred.resolve, deferred.reject);
          requests.push(deferred.promise);
        });
        $q.all(requests).then(function () {
          HostService.update({id: $scope.host.id}, $scope.host)
            .$promise
            .then(function () {
              $scope.saveShares($scope.changes, $scope.host, $scope.goBack);
            });
        });
      };

      $scope.init = function () {
        InitiatorService.get()
          .$promise
          .then(function (res) {
            res.results.forEach(function (share) {
              $scope.wwns.push(share.wwn);
            });
          });

        if (!$scope.hostId) {
          $scope.host = {};
          $scope.editing = false;

          $scope.submitAction = $scope.submitNewHost;
        } else {
          $scope.editing = true;

          HostService.get({id: $scope.hostId})
            .$promise
            .then(function (res) {
              $scope.host = res;
            }, function () {
              $scope.hostForm.$submitted = false;
            });

          $scope.loadInitiators();

          $scope.submitAction = $scope.amendHost;
        }
      };

      $scope.loadInitiators = function () {
        $scope.data.iscsi = [];
        $scope.data.qla2xxx = [];
        InitiatorService.get({host: $scope.hostId})
          .$promise
          .then(function (res) {
            for (var i = 0; i < res.results.length; i++) {
              if (res.results[i].type === "iscsi") {
                $scope.data.iscsi.push({
                  "text": res.results[i].wwn,
                  "id": res.results[i].id
                });
              } else {
                $scope.data.qla2xxx.push({
                  "text": res.results[i].wwn,
                  "id": res.results[i].id
                });
              }
            }
            if ($scope.data.qla2xxx.length > 0) {
              $scope.wwn.qla2xxx.check = true;
            }
            if ($scope.data.iscsi.length > 0) {
              $scope.wwn.iscsi.check = true;
            }
          });
      };

      $scope.saveShares = function (changes, host, callback) {
        var requests = [];
        var creates = changes.filter(function (change) {
          return change.type !== "delete";
        });
        creates.forEach(function (change) {
          var deferred = $q.defer();
          InitiatorService.save({
            "wwn": change.tag.text,
            "type": change.type,
            "host": {"id": host.id}
          }, deferred.resolve, deferred.reject);
          requests.push(deferred.promise);
        });
        $q.all(requests).then(function () {
          callback(host);
        });
      };

      /**
       * Will validate if a typed share name is valid or not.
       *
       * @param {object} tag - Tag item in tag input field.
       * @param {string} tag.text - Text of the tag field.
       * @param {string} type - Which share type is used.
       * @return {boolean}
       */
      $scope.validShareName = function (tag, type) {
        $scope.wwn[type].current = $scope.validWwn(tag, type);
        $scope.wwn[type].valid = !angular.isString($scope.wwn[type].current);
        if ($scope.wwn[type].valid && $scope.wwns.indexOf(tag.text) > -1) {
          $scope.wwn[type].current = ["exists", $scope.wwn[type].current.format];
          $scope.wwn[type].valid = false;
        }
        return $scope.wwn[type].valid;
      };

      /**
       * @param {object} tag - Tag item in tag input field.
       * @param {string} format - Format of the share.
       * @param {boolean} valid - Validation condition.
       * @return {string|object} format code or tag object with format code
       */
      var validateShare = function (tag, format, valid) {
        tag.format = format;
        return valid ? tag : format;
      };

      /**
       * Validates the WWN that was typed.
       * @param {object} tag - Tag item in tag input field.
       * @param {string} tag.text - Text of the tag field.
       * @param {string} type - Which share type is used.
       * @return {string|object} error code or tag object
       */
      $scope.validWwn = function (tag, type) {
        var wwn = tag.text;
        var usage = $scope.wwn[type].usage;
        for (var i in usage) {
          if (usage.hasOwnProperty(i)) {
            var share = usage[i];
            switch (share) {
              case "mac":
                if (wwn.match(/^[a-fA-F0-9:]{3}/)) {
                  wwn = wwn.replace(/:/g, "");
                  tag.text = wwn.match(/.{2}/g).join(":");
                  return validateShare(tag, share,
                    wwn.match(/^[a-fA-F0-9]*$/) && wwn.length === 16);
                }
                break;
              case "iqn":
                if (wwn.indexOf(share) === 0) {
                  return validateShare(tag, share,
                    wwn.match(/^iqn\.(19|20)\d\d-(0[1-9]|1[0-2])\.\D{2,3}(\.[A-Za-z0-9-]+)+(:[A-Za-z0-9-\.]+)*$/));
                }
                break;
              case "eui":
                if (wwn.indexOf(share) === 0) {
                  return validateShare(tag, share,
                    wwn.match(/^eui\.[0-9A-Fa-f]{16}$/));
                }
                break;
              case "naa":
                if (wwn.indexOf(share) === 0) {
                  var ident = wwn.substr(4);
                  return validateShare(tag, share,
                    wwn.match(/^naa\.[0-9A-Fa-f]+$/) && (ident.length === 32 || ident.length === 16));
                }
                break;
            }
          }
        }
        return "all";
      };

      $scope.addIni = function (tag, type) {
        tag = $scope.wwn[type].current;
        $scope.wwns.push(tag.text);
        $scope.changes.push({
          tag: tag,
          type: type
        });
      };

      $scope.rmIni = function (tag) {
        $scope.wwns.splice($scope.wwns.indexOf(tag.text), 1);
        if (!tag.id) { // New Tag - Can't be deleted by the backend.
          $scope.changes.some(function (change, index) {
            if (change.tag.text === tag.text) {
              $scope.changes.splice(index, 1);
              return true;
            }
          });
          return;
        }
        $scope.changes.push({
          tag: tag,
          type: "delete"
        });
      };

      /* Will return a readable String of the available formats.
       * @param {string} type - Which share type is used.
       * @return {string}
       */
      $scope.getFormats = function (type) {
        return $scope.wwn[type].usage.reduce(function (last, current, index, usage) {
          var seperator = index === usage.length - 1 ? " or " : ", ";
          return last + seperator + current;
        }).toUpperCase().replace("OR", "or");
      };

      /**
       * Returns the right help text to the template.
       * @param {string} format of the WWN
       * @param {bool} example if true it will return a comprehensive help text
       * @return {string} to bind as html
       */
      $scope.getHelpText = function (format, example) {
        if (!angular.isString(format) || format === "all") {
          return;
        }
        var validation = $scope.validationText.format[format];
        if (!example) {
          return "<br>" + format.toUpperCase() + ": " + validation.notation;
        } else {
          return validation.desc + "<br>" + "For example: " + validation.example + "<br><a target=\"_blank\" href=\"" +
            validation.link + "\">More information</a>";
        }
      };

      $scope.goBack = function () {
        $state.go($scope.stateGoTo);
      };
      $scope.init();

      Object.keys($scope.wwn).forEach(function (type) {
        $scope.$watchCollection("wwn." + type + ".text", function (text) {
          if (text.length === 0) {
            $scope.wwn[type].valid = true;
          }
        });
      });

      if ($scope.submit) {
        /* Use it this way to create a new host on your own:
        var submit = $submit;
        submit.createNewHost(submit.hostForm, submit.host, submit.changes, submit.saveShares, submit.goBack)
         */
        $scope.submit.createNewHost = $scope.createNewHost;
        $scope.submit.saveShares = $scope.saveShares;
        $scope.submit.goBack = $scope.goBack;
        $scope.$watchCollection("hostForm", function (hostForm) {
          $scope.submit.hostForm = hostForm;
        });
        $scope.$watchCollection("changes", function (changes) {
          $scope.submit.changes = changes;
        });
        $scope.$watchCollection("host", function (host) {
          $scope.submit.host = host;
        });
        $scope.saveShares($scope.changes, $scope.host.id, $scope.goBack);
      }
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.hosts");
app.factory("HostService", function ($resource) {
  return $resource(globalConfig.API.URL + "hosts/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET"
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.navigation");
app.directive("navigation", function () {
  return {
    restrict: "E",
    replace: true,
    templateUrl: "components/navigation/templates/navigation.html"
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.notification");

app.value("TWDEFAULTS", {
  default: "default",
  info: "info",
  wait: "wait",
  success: "success",
  error: "error",
  warning: "warning",
  options: {
    title: "",
    msg: "",
    type: "error"
  }
});

app.factory("Notification", function ($timeout, toasty, TWDEFAULTS) {
  /**
   * Notification class used as UI presentational widget to show API errors.
   * @param {Object} config configuration object with properties
   * @property {Object} toastyOptions toasty compatible options, used when creating a toasty
   * @property {string} type toasty type
   * @property {string} type type of the notification
   * @return {Notification}       current Notification instance
   */
  var Notification = function (config) {
    this.delayPromise = undefined;
    this.delay = 5;
    this.options = angular.extend({}, TWDEFAULTS.options, config);
    return this;
  };

  /**
   * Method used for setting/resetting the delay (check show() method).
   * @param {number} delay the delay to be used (in milliseconds). Defaults to 0 (non-cancelable notifications)
   * @return {Notification}       current Notification instance
   */
  Notification.prototype.setDelay = function (delay) {
    this.delay = delay;
    return this;
  };

  /**
   * Method showing (displaying) the notification.
   * If second argument is provided, its cancel method will be called.
   * @param {Object} opts configuration object with properties
   *   @property {Object} toastyOptions toasty compatible options, used when creating a toasty
   *   @property {string} type toasty type
   *   @property {string} type type of the notification
   * @param  {Object} error object whose default notification we want to cancel
   * @return {Notification}       current Notification instance
   */
  Notification.prototype.show = function (opts, error) {
    if (error && error.preventDefault) {
      error.preventDefault();
    }
    if (angular.isUndefined(this.delay) || this.delay < 5) {
      this.setDelay(5);
    }
    var options = angular.extend({}, TWDEFAULTS.options, this.options, opts);
    this.delayPromise = $timeout(function () {
      if (angular.isUndefined(options.timeout)) {
        options.timeout = globalConfig.GUI.defaultNotificationTimes[options.type];
      }
      toasty[options.type](options);
    }, this.delay);
    return this;
  };

  /**
   * Method preventing notification from being shown (displayed)
   * @return {Notification}       current Notification instance
   */
  Notification.prototype.cancel = function () {
    if (this.delayPromise) {
      $timeout.cancel(this.delayPromise);
      this.delay = 0;
    }
    return this;
  };

  Notification.show = function (opts, error) {
    return Notification.prototype.show.call(Notification.prototype, opts, error);
  };

  /*
   * Creates the different notification types.
   */
  angular.forEach(TWDEFAULTS, function (key) {
    if (["default", "options"].indexOf(key) > -1) {
      return;
    }
    Notification[key] = function (opts, error) {
      var options = angular.extend({}, opts, {
          type: TWDEFAULTS[key],
          timeout: globalConfig.GUI.defaultNotificationTimes[key]
        });
      return Notification.prototype.show.call(Notification.prototype, options, error);
    };
  });

  return Notification;
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2017 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.oadeleteconfirmationmodal");
app.component("oaDeleteConfirmationModal", {
  templateUrl: "components/oa-delete-confirmation-modal/templates/oa-delete-confirmation-modal.html",
  bindings: {
    title: '@',
    onConfirm: '&',
    onCancel: '&'
  },
  transclude: true,
  controller: function () {
    this.input = {
      enteredName: "",
      pattern: "yes"
    };
  }
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.oaWizards");
app.controller("BlockstorageCtrl", function ($scope, HostService, $filter, InitiatorService) {
  $scope.limitTypes = ["lun"];

  /**
   * Loads all initiator hosts to $scope.hosts.
   */
  HostService.query()
      .$promise
      .then(function (res) {
        $scope.hosts = $filter("initiatorsonly")(res);
      });

  $scope.input = {
    iscsi_fc: {
      lun_id: 0
    },
    volume: {},
    hostSelection: "select"
  };

  $scope.hostDirective = {
    config:{
      header: false,
      class: {
        label: "col-md-2",
        labelOffset: "col-md-offset-2",
        field: "col-md-10"
      }
    },
    submit: {}
  };

  $scope.useThisHost = function (host) {
    if ($scope.input.hostSelection === "create") {
      $scope.input.iscsi_fc.host = host;
    }
    host = $scope.input.iscsi_fc.host;
    if (host) {
      $scope.input.iscsi_fc.create = true;
      InitiatorService.filter({
        host: host.id,
        type: "qla2xxx"
      })
        .$promise
        .then(function (res) {
          $scope.has_initiator = (res.count > 0);
        });
    } else {
      $scope.input.iscsi_fc.create = false;
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.oaWizards");
app.controller("FilestorageCtrl", function ($scope) {
  $scope.limitTypes = ["zfs", "btrfs", "ext4", "ext3"];

  $scope.input = {
    cifs: {
      create: false,
      available: true,
      browseable: true,
      writeable: true
    },
    nfs: {
      create: false,
      options: "rw,no_subtree_check,no_root_squash"
    },
    volume: {}
  };

  $scope.$watch("input.volume.name", function (volName) {
    if (volName) {
      $scope.input.cifs.name = volName;
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.oaWizards");
app.controller("VmstorageCtrl", function ($scope) {
  $scope.limitTypes = ["xfs", "zfs", "btrfs"];

  $scope.input = {
    cifs: {
      create: false,
      available: true,
      browseable: true,
      writeable: true
    },
    nfs: {
      create: false,
      options: "rw,no_subtree_check,no_root_squash"
    },
    volume: {}
  };

  $scope.$watch("input.volume.name", function (volName) {
    if (volName) {
      $scope.input.cifs.name = volName;
    }
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.oaWizards");
app.directive("wizard", function () {
  return {
    restrict: "E",
    transclude: true,
    replace: true,
    templateUrl: "components/oaWizards/templates/wizard.html",
    link: function (scope, elem) {
      var rawTabs = elem.find(".tab-pane");
      var tabs = [];

      for (var i = 0; i < rawTabs.length; i++) {
        tabs.push({
          index: i + 1,
          title: rawTabs[i].title
        });
      }

      scope.tabs = tabs;
    },
    controller: function ($scope, VolumeService, CifsSharesService, NfsSharesService, LunService, SizeParserService) {
      $scope.activeTab = 1;
      $scope.addFc = function (fc, host) {
        $scope.useThisHost(host);
        if (fc.create) {
          LunService.save(fc);
        }
      };
      $scope.isActiveTab = function (index) {
        return $scope.activeTab === index;
      };
      $scope.isPrevTab = function (index) {
        return index < $scope.activeTab;
      };
      $scope.isNextTab = function (index) {
        return index > $scope.activeTab;
      };
      $scope.nextTab = function () {
        var currentForm = $scope["contentForm" + $scope.activeTab];
        currentForm.submitted = true;
        currentForm.$submitted = true;
        if (currentForm.$valid) {
          if ($scope.activeTab < $scope.tabs.length) {
            $scope.activeTab++;
          } else if ($scope.activeTab === $scope.tabs.length) {
            var volume = $.extend({}, $scope.input.volume);
            volume.megs = SizeParserService.parseInt($scope.input.volume.megs);
            VolumeService.save(volume)
                .$promise
                .then(function (res) {
                  if ("cifs" in $scope.input && "nfs" in $scope.input) {
                    if ($scope.input.cifs.create) {
                      $scope.input.cifs.volume = {"id": res.id};
                      $scope.input.cifs.path = res.path;
                      CifsSharesService.save($scope.input.cifs);
                    }

                    if ($scope.input.nfs.create) {
                      $scope.input.nfs.volume = {"id": res.id};
                      $scope.input.nfs.path = res.path;
                      NfsSharesService.save($scope.input.nfs);
                    }
                  } else if ("iscsi_fc" in $scope.input) {
                    $scope.input.iscsi_fc.volume = {id: res.id};
                    if ($scope.input.hostSelection === "create") {
                      var submit = $scope.hostDirective.submit;
                      submit.createNewHost(submit.hostForm, submit.host, submit.changes, submit.saveShares,
                        function (host) {
                          $scope.addFc($scope.input.iscsi_fc, host);
                        });
                    } else {
                      $scope.addFc($scope.input.iscsi_fc);
                    }
                  }
                })
                .then(function () {
                  $scope.selectSelector();
                });
          }
        }
      };
      $scope.previousTab = function () {
        if ($scope.activeTab > 1) {
          $scope.activeTab--;
        }
      };
      $scope.setTab = function (index) {
        if (index <= $scope.activeTab) {
          $scope.activeTab = index;
        }
      };
      $scope.disabledPrev = function () {
        return $scope.activeTab === 1;
      };
      $scope.nextBtnText = function () {
        var btnText = "Next";

        if ($scope.activeTab === $scope.tabs.length) {
          btnText = "Done";
        }

        return btnText;
      };
      $scope.getWizardItemsClass = function () {
        return "wizard-nav-items-" + $scope.tabs.length;
      };
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var wizardDefinitions = [{
  title: "File Storage",
  icon: "fa fa-folder-o fa-4x",
  page: "filestorage.html"
}, {
  title: "VM Storage",
  icon: "fa fa-align-left fa-rotate-270 fa-stack-1x",
  page: "vmstorage.html",
  stackedIcon: true
}, {
  title: "iSCSI/Fibre Channel target",
  icon: "fa fa-cube fa-4x",
  page: "blockstorage.html"
}/*, {
  title: "Ceph",
  icon: "fa fa-bullseye fa-4x",
  page: ""
}*/];

var app = angular.module("openattic.oaWizards");
app.directive("wizardselector", function () {
  return {
    template: "<div ng-include=\"page\"></div>",
    controller: function ($scope) {
      $scope.page = "components/oaWizards/templates/wizardSelector.html";
      $scope.wizards = wizardDefinitions;
      $scope.selectPage = function (page) {
        if (page !== "" && typeof page !== "undefined") {
          $scope.page = "components/oaWizards/templates/" + page;
        }
      };
      $scope.selectSelector = function () {
        $scope.page = "components/oaWizards/templates/wizardSelector.html";
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.pools");
app.config(function ($stateProvider) {
  $stateProvider
      .state("pools", {
        url: "/pools",
        views: {
          "main": {
            templateUrl: "components/pools/templates/pools.html",
            controller : "PoolsCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Pools"
        }
      })
      .state("pools-add", {
        url: "/pools/add/:diskId",
        views: {
          "main": {
            templateUrl: "components/pools/templates/add-pool.html",
            controller : "PoolsAddCtrl"
          }
        },
        ncyBreadcrumb: {
          parent: "pools",
          label: "Add"
        }
      })
      .state("pools.detail", {
        url: "/:pool",
        views: {
          "tab": {templateUrl: "components/pools/templates/tab.html"}
        },
        ncyBreadcrumb: {
          skip: true
        }
      })
      .state("pools.detail.status", {
        url: "/status",
        views: {
          "tab-content": {templateUrl: "components/pools/templates/status.html"}
        },
        ncyBreadcrumb: {
          label: "{{selection.item.name}} Status"
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.pools");
app.controller("PoolsAddCtrl", function ($scope, $state, $stateParams, poolsService) {
  $scope.pool = {
    options: { type: "lvm" },
    name: "",
    disks: [parseInt($stateParams.diskId, 10)]
  };

  $scope.accordionOpen = {
    properties: true
  };

  var goToListView = function () {
    $state.go("pools");
  };

  $scope.submitAction = function (poolForm) {
    $scope.submitted = true;
    if (poolForm.$valid) {
      $scope.pool = poolsService.save($scope.pool, function () {
        goToListView();
      }, function () {
        $scope.poolForm.$submitted = false;
      });
    }
  };

  $scope.cancelAction = function () {
    goToListView();
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.pools");
app.controller("PoolsCtrl", function ($scope, $state, poolsService, tabViewService) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  $scope.tabData = {
    active: 0,
    tabs: {
      status: {
        show: "selection.item",
        state: "pools.detail.status",
        class: "tc_status_tab",
        name: "Status"
      },
      storage: {
        show: "selection.item.id",
        state: "pools.detail.storage",
        class: "tc_storage_tab",
        name: "Storage"
      },
      cephPool: {
        show: "selection.item.type.app_label === 'ceph'",
        state: "pools.detail.cephpool",
        class: "tc_ceph_pool_tab",
        name: "Ceph Pool"
      }
    }
  };
  $scope.tabConfig = {
    type: "pool",
    linkedBy: "id",
    jumpTo: "more"
  };
  tabViewService.setScope($scope);
  $scope.changeTab = tabViewService.changeTab;

  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    poolsService.filter({
      page: $scope.filterConfig.page + 1,
      pageSize: $scope.filterConfig.entries,
      search: $scope.filterConfig.search,
      ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
    })
        .$promise
        .then(function (res) {
          $scope.data = res;
        });
  }, true);

  $scope.$watch("selection.item", function (selitem) {
    if (selitem) {
      if ($state.current.name === "pools" ||
          $state.current.name === "pools.detail.cephpool" && selitem.type.app_label !== "ceph") {
        $scope.changeTab("pools.detail.status");
      } else {
        $scope.changeTab($state.current.name);
      }
    } else {
      $state.go("pools");
    }
  });

  $scope.$watchCollection("selection.item", function (item) {
    $scope.hasSelection = Boolean(item);
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.pools");
app.factory("poolsService", function ($resource) {
    return $resource(globalConfig.API.URL + "pools/:id", {
      id: "@id"
    }, {
      update: {method: "PUT"},
      query: {
        method: "GET",
        isArray: true,
        transformResponse: function (data) {
          return JSON.parse(data).results;
        }
      },
      storage: {
        method: "GET",
        url: globalConfig.API.URL + "pools/:id/storage"
      },
      filesystems: {
        method: "GET",
        url: globalConfig.API.URL + "pools/:id/filesystems"
      },
      filter: {
        method: "GET",
        url: globalConfig.API.URL + "pools"
      }
    });
  });
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.registry");
app.factory("registryService", function () {
  return {};
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.required");
app.directive("required", function ($document, $timeout) {
  return {
    restrict: "A",
    link: function (scope, element, attrs) {
      $timeout(function() {
        var labelNode = $document[0].body.querySelector("label[for='" + attrs.id + "']");
        if (labelNode) {
          var labelElement = angular.element(labelNode);
          labelElement.append("<span class=\"required\"> *</span>");
        }
      });
    }
  };
});

app.directive("ngRequired", function ($document, $timeout) {
  return {
    restrict: "A",
    link: function (scope, element, attrs) {
      $timeout(function() {
        var labelNode = $document[0].body.querySelector("label[for='" + attrs.id + "']");
        if (labelNode) {
          var labelElement = angular.element(labelNode);
          labelElement.append("<span class=\"required\"> *</span>");
        }
      });
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.storageTree");
app.controller("StorageTreeCtrl", function ($scope, storageTree) {
  $scope.$watch("selection.item", function (item) {
    if (item) {
      $scope.storageTree = storageTree;
    }
  });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.tabView");
/**
 * In order to use the directive correctly and well, you first have to set up your controller as explained in the
 * tabViewService. To use it in the template you just have to add the following:
 *
 *   <tab-view tab-data="tabData" tab-config="tabConfig" selection="selection"></tab-view>
 */
app.directive("tabView", function () {
  return {
    restrict: "E",
    scope: {
      tabData: "=",
      tabConfig: "=",
      selection: "=",
      super: "="
    },
    templateUrl: "components/tabView/templates/tabset.html",
    controller: function ($scope, tabViewService) {
      Object.keys($scope.tabData.tabs).forEach(function (tabName) {
        var tab = $scope.tabData.tabs[tabName];
        if (!tab.show) {
          tab.show = "true";
        }
        if (!tab.class) {
          tab.class = "";
        }
        if (!tab.state || !tab.name) {
          throw "Error wrong tab format in " + tab;
        }
      });
      tabViewService.setScope($scope);
      $scope.changeTab = tabViewService.changeTab;
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.tabView");
/**
 * You need to define some things in order to use it correctly and well, here is an short example and explanation
 * how to use it in a controller (look at the directive for an directive usage example):
 *
 *   $scope.tabData = {
 *      active: 0, // Can be left as it is.
 *      tabs: {
 *        <name for internal use>: {
 *          name: "<name of the tab>"
 *          state: "<state to link to>",
 *          show: "<condition (optional)>",
 *          class: "<css class for the tab (optional)>",
 *        },
 *        ...
 *      }
 *    };
 *   $scope.tabConfig = {
 *      type: "<route name for the state>",
 *      linkedBy: "<attribute child of $scope.selection.item>",
 *      jumpTo: "<css id of the content element>"
 *    };
 *   tabViewService.setScope($scope); // Update the internal scope.
 *   $scope.changeTab = tabViewService.changeTab; // Only get the definition the function.
 */
app.service("tabViewService", function ($state) {
  var scope = {};
  this.setScope = function ($scope) {
    scope = $scope;
  };
  this.changeTab = function (goHere, index) {
    if (angular.isUndefined(index)) {
      Object.keys(scope.tabData.tabs).some(function (tabName, i) {
        index = i;
        return scope.tabData.tabs[tabName].state === goHere;
      });
    }
    scope.tabData.active = index;
    // Make sure that the first object in the selection is an object.
    if (!angular.isArray(scope.selection.items) || !scope.selection.items.length ||
        !angular.isObject(scope.selection.items[0])) {
      return;
    }
    var stateJump = {};
    stateJump[scope.tabConfig.type] = scope.selection.items[0][scope.tabConfig.linkedBy];
    stateJump["#"] = scope.tabConfig.jumpTo;
    $state.go(goHere, stateJump);
  };
});


/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.taskQueue");
app.controller("TaskDeleteCtrl", function ($scope, taskQueueService, $uibModalInstance, taskSelection, $q,
    Notification) {
  $scope.tasks = angular.copy(taskSelection); //Now it can't be changed by a possible current asynchronous call.
  $scope.waiting = false;
  $scope.finishedTasks = 0;
  var pending = ["Running", "Not Started"];
  $scope.pendingDeletionFailure = [];

  $scope.input = {
    enteredName: "",
    pattern: "yes"
  };

  /**
   * To detect a pending task.
   * @return {boolean}
   */
  $scope.isPendingTask = function (task) {
    return pending.indexOf(task.status) > -1;
  };

  /**
   * Deletes all tasks sequentially.
   * Checks the status of all pending task just before the deletion, if
   * the task isn't running anymore at that point, it won't be deleted.
   * Updates how many tasks were processed and failed to delete so far.
   * If pending tasks are deleted and some of them won't be, the details
   * will be provided by the dialog.
   * The method calls it self recursively in order to process sequentially.
   * @param {iterator} entries - The iterator contains the remaining tasks.
   */
  $scope.deleteTasks = function (entries) {
    var taskEntry = entries.next().value;
    var task = {};
    if (taskEntry) {
      if (taskEntry[0] === 0) {
        $scope.waiting = true;
      }
      task = taskEntry[1];
      $scope.finishedTasks++;
      if ($scope.isPendingTask(task)) {
        taskQueueService.get({id: task.id})
          .$promise
          .then(function (res) {
            if ($scope.isPendingTask(res)) {
              $scope.taskDelete(task, entries);
            } else {
              $scope.pendingDeletionFailure.push([task, res]);
              $scope.deleteTasks(entries);
            }
          }, function () {
            $scope.deleteTasks(entries);
          });
      } else {
        $scope.taskDelete(task, entries);
      }
    } else {
      $scope.waiting = false;
      if ($scope.pendingDeletionFailure.length > 0) {
        Notification.warning({
          title: "Couldn't delete " + $scope.pendingDeletionFailure.length + " tasks",
          msg: "More details are shown in the dialog."
        });
      } else {
        $uibModalInstance.close("deleted");
      }
    }
  };

  /**
   * This will close the dialog, if there were moved tasks during deletion.
   */
  $scope.closeWithWarnings = function () {
    $uibModalInstance.close("Deleted without " + $scope.pendingDeletionFailure.length + " moved tasks.");
  };

  /**
   * This will delete a task and call deleteTask if successfully deleted the task.
   */
  $scope.taskDelete = function (task, entries) {
    taskQueueService.delete({id: task.id})
      .$promise
      .then(function () {
        $scope.deleteTasks(entries);
      }, function (error) {
        Notification.error({
          title: "Task deletion failure",
          msg: "Task " + task.description + "(" + task.id + ") couldn't be deleted.",
          timeout: 10000
        }, error);
        $scope.deleteTasks(entries);
      });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };
});


/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.taskQueue");
app.controller("TaskQueueModalCtrl", function ($scope, $uibModalInstance, $filter, $uibModal, $interval,
    taskQueueFetcher) {
  var refresh = true; // Will prevent auto refreshing if set to false.

  /* Variables for every tab. */
  $scope.pageSize = 50;

  $scope.search = "";
  $scope.searchModelOptions = {
    updateOn: "default blur",
    debounce: {
      "default": 500,
      "blur": 0
    }
  };

  /**
   * Describes and configures all displayed tabs and tables.
   */
  var defaultTab = {
    name: null,
    data: [],
    workingData: [],
    page: {
      current: 0,
      last: null,
      firstItem: 1,
      lastItem: null,
      itemLength: 0
    },
    pageData: [],
    states: null,
    count: -1,
    loaded: false,
    tableSort: {
      attribute: null,
      reverse: true
    },
    selection: {
      item: null,
      items: [],
      checkAll: false
    },
    tableColumns: []
  };
  $scope.tabs = {
    pending: angular.extend({}, angular.copy(defaultTab), {
      name: "Pending",
      states: ["Running", "Not Started"],
      tableSort: {
        attribute: "percent",
        reverse: true
      },
      tableColumns: [
        {
          name: "Name",
          attribute: "description",
          type: "text"
        },
        {
          name: "Created",
          attribute: "created",
          type: "date"
        },
        {
          name: "Complete",
          attribute: "percent",
          type: "percent"
        },
        {
          name: "Estimated",
          attribute: "approx",
          displayAttr: "approxFormat",
          type: "text"
        }
      ]
    }),
    failed: angular.extend({}, angular.copy(defaultTab), {
      name: "Failed",
      states: ["Exception", "Aborted"],
      tableSort: {
        attribute: "last_modified",
        reverse: true
      },
      tableColumns: [
        {
          name: "Name",
          type: "text",
          attribute: "description"
        },
        {
          name: "Reason",
          type: "text",
          attribute: "status"
        },
        {
          name: "Created",
          type: "date",
          attribute: "created"
        },
        {
          name: "Runtime",
          attribute: "approx",
          displayAttr: "approxFormat",
          type: "date"
        },
        {
          name: "Failed",
          type: "date",
          attribute: "last_modified"
        }
      ]
    }),
    finished: angular.extend({}, angular.copy(defaultTab), {
      name: "Finished",
      states: ["Finished"],
      tableSort: {
        attribute: "last_modified",
        reverse: true
      },
      tableColumns: [
        {
          name: "Name",
          type: "text",
          attribute: "description"
        },
        {
          name: "Created",
          type: "date",
          attribute: "created"
        },
        {
          name: "Runtime",
          attribute: "approx",
          displayAttr: "approxFormat",
          type: "date"
        },
        {
          name: "Finished",
          type: "date",
          attribute: "last_modified"
        }
      ]
    })
  };

  var firstLoad = true; // Needed to select a tab after the first load.
  $scope.tqf = taskQueueFetcher; // Added to scope for $watch.
  /**
   * Watches if the task queue fetcher is doing an update and it will select
   * the tab with the highest priority after the first load.
   */
  $scope.$watch("tqf.update", function (update, prev) {
    $scope.update = update;
    if (prev && !update && firstLoad && $scope.modalTabData) {
      firstLoad = false;
      $scope.selectUrgentTab();
    }
  });

  /**
   * Returns the data of the active tab.
   * @returns {object} - Data of active tab.
   */
  $scope.getActiveTab = function () {
    return $scope.tabs[Object.keys($scope.tabs)[$scope.modalTabData ? $scope.modalTabData.active : 0]];
  };

  /**
   * This will search and sort the tasks in a tab and set the current available
   * tasks for the tab.
   * After that it will update the selection and update or change the page.
   * @param {object} [tab] - Set the page content of this tab object.
   * @returns {object} the current or the given tab.
   */
  $scope.updateWorkingData = function (tab) {
    tab = tab || $scope.getActiveTab();
    var search = $scope.search.toLowerCase();
    tab.workingData = search === "" ? tab.data : tab.data.filter(function (e) {
        return e.description.toLowerCase().match(search);
      });
    tab.workingData = $filter("orderBy")(tab.workingData, [
      (tab.tableSort.reverse ? "-" : "+") + tab.tableSort.attribute,
      "-last_modified"
    ]);
    return $scope.pageChange($scope.updateCompleteSelection(tab));
  };

  /**
   * Sets all page content of the table.
   * The page content is retrieved by slicing it out of the workingData.
   * The needed pagination values are retrieved out of the workingData in
   * combination with the current page number and the entry size of each page.
   * @param {object} [tab] - Set the page content of this tab object.
   * @returns {object} the current or the given tab.
   */
  $scope.pageChange = function (tab) {
    tab = tab || $scope.getActiveTab();
    var page = tab.page;
    var pgSize = $scope.pageSize;
    page.itemLength = tab.workingData.length;
    page.last = Math.ceil(page.itemLength / pgSize, 0) || 1;
    page.firstItem = pgSize * page.current;
    page.lastItem = pgSize * (page.current + 1);
    if (page.lastItem > page.itemLength) {
      page.lastItem = page.itemLength;
    }
    tab.pageData = tab.workingData.slice(page.firstItem, page.lastItem);
    return tab;
  };

  /**
   * Updates the entry size of each page and the current page in the current tab.
   * After that it will update the page, through a page change.
   * @param {number} size - Sets the new entry size.
   */
  $scope.updateEntries = function (size) {
    $scope.pageSize = size;
    var tab = $scope.getActiveTab();
    tab.page.current = Math.ceil((tab.page.firstItem + 1) / size, 0);
    $scope.pageChange(tab);
  };

  /**
   * Updates the search value of each page, the search value will search
   * through the description of each task in the current tab.
   * After that it will update the working data.
   * @param {number} size - Sets the new entry size.
   */
  $scope.searchDescriptions = function (search) {
    $scope.search = search;
    $scope.updateWorkingData();
  };

  /**
   * Sets the new sorting attribute or changes the order of it if it's already
   * set.
   * After that it will update the working data.
   * @param {String} attribute
   */
  $scope.order = function (attribute) {
    var tab = $scope.getActiveTab();
    if (tab.tableSort.attribute === attribute) {
      tab.tableSort.reverse = !tab.tableSort.reverse;
    }
    tab.tableSort.attribute = attribute;
    $scope.updateWorkingData(tab);
  };

  /**
   * Sets the sorting classes of the attribute that the table is sorted by.
   * @param {String} attribute
   * @returns {string} - A string with the classes to set.
   */
  $scope.orderClass = function (attribute) {
    var tab = $scope.getActiveTab();
    var cssClass = "sorting";
    if (tab.tableSort.attribute === attribute) {
      cssClass = tab.tableSort.reverse ? "sorting_desc" : "sorting_asc";
    }
    return cssClass;
  };

  /**
   * Returns column data of a row. The attribute name can differ.
   * @param {object} attr
   * @param {object} data
   * @returns {*}
   */
  $scope.getColumnData = function (attr, data) {
    var attribute = attr.displayAttr || attr.attribute;
    return data[attribute];
  };

  /**
   * Checks if a specific row is selected or not.
   * @param {object} task
   * @returns {boolean} State of the selection.
   */
  $scope.isTaskSelected = function (task) {
    var tab = $scope.getActiveTab();
    return tab.selection.items.indexOf(task.id) !== -1;
  };

  /**
   * Filters the selection, if all selected tasks are still available.
   * with the left over selection and the given tab, the selection will be
   * updated and refreshed.
   * @param {object} tab
   * @returns {object} Updated tab object.
   */
  $scope.updateCompleteSelection = function (tab) {
    var data = tab.workingData.map($scope.getTaskId);
    var selection = tab.selection.items.filter(function (id) {
      return data.indexOf(id) !== -1;
    });
    return $scope.updateSelectedTasks(tab, selection);
  };

  /**
   * Returns the id of a task.
   * @param {object} task
   * @return {number} Id of task.
   */
  $scope.getTaskId = function (task) {
    return task.id;
  };

  /**
   * Refreshes and updates the selection in the given tab with the given selection.
   * It will also validate if the check all checkbox has to be activated.
   * @param {object} tab
   * @param {numbers[]} selection
   * @returns {object} Updated tab object.
   */
  $scope.updateSelectedTasks = function (tab, selection) {
    tab.selection.checkAll = selection.length === tab.workingData.length;
    tab.selection.item = selection.length === 1 ? $scope.getTaskFromId(tab, selection[0]) : null;
    tab.selection.items = selection;
    tab.loaded = true;
    return tab;
  };

  /**
   * Updates the selection in various ways.
   * It deselects from selection, appends to selection and sets a new selection.
   * Multiple selections can be achieved by holding down shift on your click on
   * a row or append tasks separately by holding ctrl down while clicking on a
   * row or trough clicking into a checkbox. You can remove selections the same
   * way the difference is that holding ctrl down isn't necessary, while
   * clicking on a selected row
   * @param {object} task
   * @param {event} $event
   */
  $scope.toggleTaskSelection = function (task, $event) {
    var tab = $scope.getActiveTab();
    var items = tab.selection.items;
    var exists = items.indexOf(task.id);
    var sorted = [];
    var iPrev = 0;
    var iNow = 0;
    var newItems = [];
    if (!$event.shiftKey) {
      if (exists !== -1) {
        items.splice(exists, 1);
      } else if ($event.ctrlKey || $event.target.tagName === "INPUT") {
        items.push(task.id);
      } else {
        items = [task.id];
      }
    } else {
      sorted = angular.copy(tab.workingData).map($scope.getTaskId);
      iPrev = sorted.indexOf(items[items.length - 1]);
      iNow = sorted.indexOf(task.id);
      newItems = iPrev < iNow ? sorted.slice(iPrev + 1, iNow + 1) : sorted.slice(iNow, iPrev);
      newItems.forEach(function (id) {
        exists = items.indexOf(id);
        if (exists !== -1) {
          items.splice(exists, 1);
        } else {
          items.push(id);
        }
      });
    }
    $scope.updateSelectedTasks(tab, items);
  };

  /**
   * Select all task in the table or none depends of what state is checked.
   */
  $scope.checkAllTasks = function () {
    var tab = $scope.getActiveTab();
    tab.selection.items = tab.selection.checkAll ?
      tab.workingData.map($scope.getTaskId) : [];
  };

  /**
   * Closes the task queue modal dialog.
   */
  $scope.closeTaskQueue = function () {
    $uibModalInstance.dismiss("close");
  };

  /**
   * Counts all tasks in the tabs and adds all tasks to the active tab.
   * @param {String} tabKey - Attribute of the tab.
   * @param {object} allTasks - Holds all old and new tasks.
   */
  $scope.loadTabTasks = function (tabKey, allTasks) {
    var tasks = allTasks.tasks;
    var tab = $scope.tabs[tabKey];
    var activeTab = $scope.modalTabData && tabKey === Object.keys($scope.tabs)[$scope.modalTabData.active];
    tab.tempCount = 0;
    tab.tempData = [];
    tab.states.forEach(function (state) {
      var current = tasks[state];
      tab.tempCount += current.length;
      if (activeTab) {
        if (state === "Running") {
          current.forEach($scope.calcApprox);
        } else if (["Exception", "Aborted", "Finished"].indexOf(state) !== -1) {
          current.forEach($scope.calcRuntime);
        }
        tab.tempData = tab.tempData.concat(current);
      }
    });
    tab.count = tab.tempCount;
    if (activeTab) {
      tab.data = tab.tempData;
      $scope.tabs[tabKey] = $scope.updateWorkingData(tab);
    }
    $scope.tabs[tabKey] = tab;
    $scope.reloadTaskIn(globalConfig.GUI.defaultTaskReloadTime);
  };

  /**
   * Calculates the time between to dates, with different preciseness.
   * @param {Date} first - The older Date.
   * @param {Date} last - The newer Date.
   * @param {boolean} precise - Should the calculation be precise?
   * @return {Object[]} - Diff Date and time String.
   */
  $scope.timeBetween = function (first, last, precise) {
    var approx = new Date(last.getTime() - first.getTime());
    var days = approx.getDate() - 1;
    var h = approx.getHours() - 1;
    var m = approx.getMinutes();
    var approxFormat = (days > 0) ? days + "d " : "";
    approxFormat += (h > 0) ? h + "h " : "";
    if (!precise) {
      approxFormat += (approxFormat !== "" || m > 0) ? m + "m" : "< 1m";
    } else {
      approxFormat += (m > 0) ? m + "m " : "";
      var s = approx.getSeconds();
      approxFormat += (s > 0) ? s + "s" : "";
    }
    return {
      approx: approx,
      approxFormat: approxFormat
    };
  };

  /**
   * Appends the calculation of the precise runtime to a finished or failed task.
   * @param {Object} task
   * @param {Number} index
   * @param {[]} arr
   */
  $scope.calcRuntime = function (task, index, arr) {
    task.created = new Date(task.created);
    task.last_modified = new Date(task.last_modified);
    arr[index] = angular.merge({}, task, $scope.timeBetween(task.created, task.last_modified, true));
  };

  /**
   * Appends the calculation of the estimated left runtime to a running task.
   * @param {Object} task
   * @param {Number} index
   * @param {[]} arr
   */
  $scope.calcApprox = function (task, index, arr) {
    if (task.estimated !== null) {
      task.last_modified = new Date(task.last_modified);
      task.estimated = new Date(task.estimated);
      arr[index] = angular.merge({}, task, $scope.timeBetween(task.last_modified, task.estimated));
    } else {
      task.approxFormat = "NA";
    }
  };

  /**
   * Gets task object to the given id.
   * @param {Object} tab - Active tab data.
   * @param {Number} id - Task id.
   * @return {Object} Task object.
   */
  $scope.getTaskFromId = function (tab, id) {
    return tab.data.filter(function (item) {
      return item.id === id;
    })[0];
  };

  /**
   * Opens a modal dialog to delete the selected tasks.
   * Stops refresh till the dialog closes.
   */
  $scope.taskDeleteAction = function () {
    var tab = $scope.getActiveTab();
    var items = tab.selection.items;
    var modalInstance = {};
    if (items.length === 0) {
      return;
    }
    modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/taskQueue/templates/task-deletion.html",
      controller: "TaskDeleteCtrl",
      resolve: {
        taskSelection: function () {
          return items.map(function (id) {
            return $scope.getTaskFromId(tab, id);
          });
        }
      }
    });
    modalInstance.opened.then(function () {
      refresh = false;
      $interval.cancel($scope.timeout);
    });
    modalInstance.closed.then(function () {
      refresh = true;
      $scope.loadAllTabs(true);
    });
  };

  /**
   * Triggers a refresh over all tabs, but only if there are no pending requests
   * and no selection of a task.
   * @param {Boolean} force - If set a reload will be forced even if there is a
   *   selection.
   */
  $scope.loadAllTabs = function (force) {
    var tab = $scope.getActiveTab();
    var items = tab.selection.items;
    if (!refresh || !force && items.length > 0) {
      $scope.reloadTaskIn(globalConfig.GUI.defaultTaskReloadTime);
      return;
    }
    taskQueueFetcher.loadOverview().then(function (allTasks) {
      Object.keys($scope.tabs).forEach(function (tabKey) {
        $scope.loadTabTasks(tabKey, allTasks);
      });
    });
  };

  /**
   * Selects the tab with tasks and the highest priority.
   * This function will only called once.
   * Priority:
   * 1. Failed
   * 2. Pending
   * 3. Finished
   */
  $scope.selectUrgentTab = function () {
    var setActive = 0;
    if ($scope.tabs.failed.count > 0) {
      setActive = 1;
    } else if ($scope.tabs.pending.count === 0 &&
        $scope.tabs.finished.count > 0) {
      setActive = 2;
    }
    $scope.modalTabData.active = setActive;
  };

  /**
   * Stops old timeout if any and sets a new time out which will be triggered
   * in "time" seconds.
   * @param {Number} time - Number represents seconds.
   */
  $scope.reloadTaskIn = function (time) {
    if ($scope.timeout) {
      $interval.cancel($scope.timeout);
    }
    $scope.timeout = $interval(function () {
      $scope.loadAllTabs();
    }, time, 1);
  };

  /**
   * Triggers instant table update on tab change.
   */
  $scope.$watch("modalTabData.active", function (tabNew, tabOld) {
    if (tabOld !== null && tabNew !== null) {
      $scope.loadAllTabs(true);
    }
  });

  /**
   * Adds a watch for each tab to watch it's page number, in order to change the
   * page if it does.
   */
  angular.forEach($scope.tabs, function (tab, key) {
    $scope.$watch("tabs." + key + ".page.current", function (pgNr) {
      $scope.tabs[key].page.current = pgNr;
      $scope.pageChange();
    });
  });

  /**
   * Triggers instant table update when the modal dialog is fully opened..
   */
  $uibModalInstance.opened.then(function () {
    $scope.loadAllTabs();
  });

  /**
   * Cancels any refresh call, when the dialog is closed.
   */
  $uibModalInstance.closed.then(function () {
    $interval.cancel($scope.timeout);
  });
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.taskQueue");
app.directive("oaTaskQueue", function () {
  return {
    restrict: "A",
    templateUrl: "components/taskQueue/templates/oa-task-queue-directive.html",
    controller: function ($scope, Notification, $uibModal, $interval, taskQueueFetcher) {
      $scope.taskOverview = {
        firstUpdate: true,
        avr: 0,
        queue: 0,
        icon: "fa-hourglass-o",
        percent: 0,
        tooltip: "No tasks running."
      };
      var refresh = true;

      /**
       * Update all needed parts.
       *
       * Hourglass update:
       * The hourglass has four different states which will be set according to
       * the percentage of all running tasks in relation to their count. If
       * there are failed task a warn symbol will be present instead of the
       * hourglass.
       *
       * Tooltip update:
       * The tooltip shows the average percent done over all running tasks.
       *
       * If toasties are needed:
       * Toasties are created if there is a change between the finalized tasks
       * from the last and the current task update.
       */
      $scope.updateTaskOverview = function () {
        if (!refresh) {
          return;
        }
        taskQueueFetcher.loadOverview().then(function (allTasks) {
          var ov = $scope.taskOverview;
          var tasks = allTasks.tasks;
          ov.percent = 0;
          tasks.Running.forEach(function (task) {
            ov.percent += task.percent;
          });
          ov.queue = tasks.Running.length + tasks["Not Started"].length;
          ov.avr = ov.queue !== 0 ? ov.percent / ov.queue : 0;
          ov.icons = ["fa-hourglass-o", "fa-hourglass-start", "fa-hourglass-half", "fa-hourglass-end"];
          ov.icon = ov.queue !== 0 ? ov.icons[Math.floor(ov.avr / 30) + 1] : ov.icons[0];
          ov.tooltip = ov.queue === 0 ? "No tasks running" : parseInt(ov.avr, 10) + "% done in average";
          if (ov.firstUpdate) {
            ov.firstUpdate = false;
          } else {
            $scope.createNeededToasties(allTasks);
          }
          $scope.taskOverview = ov;
          ov.failed = tasks.Exception.length + tasks.Aborted.length;
          if (ov.failed) {
            ov.icon = "fa-warning icon-warning";
          }
          $scope.taskTimeout = $interval($scope.updateTaskOverview, globalConfig.GUI.defaultTaskReloadTime, 1);
        });
      };

      /**
       * One notification for each state is created if one or more tasks changed to
       * final state.
       * The notification will sum up all tasks that changed to this state. At max
       * there will be three notifications.
       * @param {Object} allTasks
       * @param {Object[]} allTasks.tasks[<status>]
       */
      $scope.createNeededToasties = function (allTasks) {
        var moved = $scope.getNewFinalTasks(allTasks); //id's
        var tasks = allTasks.tasks;
        if (moved.length !== 0) {
          var categories = {
            Finished: {
              tasks: [],
              toastType: "success"
            },
            Aborted: {
              tasks: [],
              toastType: "warning"
            },
            Exception: {
              tasks: [],
              toastType: "error"
            }
          };
          Object.keys(tasks).forEach(function (state) {
            tasks[state].forEach(function (task) {
              if (moved.indexOf(task.id) !== -1) {
                categories[task.status].tasks.push(task);
              }
            });
          });
          angular.forEach(categories, function (category, status) {
            if (category.tasks.length > 0 && category.toastType !== "success") {
              Notification[category.toastType]({
                title: status,
                msg: category.tasks.map(function (task) {
                  return task.description;
                }).join("<br>")
              });
            }
          });
        }
      };

      /**
       * Find out which tasks changed to a final state, by comparing the previous and the current fetched tasks.
       * @returns {Array} - Containing all changed task ids.
       */
      $scope.getNewFinalTasks = function (allTasks) {
        var older = allTasks.oldTasks;
        var newer = allTasks.tasks;
        var oldIds = [];
        var newIds = [];
        ["Exception", "Aborted", "Finished"].forEach(function (state) {
          if (older[state].length !== newer[state].length) {
            older[state].forEach(function (task) {
              oldIds.push(task.id);
            });
            newer[state].forEach(function (task) {
              newIds.push(task.id);
            });
          }
        });
        return newIds.filter(function (id) {
          return oldIds.indexOf(id) === -1;
        });
      };

      /**
       * Opens task queue dialog, stops the refresh timeout and refreshes on close.
       */
      $scope.runnersDialog = function () {
        var taskDialog = $uibModal.open({
          windowTemplateUrl: "templates/messagebox.html",
          templateUrl: "components/taskQueue/templates/task-queue-dialog.html",
          controller: "TaskQueueModalCtrl",
          size: "lg",
          animation: false
        });
        taskDialog.opened.then(function () {
          refresh = false;
          $interval.cancel($scope.taskTimeout);
        });
        taskDialog.closed.then(function () {
          refresh = true;
          $scope.updateTaskOverview();
        });
      };

      // Initial load.
      $scope.updateTaskOverview();
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.taskQueue");
app.service("taskQueueFetcher", function ($http, $interval, taskQueueService, $rootScope, $q) {
  this.taskTimeout = {};
  this.tasks = {
    "Running": [],
    "Not Started": [],
    "Exception": [],
    "Aborted": [],
    "Finished": []
  };
  this.oldTasks = {};
  this.deferredOverview = {};
  this.update = false;

  /**
   * Loads all tasks and copies the last loaded tasks to oldTasks.
   * @returns <promise>
   */
  this.loadOverview = function () {
    if (self.update === false) {
      self.deferredOverview = $q.defer();
      self.update = true;
    }
    if ($http.pendingRequests.length > 0 || !$rootScope.user) {
      self.taskTimeout = $interval(self.loadOverview, 50, 1);
      return self.deferredOverview.promise;
    }
    angular.copy(self.tasks, self.oldTasks);
    Object.keys(self.tasks).forEach(function (state) {
      self.tasks[state] = [];
    });
    self.loadAllTasks().then(function (res) {
      self.deferredOverview.resolve(res);
      self.update = false;
    });
    return self.deferredOverview.promise;
  };

  /**
   * Loads all tasks.
   * @returns <promise>
   */
  this.loadAllTasks = function (pgnum, loading) {
    if (angular.isUndefined(loading)) {
      loading = $q.defer();
    }
    if (angular.isUndefined(pgnum)) {
      pgnum = 1;
    }
    taskQueueService.get({
      pageSize: 100,
      page: pgnum
    })
      .$promise
      .then(function (res) {
        res.results.forEach(function (task) {
          self.tasks[task.status].push(task);
        });
        if (res.next !== null) {
          self.loadAllTasks(++pgnum, loading);
        } else {
          loading.resolve({
            tasks: self.tasks,
            oldTasks: self.oldTasks
          });
        }
      });
    return loading.promise;
  };

  var self = this;
});


/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.taskQueue");
app.factory("taskQueueService", function ($resource) {
  return $resource(globalConfig.API.URL + "taskqueue/:id", {
    id: "@id"
  });
});


/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.todowidget");
app.directive("todowidget", function () {
  return {
    restrict: "A",
    scope: true,
    replace: true,
    templateUrl:"components/todoWidget/templates/todo.html",
    controller: function ($scope) {
      $scope.todos = (localStorage.getItem("todos") !== null) ? JSON.parse(localStorage.getItem("todos")) :
      [{
        text: "Create Volume",
        done: false,
        link: "volumes-add"
      }, {
        text: "Task 2",
        done: false,
        link: "volumes-add"
      }, {
        text: "Task 3",
        done: false,
        link: "volumes-add"
      }];

      //TODO: add disks- and pools link later on

      localStorage.setItem("todos", JSON.stringify($scope.todos));
      $scope.saveCheck = function () {
        localStorage.setItem("todos", JSON.stringify($scope.todos));
      };

      $scope.getTotalTodos = function () {
        return $scope.todos.length;
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.userinfo");
app.directive("userinfo", function () {
  return {
    restrict: "A",
    templateUrl: "components/userinfo/templates/userinfo.html",
    controller: function ($rootScope, usersService) {
      usersService.current()
      .$promise
      .then(function (res) {
        $rootScope.user = res;
      })
      .catch(function (error) {
        error.ignoreStatusCode(401);
      });
    }
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.users");
app.config(function ($stateProvider) {
  $stateProvider
      .state("users", {
        url: "/users",
        views: {
          "main": {
            templateUrl: "components/users/templates/users.html",
            controller : "UsersCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Users"
        }
      })
      .state("users-add", {
        url: "/users/add",
        views: {
          "main": {
            templateUrl: "components/users/templates/add-edit-user.html",
            controller : "UsersAddEditCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Add",
          parent: "users"
        }
      })
      .state("users-edit", {
        url: "/users/edit/:user",
        views: {
          "main": {
            templateUrl: "components/users/templates/add-edit-user.html",
            controller : "UsersAddEditCtrl"
          }
        },
        ncyBreadcrumb: {
          label: "Edit {{user.username}}",
          parent: "users"
        }
      });
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.users");
app.controller("UsersAddEditCtrl", function ($scope, $state, $stateParams, usersService, $filter, $uibModal, $q,
    Notification) {
  var promises = [];

  $scope.isCurrentUser = false;

  var goToListView = function () {
    $state.go("users");
  };

  if (!$stateParams.user) {
    $scope.editing = false;
    $scope.user = {
      "username": "",
      "email": "",
      "password": "",
      "first_name": "",
      "last_name": "",
      "is_active": false,
      "is_superuser": false,
      "is_staff": false
    };

    $scope.submitAction = function (userForm) {
      $scope.submitted = true;
      if (userForm.$valid === true) {
        usersService.save($scope.user)
            .$promise
            .then(function () {
              goToListView();
            }, function () {
              $scope.userForm.$submitted = false;
            });
      }
    };
  } else {
    $scope.editing = true;

    promises.push(
        usersService.current().$promise
    );
    promises.push(
        usersService.get({id: $stateParams.user}).$promise
    );

    // Use $q.all to wait until all promises have been resolved
    $q.all(promises)
        .then(function (res) {
          if (res[0].id === Number($stateParams.user)) {
            $scope.isCurrentUser = true;
          }
          $scope.user = res[1];
        });

    $scope.submitAction = function (userForm) {
      $scope.submitted = true;
      if (userForm.$valid === true) {
        usersService.update({id: $scope.user.id}, $scope.user)
            .$promise
            .then(function () {
              goToListView();
            }, function () {
              $scope.userForm.$submitted = false;
            });
      }
    };

    $scope.generateAuthToken = function () {
      var modalInstance = $uibModal.open({
        windowTemplateUrl: "templates/messagebox.html",
        templateUrl: "components/users/templates/generate-auth-token.html",
        controller: "UsersModalCtrl",
        resolve: {
          user: function () {
            return $scope.user;
          }
        }
      });
      modalInstance.result.then(function (token) {
        // Display the new token.
        $scope.user.auth_token.token = token;
        // Display a message.
        Notification.success({
          title: "API authentication token",
          msg: "The token has been created successfully."
        });
      });
    };
  }

  $scope.cancelAction = function () {
    goToListView();
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.users");
app.controller("UsersCtrl", function ($scope, $state, usersService, $uibModal) {
  $scope.data = {};

  $scope.filterConfig = {
    page: 0,
    entries: null,
    search: "",
    sortfield: null,
    sortorder: null
  };

  $scope.selection = {};

  $scope.$watch("filterConfig", function (newVal) {
    if (newVal.entries === null) {
      return;
    }
    usersService.filter({
      page: $scope.filterConfig.page + 1,
      pageSize: $scope.filterConfig.entries,
      search: $scope.filterConfig.search,
      ordering: ($scope.filterConfig.sortorder === "ASC" ? "" : "-") + $scope.filterConfig.sortfield
    })
        .$promise
        .then(function (res) {
          $scope.data = res;
        });
  }, true);

  $scope.$watchCollection("selection.item", function (item) {
    $scope.hasSelection = Boolean(item);
  });

  $scope.addAction = function () {
    $state.go("users-add");
  };

  $scope.editAction = function () {
    $state.go("users-edit", {user: $scope.selection.item.id});
  };

  $scope.deleteAction = function () {
    var modalInstance = $uibModal.open({
      windowTemplateUrl: "templates/messagebox.html",
      templateUrl: "components/users/templates/delete-user.html",
      controller: "UsersDeleteCtrl",
      resolve: {
        user: function () {
          return $scope.selection.item;
        }
      }
    });
    modalInstance.result.then(function () {
      $scope.filterConfig.refresh = new Date();
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.users");
app.controller("UsersDeleteCtrl", function ($scope, usersService, $uibModalInstance, user, Notification) {
  $scope.user = user;

  $scope.delete = function () {
    usersService.delete({id: $scope.user.id})
        .$promise
        .then(function () {
          $uibModalInstance.close("deleted");
        }, function () {
          $scope.deleteForm.$submitted = false;
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");

    Notification.warning({
      title: "Delete user",
      msg: "Cancelled"
    });
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.users");
app.controller("UsersModalCtrl", function ($scope, usersService, $uibModalInstance, user) {
  $scope.user = user;

  $scope.generateAuthToken = function () {
    usersService.generateAuthToken({id: $scope.user.id})
        .$promise
        .then(function (res) {
          $uibModalInstance.close(res.auth_token.token);
        });
  };

  $scope.cancel = function () {
    $uibModalInstance.dismiss("cancel");
  };
});

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.users");
app.factory("usersService", function ($resource) {
  return $resource(globalConfig.API.URL + "users/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    },
    filter: {
      method: "GET"
    },
    current: {
      method: "GET",
      url: globalConfig.API.URL + "users/current"
    },
    generateAuthToken: {
      method: "POST",
      url: globalConfig.API.URL + "users/:id/gen_new_token"
    }
  });
});


/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (c) 2016 SUSE LLC
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

angular.module("openattic.extensions", []);

/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.extensions");
app.directive("cephPoolAttributesEditor", function () {
  return {
    restrict: "E",
    templateUrl: "extensions/ceph_pool_attributes_editor/templates/editor.html"
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.extensions");
app.directive("cephCrushMapEditor", function () {
  return {
    restrict: "E",
    templateUrl: "extensions/crushmap_editor/templates/editor.html",
    controller: function ($scope, $timeout, ClusterResource, Notification) {
      $scope.query = function () {
        $scope.clusters = ClusterResource.query(function (clusters) {
          $scope.cluster = clusters[0];
          $scope.usableTypes = $scope.cluster.crushmap.crushmap.types.filter(function (btype) {
            return btype.type_id > 1; // *users* aren't supposed to add hosts or OSDs
          });
        });
      };
      $scope.query();

      $scope.activate = function () {
        ClusterResource.update({id: $scope.cluster.id}, {crushmap: $scope.cluster.crushmap.crushmap});
      };

      $scope.setActiveRuleset = function (activeRuleset) {
        $scope.activeRuleset = activeRuleset;
      };
      $scope.setActiveRuleset(null);

      $scope.repsize = 3;

      $scope.findNodeByName = function (name) {
        var node = null;
        var iterfn = function (item) {
          if (item.name === name) {
            node = item;
          } else {
            item.items.map(iterfn);
          }
        };
        $scope.cluster.crushmap.crushmap.buckets.map(iterfn);
        return node;
      };
      $scope.findTypeByName = function (name) {
        return $scope.cluster.crushmap.crushmap.types.find(function (item) {
          return item.name === name;
        });
      };

      $scope.$watch("repsize", function (repsize) {
        if ($scope.activeRuleset) {
          if (repsize < $scope.activeRuleset.min_size) {
            $scope.repsize = $scope.activeRuleset.min_size;
          }
          if (repsize > $scope.activeRuleset.max_size) {
            $scope.repsize = $scope.activeRuleset.max_size;
          }
        }
      });

      var rerenderNodes = function () {
        // deep watcher that keeps track of min/max sanity etc
        var resetNodes;
        var renderNodes;
        var rendersteps;
        var s;
        var step;
        var stepset;
        var prevStepCount;
        var activeRuleset = $scope.activeRuleset;
        if (!$scope.cluster) {
          return;
        }
        $scope.repsize = 3;
        $scope.stepsets = [];
        if (activeRuleset) {
          // Force sensible min/max
          if (activeRuleset.min_size < 1) {
            activeRuleset.min_size = 1;
          }
          if (activeRuleset.max_size < activeRuleset.min_size) {
            activeRuleset.max_size = activeRuleset.min_size;
          }
          // Try to keep the repsize to 3 if the ruleset allows it
          if (activeRuleset.min_size <= 3 && 3 <= activeRuleset.max_size) {
            $scope.repsize = 3;
          } else if (activeRuleset.min_size <= 2 && 2 <= activeRuleset.max_size) {
            // It does not. Try 2...
            $scope.repsize = 2;
          } else {
            // Seems we'll just have to use whatever the minimum is then :(
            $scope.repsize = activeRuleset.min_size;
          }
          // Split the steps into stepsets, where each describes steps from "take" to "emit".
          for (s = 0; s < activeRuleset.steps.length; s++) {
            step = activeRuleset.steps[s];
            if (step.op === "take") {
              stepset = {};
              stepset.take = $scope.findNodeByName(step.item_name);
            } else if (step.op === "choose_firstn") {
              stepset.groupbytype = $scope.findTypeByName(step.type);
            } else if (step.op === "chooseleaf_firstn") {
              stepset.acrosstype = $scope.findTypeByName(step.type);
              stepset.num = step.num;
              stepset.replicas = $scope.getRealNum(stepset);
            } else if (step.op === "emit") {
              $scope.stepsets.push(stepset);
            }
          }
        }
        resetNodes = function (nodes) {
          var i;
          var node;
          for (i = 0; i < nodes.length; i++) {
            node = nodes[i];
            node.isRootNode = false;
            node.isBelowRootNode = false;
            node.isSelectorNode = false;
            node.nextStep = null;
            resetNodes(node.items);
          }
        };
        renderNodes = function (steps, nodes, isBelowRootNode) {
          var i;
          var node;
          var substeps;

          for (i = 0; i < nodes.length; i++) {
            substeps = steps;
            node = nodes[i];

            if (steps[0].op === "take") {
              if (steps[0].item === node.id) {
                node.isRootNode = true;
                isBelowRootNode = true;
                node.nextStep = steps[1];
                steps.shift();
              }
            } else if (steps[0].op === "choose_firstn" || steps[0].op === "chooseleaf_firstn") {
              node.isBelowRootNode = isBelowRootNode;
              if (steps[0].type === node.type_name) {
                node.isSelectorNode = true;
                node.nextStep = steps[1];
                substeps = steps.slice();
                substeps.shift();
              }
            }
            if (node.items.length > 0) {
              renderNodes(substeps, node.items, isBelowRootNode);
            }
            if (node.isRootNode) {
              while (steps.length > 0 && steps[0].op !== "take") {
                steps.shift();
              }
            }
            if (steps.length === 0) {
              return;
            }
          }
        };

        rendersteps = (activeRuleset ? activeRuleset.steps.slice() : []);
        resetNodes($scope.cluster.crushmap.crushmap.buckets);
        while (rendersteps.length > 0) {
          prevStepCount = rendersteps.length;
          renderNodes(rendersteps, $scope.cluster.crushmap.crushmap.buckets, false);
          if (rendersteps.length >= prevStepCount) {
            // Safety measure: renderNodes should consume a coupl'a steps. If it
            // didn't, something seems to be wrong.
            throw "The CRUSH map renderer seems unable to render this CRUSH map ruleset.";
          }
        }
      };
      $scope.$watch("activeRuleset", rerenderNodes, true);

      $scope.treeOptions = {
        accept: function (sourceNodeScope, destNodesScope) {
          if (!destNodesScope.$parent.$modelValue) {
            return true; // moved to the root level
          }
          // If there are any other nodes in the destination, only accept if their types match ours
          for (var i = 0; i < destNodesScope.$modelValue.length; i++) {
            if (destNodesScope.$modelValue[i].type_id !== sourceNodeScope.$modelValue.type_id) {
              return false;
            }
          }
          // Now make sure we put racks in datacenters and not vice versa
          return sourceNodeScope.$modelValue.type_id < destNodesScope.$parent.$modelValue.type_id;
        },
        beforeDrag: function (sourceNodeScope) {
          // ok, so beforeDrag gets fired once for the node clicked, and if that returns
          // false, it gets fired AGAIN for each parent node right up to the root.
          // So, if we're supposed to find a new "take" node, defer setting
          // edittakenode to false by 25 ms, so we can return false for ALL tree nodes,
          // and then only execute the first update (otherwise we'd choose the root
          // node instead of the one that has actually been clicked).
          if ($scope.edittakenode) {
            $timeout(function () {
              if ($scope.edittakenode) {
                $scope.newstepset.take = sourceNodeScope.$modelValue;
                $scope.edittakenode = false;
              }
            }, 25);
            return false;
          }
          return true;
        },
        dropped: function () {
          rerenderNodes();
        }
      };

      $scope.getRealNum = function (step) {
        if (!step) {
          return;
        }
        if (step.num <= 0) {
          return {
            min: $scope.activeRuleset.min_size + step.num,
            max: $scope.activeRuleset.max_size + step.num
          };
        }
        return {
          min: step.num
        };
      };

      $scope.addBucket = function (btype) {
        $scope.cluster.crushmap.crushmap.buckets.unshift({
          $editing: true,
          id: new Date().toJSON(),
          alg: "straw",
          hash: "rjenkins",
          items: [],
          name: "New " + btype.name,
          type_id: btype.type_id,
          type_name: btype.name,
          weight: 0
        });
      };

      $scope.deleteBucket = function (bucket) {
        // See if there are any hosts in the bucket's subtree
        var hasHosts = false;
        var iterfn = function (item) {
          if (item.type_id <= 1) {
            hasHosts = true;
          } else {
            item.items.map(iterfn);
          }
        };
        bucket.items.map(iterfn);
        if (hasHosts) {
          Notification.warning({
            title: "Bucket is not empty",
            msg: "The " + bucket.name + " " + (bucket.type_name === "root" ? "tree" : bucket.type_name) +
                 " still contains some hosts. Please move the hosts away first.",
            timeout: 6000
          });
        } else {
          iterfn = function (items) {
            var matches = items.filter(function (subitem) {
              return subitem.id === bucket.id;
            });
            if (matches.length > 0) {
              items.splice(items.indexOf(matches[0]), 1);
            } else {
              items.map(function (subitem) {
                iterfn(subitem.items);
              });
            }
          };
          iterfn($scope.cluster.crushmap.crushmap.buckets);
        }
      };

      $scope.addRuleset = function () {
        $scope.cluster.crushmap.crushmap.rules.push({
          type: 1,
          max_size: 5,
          min_size: 3,
          rule_id: new Date().toJSON(),
          rule_name: "New Rule",
          ruleset: new Date().toJSON(),
          steps: [{
            op: "take",
            item: -1,
            item_name: "default"
          }, {
            op: "chooseleaf_firstn",
            num: 0,
            type: "host"
          }, {
            op: "emit"
          }]
        });
      };

      $scope.addStepset = function () {
        $scope.stepsets.push({
          take: $scope.findNodeByName("default"),
          acrosstype: $scope.findTypeByName("host"),
          num: 0
        });
      };

      $scope.deleteRuleset = function (ruleset) {
        $scope.cluster.crushmap.crushmap.rules.splice($scope.cluster.crushmap.crushmap.rules.indexOf(ruleset), 1);
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic.extensions");
app.directive("cephCrushStepset", function () {
  return {
    restrict: "E",
    templateUrl: "extensions/crushmap_editor/templates/crushStepset.html",
    scope: {
      "stepset": "=",
      "rule": "=",
      "cluster": "="
    },
    controller: function ($scope) {
      if ($scope.stepset.num === 0) {
        $scope.replicas_source = "fix";
        $scope.replicas_pos = 1;
        $scope.replicas_neg = 1;
      } else if ($scope.stepset.num < 0) {
        $scope.replicas_source = "neg";
        $scope.replicas_pos = -$scope.stepset.num;
        $scope.replicas_neg = -$scope.stepset.num;
      } else {
        $scope.replicas_source = "pos";
        $scope.replicas_pos = $scope.stepset.num;
        $scope.replicas_neg = $scope.stepset.num;
      }

      $scope.$watchGroup(["replicas_source", "replicas_pos", "replicas_neg"], function () {
        if ($scope.replicas_source === "fix") {
          $scope.stepset.num = 0;
        } else if ($scope.replicas_source === "pos") {
          $scope.stepset.num = $scope.replicas_pos;
        } else if ($scope.replicas_source === "neg") {
          $scope.stepset.num = -$scope.replicas_neg;
        }
      });

      $scope.getRealNum = function (step) {
        if (!step) {
          return;
        }
        if (step.num <= 0) {
          return {
            min: $scope.rule.min_size + step.num,
            max: $scope.rule.max_size + step.num
          };
        }
        return {
          min: step.num
        };
      };
    }
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.filter("humanizeRuleNum", function (humanizeIntFilter) {
  var getRealNum = function (activeRuleset, step) {
    if (!step) {
      return;
    }
    if (step.num <= 0) {
      return {
        min: activeRuleset.min_size + step.num,
        max: activeRuleset.max_size + step.num
      };
    }

    return { min: step.num };
  };

  return function (inp, activeRuleset) {
    if (!inp || !activeRuleset) {
      return "";
    }
    var num = getRealNum(activeRuleset, inp);
    var ret = humanizeIntFilter(num.min);
    if (num.min === 0 && num.max > 0) {
      // if num is 0 but max is > 0, say "up to x" instead of "no to x"
      ret = "up";
    }
    if (num.max && num.min !== num.max) {
      ret += " to " + humanizeIntFilter(num.max);
    }
    return ret;
  };
});
/**
 *
 * @source: http://bitbucket.org/openattic/openattic
 *
 * @licstart  The following is the entire license notice for the
 *  JavaScript code in this page.
 *
 * Copyright (C) 2011-2016, it-novum GmbH <community@openattic.org>
 *
 *
 * The JavaScript code in this page is free software: you can
 * redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software
 * Foundation; version 2.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * As additional permission under GNU GPL version 2 section 3, you
 * may distribute non-source (e.g., minimized or compacted) forms of
 * that code without the copy of the GNU GPL normally required by
 * section 1, provided you include this license notice and a URL
 * through which recipients can access the Corresponding Source.
 *
 * @licend  The above is the entire license notice
 * for the JavaScript code in this page.
 *
 */
"use strict";

var app = angular.module("openattic");
app.factory("ClusterResource", function ($resource) {
  return $resource(globalConfig.API.URL + "cephclusters/:id", {
    id: "@id"
  }, {
    update: {method: "PUT"},
    query: {
      method: "GET",
      isArray: true,
      transformResponse: function (data) {
        return JSON.parse(data).results;
      }
    }
  });
});
